

/**************************************************************************//**
 * @file     gpio_toggle.c
 * @brief    PAC52XX GPIO toggle example program
 *
 * @note
 * Copyright (C) 2017, Active-Semi International
 *
 * THIS SOFTWARE IS SUBJECT TO A SOURCE CODE LICENSE AGREEMENT WHICH PROVIDES, 
 * AMONG OTHER THINGS:  (i) THAT IT CAN BE USED ONLY TO ADAPT THE LICENSEE'S 
 * APPLICATION TO PAC PROCESSORS SUPPLIED BY ACTIVE-SEMI INTERNATIONAL; 
 * (ii) THAT  IT IS PROVIDED "AS IS" WITHOUT WARRANTY;  (iii) THAT 
 * ACTIVE-SEMICONDUCTOR IS NOT LIABLE FOR ANY INDIRECT DAMAGES OR FOR DIRECT
 * DAMAGES EXCEEDING US$1,500;  AND (iv) THAT IT CAN BE DISCLOSED TO AND USED
 * ONLY BY CERTAIN AUTHORIZED PERSONS.
 *
 ******************************************************************************/

#include "PAC52XX.h"

int main(void)
{
    volatile int i;

    // Set GPIO output values
    PAC5XXX_GPIOE->OUT.P0 = 0;              // Set GPIO E Pin 0 Output Low
    PAC5XXX_GPIOE->OUT.w |= 0x08;           // Set GPIO E Pin 3 Output High

    // Enable GPIO output
    PAC5XXX_GPIOE->OUTEN.P0 = 1;            // Set GPIO E Pin 0 to Output
    PAC5XXX_GPIOE->OUTEN.w |= 0x08;         // Set GPIO E Pin 3 to Output

    // Toggle GPIO outputs
    while (1)
    {
        for (i = 0; i < 20000; i++);

        PAC5XXX_GPIOE->OUT.P0 ^= 1;     // Toggle GPIO E Pin 0
        PAC5XXX_GPIOE->OUT.w ^= 0x0008; // Toggle GPIO E Pin 3
    }
}
