/**************************************************************************//**
 * @file     project_version.h
 * @brief    Version number
 *
 * @note
 * Copyright (C) 2017 Active Semiconductor. All rights reserved.
 *
 * @par
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 ******************************************************************************/

#ifndef PROJECT_VERSION_H
#define PROJECT_VERSION_H
#include "pac52XX.h"

#define PROJECT_VERSION_MAJOR           1
#define PROJECT_VERSION_MINOR           0
#define PROJECT_VERSION_BUGFIX          0
#define PROJECT_VERSION_RELEASE_STATE   PAC52XX_RELEASED	     	// PAC52XX_RELEASED, PAC52XX_RC, PAC52XX_BETA, PAC52XX_ALPHA, PAC52XX_IN_DEVELOPMENT
#define PROJECT_VERSION_RELEASE_NUM     0
#define PROJECT_VERSION_STR             "GPIO Toggle v1.0.0"

// Include Library Build Information - Includes Build Date and Time
#if defined __CC_ARM              // Keil RealView C Compiler
#include "project_build_info_keil.h"
#endif

#endif

/*=================================================================

==========================
GPIO Toggle v1.0.0 release
==========================
----- New Features -----
Blink PE0 and PE3 alternatingly.

----- Bugs Fixed -----

----- Supported Tool Chains -----
The following tool chains are known to work:
Keil uVision    v5.17.0

===================================================================*/