/*******************************************************************************
 * @file     PAC52XX_device.h
 *
 * @brief    CMSIS Cortex-M0 Peripheral Access Layer Header File for
 *           PAC52XX from Active-Semi.
 *
 * @note     Portions of this file generated with Keil SVDConv V2.85b 
 *           from CMSIS SVD File 'PAC52XX.svd' Version 1.0,
 * @note
 * Copyright (C) 2017, Active-Semi International
 *
 * THIS SOFTWARE IS SUBJECT TO A SOURCE CODE LICENSE AGREEMENT WHICH PROVIDES, 
 * AMONG OTHER THINGS:  (i) THAT IT CAN BE USED ONLY TO ADAPT THE LICENSEE'S 
 * APPLICATION TO PAC PROCESSORS SUPPLIED BY ACTIVE-SEMI INTERNATIONAL; 
 * (ii) THAT  IT IS PROVIDED "AS IS" WITHOUT WARRANTY;  (iii) THAT 
 * ACTIVE-SEMICONDUCTOR IS NOT LIABLE FOR ANY INDIRECT DAMAGES OR FOR DIRECT
 * DAMAGES EXCEEDING US$1,500;  AND (iv) THAT IT CAN BE DISCLOSED TO AND USED
 * ONLY BY CERTAIN AUTHORIZED PERSONS.
 *
 *
 * @file     PAC52XX_device.h
 * @brief    CMSIS HeaderFile
 * @version  1.0
 * @date     15. March 2017
 * @note     Generated by SVDConv V3.2.53 on Wednesday, 15.03.2017 17:37:55
 *           from File 'PAC52XX.svd',
 *           last modified on Monday, 27.02.2017 19:28:18
 ******************************************************************************/



/** @addtogroup Active-Semi
  * @{
  */


/** @addtogroup PAC52XX
  * @{
  */


#ifndef PAC52XX_DEVICE_H
#define PAC52XX_DEVICE_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M0 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* ==========================================  PAC52XX Specific Interrupt Numbers  =========================================== */
  IRQ_MEMCTL_IRQn           =   0,              /*!< 0  IRQ_MEMCTL                                                             */
  IRQ_SYSCLK_IRQn           =   1,              /*!< 1  IRQ_SYSCLK                                                             */
  IRQ_WDT_IRQn              =   2,              /*!< 2  IRQ_WDT                                                                */
  IRQ_GPIOA_IRQn            =   3,              /*!< 3  IRQ_GPIOA                                                              */
  IRQ_GPIOB_IRQn            =   4,              /*!< 4  IRQ_GPIOB                                                              */
  IRQ_GPIOC_IRQn            =   5,              /*!< 5  IRQ_GPIOC                                                              */
  IRQ_GPIOD_IRQn            =   6,              /*!< 6  IRQ_GPIOD                                                              */
  IRQ_GPIOE_IRQn            =   7,              /*!< 7  IRQ_GPIOE                                                              */
  IRQ_TIMERA_IRQn           =   8,              /*!< 8  IRQ_TIMERA                                                             */
  IRQ_TIMERB_IRQn           =  10,              /*!< 10 IRQ_TIMERB                                                             */
  IRQ_TIMERC_IRQn           =  11,              /*!< 11 IRQ_TIMERC                                                             */
  I_TIMERD_IRQn             =  12,              /*!< 12 Timer Interrupt Register                                               */
  IRQ_ADC_IRQn              =  13,              /*!< 13 IRQ_ADC                                                                */
  IRQ_SOCB_IRQn             =  14,              /*!< 14 IRQ_SOCB                                                               */
  IRQ_SPI_IRQn              =  15,              /*!< 15 IRQ_SPI                                                                */
  IRQ_UART_IRQn             =  16,              /*!< 16 IRQ_UART                                                               */
  IRQ_I2C_IRQn              =  17,              /*!< 17 IRQ_I2C                                                                */
  IRQ_RTC_IRQn              =  19               /*!< 19 IRQ_RTC                                                                */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M0 Processor and Core Peripherals  =========================== */
#define __CM0_REV                 	0x0201  	/*!< CM0 Core Revision r2p1                                                    */
#define __NVIC_PRIO_BITS            2        	/*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig      0        	/*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT          		0         	/*!< MPU present or not                               						   */

/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                           /*!< ARM Cortex-M0 processor and core peripherals                              */
#include "system_PAC52XX.h"                     /*!< PAC52XX System                                                            */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* ========================================  Start of section using anonymous unions  ======================================== */
#if defined (__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined (__ICCARM__)
  #pragma language=extended
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic push
  #pragma clang diagnostic ignored "-Wc11-extensions"
  #pragma clang diagnostic ignored "-Wreserved-id-macro"
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning 586
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#else
  #warning Not supported compiler type
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                          SYSCLK                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief System and Clock Control (SYSCLK)
  */

typedef struct {                                /*!< (@ 0x40000000) SYSCLK Structure                                           */
  
  union {
    __IOM uint32_t SCCTL;                       /*!< (@ 0x00000000) System Clock Control Register                              */
    
    struct {
      __IOM uint32_t CLKIN      : 2;            /*!< (@ 0x00000000) FRCLK input clock select                                   */
      __IOM uint32_t ACLKDIV    : 3;            /*!< (@ 0x00000002) ACLK divider                                               */
      __IOM uint32_t HCLKDIV    : 2;            /*!< (@ 0x00000005) HCLK divider                                               */
      __IOM uint32_t FCLK       : 1;            /*!< (@ 0x00000007) FCLK input clock select                                    */
    } SCCTL_b;
  } ;
  
  union {
    __IOM uint32_t PLLCTL;                      /*!< (@ 0x00000004) PLL Control Register                                       */
    
    struct {
      __IOM uint32_t PLLEN      : 1;            /*!< (@ 0x00000000) PLL enable                                                 */
      __IM  uint32_t            : 1;
      __IOM uint32_t PLLINDIV   : 5;            /*!< (@ 0x00000002) PLL Input Divider (divider = /[value+2])                   */
      __IOM uint32_t PLLFBDIV   : 9;            /*!< (@ 0x00000007) PLL Feedback Divider (divider = /[value + 2])              */
      __IOM uint32_t PLLOUTDIV  : 4;            /*!< (@ 0x00000010) PLL Output Divider (divider = /[value+1], 0 reserved)      */
    } PLLCTL_b;
  } ;
  
  union {
    __IOM uint32_t ROSCCTL;                     /*!< (@ 0x00000008) Ring Oscillator Control Register                           */
    
    struct {
      __IOM uint32_t ROSCEN     : 1;            /*!< (@ 0x00000000) Ring Oscillator Enable                                     */
      __IOM uint32_t ROSCP      : 2;            /*!< (@ 0x00000001) Ring Oscillator Frequency Setting                          */
    } ROSCCTL_b;
  } ;
  
  union {
    __IOM uint32_t XTALCTL;                     /*!< (@ 0x0000000C) Crystal Driver Control Register                            */
    
    struct {
      __IOM uint32_t XTALEN     : 1;            /*!< (@ 0x00000000) Enable XTAL driver                                         */
    } XTALCTL_b;
  } ;
} SYSCLK_Type;                                  /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                          MEMCTL                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief FLASH Memory Controller (MEMCTL)
  */

typedef struct {                                /*!< (@ 0x40020000) MEMCTL Structure                                           */
  __IOM uint32_t  FLASHLOCK;                    /*!< (@ 0x00000000) FLASH Lock Register                                        */
  
  union {
    __IOM uint32_t FLASHSTATUS;                 /*!< (@ 0x00000004) FLASH Status Register                                      */
    
    struct {
      __IOM uint32_t WRITE      : 1;            /*!< (@ 0x00000000) Buffered Write Active                                      */
      __IOM uint32_t PERASE     : 1;            /*!< (@ 0x00000001) Page Erase Active                                          */
    } FLASHSTATUS_b;
  } ;
  __IOM uint32_t  FLASHPAGE;                    /*!< (@ 0x00000008) FLASH page select register                                 */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  FLASHPERASE;                  /*!< (@ 0x00000014) FLASH page erase register                                  */
  __IM  uint32_t  RESERVED1[3];
  __IOM uint32_t  SWDACCESS;                    /*!< (@ 0x00000024) SWD access status                                          */
  
  union {
    __IOM uint32_t FLASHWSTATE;                 /*!< (@ 0x00000028) FLASH Wait State Register                                  */
    
    struct {
      __IOM uint32_t WSTATE     : 2;            /*!< (@ 0x00000000) FLASH access wait state                                    */
    } FLASHWSTATE_b;
  } ;
  __IOM uint32_t  FLASHBWRITE;                  /*!< (@ 0x0000002C) FLASH Buffered Write Data                                  */
} MEMCTL_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Watchdog Timer (WDT)
  */

typedef struct {                                /*!< (@ 0x40030000) WDT Structure                                              */
  
  union {
    __IOM uint32_t WDTCTL;                      /*!< (@ 0x00000000) Watchdog Timer Control Register                            */
    
    struct {
      __IOM uint32_t WDTCTRRST  : 3;            /*!< (@ 0x00000000) Watchdog Timer Counter Reset                               */
      __IOM uint32_t WDTINTEN   : 1;            /*!< (@ 0x00000003) Watchdog Interval Timer Interrupt Enable                   */
      __IM  uint32_t WDTINT     : 1;            /*!< (@ 0x00000004) Watchdog Interval Timer Interrupt Flag                     */
      __IOM uint32_t WDTRESETEN : 1;            /*!< (@ 0x00000005) Watchdog Timer Device Reset Enable                         */
      __IOM uint32_t WDTCLKDIV  : 4;            /*!< (@ 0x00000006) Watchdog Timer Input Clock Divider                         */
      __IOM uint32_t WDTCLKSEL  : 1;            /*!< (@ 0x0000000A) Watchdog Timer Input Clock Select                          */
      __IM  uint32_t WRBUSY     : 1;            /*!< (@ 0x0000000B) WDT register write busy                                    */
      __IM  uint32_t            : 12;
      __IOM uint32_t KEY        : 8;            /*!< (@ 0x00000018) WDTCTL register key                                        */
    } WDTCTL_b;
  } ;
  
  union {
    __IOM uint32_t WDTCDV;                      /*!< (@ 0x00000004) Watchdog Timer Count-down Value Register                   */
    
    struct {
      __IOM uint32_t RSTVALUE   : 24;           /*!< (@ 0x00000000) 24b WDT count-down value                                   */
      __IOM uint32_t KEY        : 8;            /*!< (@ 0x00000018) WDTCTL register key                                        */
    } WDTCDV_b;
  } ;
  __IM  uint32_t  WDTCTR;                       /*!< (@ 0x00000008) Watchdog Timer Counter Register                            */
} WDT_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Real-Time Clock (RTC)
  */

typedef struct {                                /*!< (@ 0x40040000) RTC Structure                                              */
  
  union {
    __IOM uint32_t RTCCTL;                      /*!< (@ 0x00000000) Real-Time Clock Control Register                           */
    
    struct {
      __IOM uint32_t RTCCTRRST  : 3;            /*!< (@ 0x00000000) Real-Time Clock Counter Reset                              */
      __IOM uint32_t RTCINTEN   : 1;            /*!< (@ 0x00000003) Real-Time Clock Interrupt Enable                           */
      __IM  uint32_t RTCINT     : 1;            /*!< (@ 0x00000004) Real-Time Clock Interrupt Flag                             */
      __IM  uint32_t            : 1;
      __IOM uint32_t RTCCLKDIV  : 4;            /*!< (@ 0x00000006) Real-Time Clock Input Clock Divider                        */
      __IM  uint32_t            : 1;
      __IM  uint32_t WRBUSY     : 1;            /*!< (@ 0x0000000B) RTC register write busy                                    */
      __IM  uint32_t            : 12;
      __IOM uint32_t KEY        : 8;            /*!< (@ 0x00000018) RTCCTL register key                                        */
    } RTCCTL_b;
  } ;
  
  union {
    __IOM uint32_t RTCCDV;                      /*!< (@ 0x00000004) Real-Time Clock Count-down Value Register                  */
    
    struct {
      __IOM uint32_t RSTVALUE   : 24;           /*!< (@ 0x00000000) 24b RTC count-down value                                   */
      __IOM uint32_t KEY        : 8;            /*!< (@ 0x00000018) RTC register key                                           */
    } RTCCDV_b;
  } ;
  __IM  uint32_t  RTCCTR;                       /*!< (@ 0x00000008) Real-Time Clock Counter Register                           */
} RTC_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General-Purpose Input-Output Port A (GPIOA)
  */

typedef struct {                                /*!< (@ 0x40070000) GPIOA Structure                                            */
  
  union {
    __IOM uint32_t OUT;                         /*!< (@ 0x00000000) GPIO Port Output                                           */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port output 0                                              */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port output 1                                              */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port output 2                                              */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port output 3                                              */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port output 4                                              */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port output 5                                              */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port output 6                                              */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port output 7                                              */
    } OUT_b;
  } ;
  
  union {
    __IOM uint32_t OUTEN;                       /*!< (@ 0x00000004) GPIO Port Output Enable                                    */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port output enable 0                                       */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port output enable 1                                       */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port output enable 2                                       */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port output enable 3                                       */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port output enable 4                                       */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port output enable 5                                       */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port output enable 6                                       */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port output enable 7                                       */
    } OUTEN_b;
  } ;
  
  union {
    __IOM uint32_t DS;                          /*!< (@ 0x00000008) GPIO Port Output Drive Strength Select                     */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port output drive strength select 0                        */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port output drive strength select 1                        */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port output drive strength select 2                        */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port output drive strength select 3                        */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port output drive strength select 4                        */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port output drive strength select 5                        */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port output drive strength select 6                        */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port output drive strength select 7                        */
    } DS_b;
  } ;
  
  union {
    __IOM uint32_t PU;                          /*!< (@ 0x0000000C) GPIO Port Weak Pull Up                                     */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 weak pull-up select                               */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 weak pull-up select                               */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 weak pull-up select                               */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 weak pull-up select                               */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 weak pull-up select                               */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 weak pull-up select                               */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 weak pull-up select                               */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 weak pull-up select                               */
    } PU_b;
  } ;
  
  union {
    __IOM uint32_t PD;                          /*!< (@ 0x00000010) GPIO Port Weak Pull Down                                   */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 weak pull-down select                             */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 weak pull-down select                             */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 weak pull-down select                             */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 weak pull-down select                             */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 weak pull-down select                             */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>0 weak pull-down select                             */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 weak pull-down select                             */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 weak pull-down select                             */
    } PD_b;
  } ;
  
  union {
    __IM  uint32_t IN;                          /*!< (@ 0x00000014) GPIO Port Input                                            */
    
    struct {
      __IM  uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 input state                                       */
      __IM  uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 input state                                       */
      __IM  uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 input state                                       */
      __IM  uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 input state                                       */
      __IM  uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 input state                                       */
      __IM  uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 input state                                       */
      __IM  uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 input state                                       */
      __IM  uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 input state                                       */
    } IN_b;
  } ;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t PSEL;                        /*!< (@ 0x0000001C) GPIO Peripheral Select                                     */
    
    struct {
      __IOM uint32_t P0         : 2;            /*!< (@ 0x00000000) Port<n>0 peripheral select                                 */
      __IOM uint32_t P1         : 2;            /*!< (@ 0x00000002) Port<n>1 peripheral select                                 */
      __IOM uint32_t P2         : 2;            /*!< (@ 0x00000004) Port<n>2 peripheral select                                 */
      __IOM uint32_t P3         : 2;            /*!< (@ 0x00000006) Port<n>3 peripheral select                                 */
      __IOM uint32_t P4         : 2;            /*!< (@ 0x00000008) Port<n>4 peripheral select                                 */
      __IOM uint32_t P5         : 2;            /*!< (@ 0x0000000A) Port<n>5 peripheral select                                 */
      __IOM uint32_t P6         : 2;            /*!< (@ 0x0000000C) Port<n>6 peripheral select                                 */
      __IOM uint32_t P7         : 2;            /*!< (@ 0x0000000E) Port<n>7 peripheral select                                 */
    } PSEL_b;
  } ;
  
  union {
    __IOM uint32_t INTP;                        /*!< (@ 0x00000020) GPIO Port Interrupt Polarity                               */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Polarity                                */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Polarity                                */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Polarity                                */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Polarity                                */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Polarity                                */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Polarity                                */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Polarity                                */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Polarity                                */
    } INTP_b;
  } ;
  
  union {
    __IOM uint32_t INTE;                        /*!< (@ 0x00000024) GPIO Port Interrupt Enable                                 */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Enable                                  */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Enable                                  */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Enable                                  */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Enable                                  */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Enable                                  */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Enable                                  */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Enable                                  */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Enable                                  */
    } INTE_b;
  } ;
  
  union {
    __IOM uint32_t INTF;                        /*!< (@ 0x00000028) GPIO Port Interrupt Flag                                   */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt                                         */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt                                         */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt                                         */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt                                         */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt                                         */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt                                         */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt                                         */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt                                         */
    } INTF_b;
  } ;
  
  union {
    __IOM uint32_t INTM;                        /*!< (@ 0x0000002C) GPIO Port Interrupt Mask                                   */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Mask                                    */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Mask                                    */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Mask                                    */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Mask                                    */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Mask                                    */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Mask                                    */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Mask                                    */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Mask                                    */
    } INTM_b;
  } ;
} GPIOA_Type;                                   /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General-Purpose Input-Output Port C (GPIOC)
  */

typedef struct {                                /*!< (@ 0x40080000) GPIOC Structure                                            */
  
  union {
    __IOM uint32_t OUT;                         /*!< (@ 0x00000000) GPIO Port Output                                           */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port output 0                                              */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port output 1                                              */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port output 2                                              */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port output 3                                              */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port output 4                                              */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port output 5                                              */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port output 6                                              */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port output 7                                              */
    } OUT_b;
  } ;
  
  union {
    __IOM uint32_t OUTEN;                       /*!< (@ 0x00000004) GPIO Port Output Enable                                    */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port output enable 0                                       */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port output enable 1                                       */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port output enable 2                                       */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port output enable 3                                       */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port output enable 4                                       */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port output enable 5                                       */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port output enable 6                                       */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port output enable 7                                       */
    } OUTEN_b;
  } ;
  __IM  uint32_t  RESERVED[3];
  
  union {
    __IM  uint32_t IN;                          /*!< (@ 0x00000014) GPIO Port Input                                            */
    
    struct {
      __IM  uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 input state                                       */
      __IM  uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 input state                                       */
      __IM  uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 input state                                       */
      __IM  uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 input state                                       */
      __IM  uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 input state                                       */
      __IM  uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 input state                                       */
      __IM  uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 input state                                       */
      __IM  uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 input state                                       */
    } IN_b;
  } ;
  
  union {
    __IOM uint32_t INE;                         /*!< (@ 0x00000018) GPIO Port Input Enable                                     */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port input enable 0                                        */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port input enable 1                                        */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port input enable 2                                        */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port input enable 3                                        */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port input enable 4                                        */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port input enable 5                                        */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port input enable 6                                        */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port input enable 7                                        */
    } INE_b;
  } ;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t INTP;                        /*!< (@ 0x00000020) GPIO Port Interrupt Polarity                               */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Polarity                                */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Polarity                                */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Polarity                                */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Polarity                                */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Polarity                                */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Polarity                                */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Polarity                                */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Polarity                                */
    } INTP_b;
  } ;
  
  union {
    __IOM uint32_t INTE;                        /*!< (@ 0x00000024) GPIO Port Interrupt Enable                                 */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Enable                                  */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Enable                                  */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Enable                                  */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Enable                                  */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Enable                                  */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Enable                                  */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Enable                                  */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Enable                                  */
    } INTE_b;
  } ;
  
  union {
    __IOM uint32_t INTF;                        /*!< (@ 0x00000028) GPIO Port Interrupt Flag                                   */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt                                         */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt                                         */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt                                         */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt                                         */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt                                         */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt                                         */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt                                         */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt                                         */
    } INTF_b;
  } ;
  
  union {
    __IOM uint32_t INTM;                        /*!< (@ 0x0000002C) GPIO Port Interrupt Mask                                   */
    
    struct {
      __IOM uint32_t P0         : 1;            /*!< (@ 0x00000000) Port<n>0 Interrupt Mask                                    */
      __IOM uint32_t P1         : 1;            /*!< (@ 0x00000001) Port<n>1 Interrupt Mask                                    */
      __IOM uint32_t P2         : 1;            /*!< (@ 0x00000002) Port<n>2 Interrupt Mask                                    */
      __IOM uint32_t P3         : 1;            /*!< (@ 0x00000003) Port<n>3 Interrupt Mask                                    */
      __IOM uint32_t P4         : 1;            /*!< (@ 0x00000004) Port<n>4 Interrupt Mask                                    */
      __IOM uint32_t P5         : 1;            /*!< (@ 0x00000005) Port<n>5 Interrupt Mask                                    */
      __IOM uint32_t P6         : 1;            /*!< (@ 0x00000006) Port<n>6 Interrupt Mask                                    */
      __IOM uint32_t P7         : 1;            /*!< (@ 0x00000007) Port<n>7 Interrupt Mask                                    */
    } INTM_b;
  } ;
} GPIOC_Type;                                   /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                          TIMERA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer A Peripheral (TIMERA)
  */

typedef struct {                                /*!< (@ 0x400D0000) TIMERA Structure                                           */
  
  union {
    __IOM uint32_t TxCTL;                       /*!< (@ 0x00000000) Timer Control Register                                     */
    
    struct {
      __IOM uint32_t PRDL       : 1;            /*!< (@ 0x00000000) Timer Period Latch                                         */
      __IM  uint32_t            : 1;
      __IOM uint32_t CLR        : 1;            /*!< (@ 0x00000002) Timer clear                                                */
      __IOM uint32_t SS         : 1;            /*!< (@ 0x00000003) Timer single shot                                          */
      __IOM uint32_t INT        : 1;            /*!< (@ 0x00000004) Timer interrupt                                            */
      __IOM uint32_t INTEN      : 1;            /*!< (@ 0x00000005) Timer interrupt enable                                     */
      __IOM uint32_t CLKDIV     : 3;            /*!< (@ 0x00000006) timer clock divider                                        */
      __IOM uint32_t CLK        : 1;            /*!< (@ 0x00000009) timer clock input source                                   */
      __IOM uint32_t MODE       : 2;            /*!< (@ 0x0000000A) timer mode                                                 */
      __IM  uint32_t            : 1;
      __IOM uint32_t DTGCLK     : 1;            /*!< (@ 0x0000000D) DTG clock select                                           */
    } TxCTL_b;
  } ;
  
  union {
    __IOM uint32_t TxPRD;                       /*!< (@ 0x00000004) timer period                                               */
    
    struct {
      __IOM uint32_t PERIOD     : 16;           /*!< (@ 0x00000000) timer period value                                         */
    } TxPRD_b;
  } ;
  
  union {
    __IM  uint32_t TxCTR;                       /*!< (@ 0x00000008) timer counter                                              */
    
    struct {
      __IM  uint32_t CTR        : 16;           /*!< (@ 0x00000000) timer counter value                                        */
    } TxCTR_b;
  } ;
  __IM  uint32_t  RESERVED[13];
  
  union {
    __IOM uint32_t TxCC0CTL;                    /*!< (@ 0x00000040) timer capture and compare control unit 0                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC0CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC0CTR;                    /*!< (@ 0x00000044) capture and compare counter unit 0                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC0CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTL;                    /*!< (@ 0x00000048) timer capture and compare control unit 0                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC1CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTR;                    /*!< (@ 0x0000004C) capture and compare counter unit 1                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC1CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC2CTL;                    /*!< (@ 0x00000050) timer capture and compare control unit 2                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC2CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC2CTR;                    /*!< (@ 0x00000054) capture and compare counter unit 2                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC2CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC3CTL;                    /*!< (@ 0x00000058) timer capture and compare control unit 3                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC3CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC3CTR;                    /*!< (@ 0x0000005C) capture and compare counter unit 3                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC3CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC4CTL;                    /*!< (@ 0x00000060) timer capture and compare control unit 4                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC4CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC4CTR;                    /*!< (@ 0x00000064) capture and compare counter unit 4                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC4CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC5CTL;                    /*!< (@ 0x00000068) timer capture and compare control unit 5                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC5CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC5CTR;                    /*!< (@ 0x0000006C) capture and compare counter unit 5                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC5CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC6CTL;                    /*!< (@ 0x00000070) timer capture and compare control unit 6                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC6CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC6CTR;                    /*!< (@ 0x00000074) capture and compare counter unit 6                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC6CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC7CTL;                    /*!< (@ 0x00000078) timer capture and compare control unit 7                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC7CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC7CTR;                    /*!< (@ 0x0000007C) capture and compare counter unit 7                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC7CTR_b;
  } ;
  __IM  uint32_t  RESERVED1[8];
  
  union {
    __IOM uint32_t DTGA0CTL;                    /*!< (@ 0x000000A0) Timer A dead-time generator control unit 0                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGA0CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGA0LED;                    /*!< (@ 0x000000A4) Timer A dead-time generator leading-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGA0LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGA0TED;                    /*!< (@ 0x000000A8) Timer A dead-time generator trailing-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGA0TED_b;
  } ;
  __IM  uint32_t  RESERVED2;
  
  union {
    __IOM uint32_t DTGA1CTL;                    /*!< (@ 0x000000B0) Timer A dead-time generator control unit 1                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGA1CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGA1LED;                    /*!< (@ 0x000000B4) Timer A dead-time generator leading-edge delay
                                                                    counter unit 1                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGA1LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGA1TED;                    /*!< (@ 0x000000B8) Timer A dead-time generator trailing-edge delay
                                                                    counter unit 1                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGA1TED_b;
  } ;
  __IM  uint32_t  RESERVED3;
  
  union {
    __IOM uint32_t DTGA2CTL;                    /*!< (@ 0x000000C0) Timer A dead-time generator control unit 2                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGA2CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGA2LED;                    /*!< (@ 0x000000C4) Timer A dead-time generator leading-edge delay
                                                                    counter unit 2                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGA2LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGA2TED;                    /*!< (@ 0x000000C8) Timer A dead-time generator trailing-edge delay
                                                                    counter unit 2                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGA2TED_b;
  } ;
  __IM  uint32_t  RESERVED4;
  
  union {
    __IOM uint32_t DTGA3CTL;                    /*!< (@ 0x000000D0) Timer A dead-time generator control unit 3                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGA3CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGA3LED;                    /*!< (@ 0x000000D4) Timer A dead-time generator leading-edge delay
                                                                    counter unit 3                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGA3LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGA3TED;                    /*!< (@ 0x000000D8) Timer A dead-time generator trailing-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGA3TED_b;
  } ;
} TIMERA_Type;                                  /*!< Size = 220 (0xdc)                                                         */



/* =========================================================================================================================== */
/* ================                                          TIMERB                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer B Peripheral (TIMERB)
  */

typedef struct {                                /*!< (@ 0x400E0000) TIMERB Structure                                           */
  
  union {
    __IOM uint32_t TxCTL;                       /*!< (@ 0x00000000) Timer Control Register                                     */
    
    struct {
      __IOM uint32_t PRDL       : 1;            /*!< (@ 0x00000000) Timer Period Latch                                         */
      __IM  uint32_t            : 1;
      __IOM uint32_t CLR        : 1;            /*!< (@ 0x00000002) Timer clear                                                */
      __IOM uint32_t SS         : 1;            /*!< (@ 0x00000003) Timer single shot                                          */
      __IOM uint32_t INT        : 1;            /*!< (@ 0x00000004) Timer interrupt                                            */
      __IOM uint32_t INTEN      : 1;            /*!< (@ 0x00000005) Timer interrupt enable                                     */
      __IOM uint32_t CLKDIV     : 3;            /*!< (@ 0x00000006) timer clock divider                                        */
      __IOM uint32_t CLK        : 1;            /*!< (@ 0x00000009) timer clock input source                                   */
      __IOM uint32_t MODE       : 2;            /*!< (@ 0x0000000A) timer mode                                                 */
      __IM  uint32_t            : 1;
      __IOM uint32_t DTGCLK     : 1;            /*!< (@ 0x0000000D) DTG clock select                                           */
    } TxCTL_b;
  } ;
  
  union {
    __IOM uint32_t TxPRD;                       /*!< (@ 0x00000004) timer period                                               */
    
    struct {
      __IOM uint32_t PERIOD     : 16;           /*!< (@ 0x00000000) timer period value                                         */
    } TxPRD_b;
  } ;
  
  union {
    __IM  uint32_t TxCTR;                       /*!< (@ 0x00000008) timer counter                                              */
    
    struct {
      __IM  uint32_t CTR        : 16;           /*!< (@ 0x00000000) timer counter value                                        */
    } TxCTR_b;
  } ;
  __IM  uint32_t  RESERVED[13];
  
  union {
    __IOM uint32_t TxCC0CTL;                    /*!< (@ 0x00000040) timer capture and compare control unit 0                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC0CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC0CTR;                    /*!< (@ 0x00000044) capture and compare counter unit 0                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC0CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTL;                    /*!< (@ 0x00000048) timer capture and compare control unit 1                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC1CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTR;                    /*!< (@ 0x0000004C) capture and compare counter unit 1                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC1CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC2CTL;                    /*!< (@ 0x00000050) timer capture and compare control unit 2                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC2CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC2CTR;                    /*!< (@ 0x00000054) capture and compare counter unit 2                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC2CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC3CTL;                    /*!< (@ 0x00000058) timer capture and compare control unit 3                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC3CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC3CTR;                    /*!< (@ 0x0000005C) capture and compare counter unit 3                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC3CTR_b;
  } ;
  __IM  uint32_t  RESERVED1[16];
  
  union {
    __IOM uint32_t DTGB0CTL;                    /*!< (@ 0x000000A0) Timer B dead-time generator control unit 0                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGB0CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGB0LED;                    /*!< (@ 0x000000A4) Timer B dead-time generator leading-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGB0LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGB0TED;                    /*!< (@ 0x000000A8) Timer B dead-time generator trailing-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGB0TED_b;
  } ;
} TIMERB_Type;                                  /*!< Size = 172 (0xac)                                                         */



/* =========================================================================================================================== */
/* ================                                          TIMERC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer C Peripheral (TIMERC)
  */

typedef struct {                                /*!< (@ 0x400F0000) TIMERC Structure                                           */
  
  union {
    __IOM uint32_t TxCTL;                       /*!< (@ 0x00000000) Timer Control Register                                     */
    
    struct {
      __IOM uint32_t PRDL       : 1;            /*!< (@ 0x00000000) Timer Period Latch                                         */
      __IM  uint32_t            : 1;
      __IOM uint32_t CLR        : 1;            /*!< (@ 0x00000002) Timer clear                                                */
      __IOM uint32_t SS         : 1;            /*!< (@ 0x00000003) Timer single shot                                          */
      __IOM uint32_t INT        : 1;            /*!< (@ 0x00000004) Timer interrupt                                            */
      __IOM uint32_t INTEN      : 1;            /*!< (@ 0x00000005) Timer interrupt enable                                     */
      __IOM uint32_t CLKDIV     : 3;            /*!< (@ 0x00000006) timer clock divider                                        */
      __IOM uint32_t CLK        : 1;            /*!< (@ 0x00000009) timer clock input source                                   */
      __IOM uint32_t MODE       : 2;            /*!< (@ 0x0000000A) timer mode                                                 */
      __IM  uint32_t            : 1;
      __IOM uint32_t DTGCLK     : 1;            /*!< (@ 0x0000000D) DTG clock select                                           */
    } TxCTL_b;
  } ;
  
  union {
    __IOM uint32_t TxPRD;                       /*!< (@ 0x00000004) timer period                                               */
    
    struct {
      __IOM uint32_t PERIOD     : 16;           /*!< (@ 0x00000000) timer period value                                         */
    } TxPRD_b;
  } ;
  
  union {
    __IM  uint32_t TxCTR;                       /*!< (@ 0x00000008) timer counter                                              */
    
    struct {
      __IM  uint32_t CTR        : 16;           /*!< (@ 0x00000000) timer counter value                                        */
    } TxCTR_b;
  } ;
  __IM  uint32_t  RESERVED[13];
  
  union {
    __IOM uint32_t TxCC0CTL;                    /*!< (@ 0x00000040) timer capture and compare control unit 0                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC0CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC0CTR;                    /*!< (@ 0x00000044) capture and compare counter unit 0                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC0CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTL;                    /*!< (@ 0x00000048) timer capture and compare control unit 1                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC1CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTR;                    /*!< (@ 0x0000004C) capture and compare counter unit 1                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC1CTR_b;
  } ;
  __IM  uint32_t  RESERVED1[20];
  
  union {
    __IOM uint32_t DTGC0CTL;                    /*!< (@ 0x000000A0) Timer C dead-time generator control unit 0                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGC0CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGC0LED;                    /*!< (@ 0x000000A4) Timer C dead-time generator leading-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGC0LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGC0TED;                    /*!< (@ 0x000000A8) Timer C dead-time generator trailing-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGC0TED_b;
  } ;
} TIMERC_Type;                                  /*!< Size = 172 (0xac)                                                         */



/* =========================================================================================================================== */
/* ================                                          TIMERD                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer D Peripheral (TIMERD)
  */

typedef struct {                                /*!< (@ 0x40100000) TIMERD Structure                                           */
  
  union {
    __IOM uint32_t TxCTL;                       /*!< (@ 0x00000000) Timer Control Register                                     */
    
    struct {
      __IOM uint32_t PRDL       : 1;            /*!< (@ 0x00000000) Timer Period Latch                                         */
      __IM  uint32_t            : 1;
      __IOM uint32_t CLR        : 1;            /*!< (@ 0x00000002) Timer clear                                                */
      __IOM uint32_t SS         : 1;            /*!< (@ 0x00000003) Timer single shot                                          */
      __IOM uint32_t INT        : 1;            /*!< (@ 0x00000004) Timer interrupt                                            */
      __IOM uint32_t INTEN      : 1;            /*!< (@ 0x00000005) Timer interrupt enable                                     */
      __IOM uint32_t CLKDIV     : 3;            /*!< (@ 0x00000006) timer clock divider                                        */
      __IOM uint32_t CLK        : 1;            /*!< (@ 0x00000009) timer clock input source                                   */
      __IOM uint32_t MODE       : 2;            /*!< (@ 0x0000000A) timer mode                                                 */
      __IM  uint32_t            : 1;
      __IOM uint32_t DTGCLK     : 1;            /*!< (@ 0x0000000D) DTG clock select                                           */
    } TxCTL_b;
  } ;
  
  union {
    __IOM uint32_t TxPRD;                       /*!< (@ 0x00000004) timer period                                               */
    
    struct {
      __IOM uint32_t PERIOD     : 16;           /*!< (@ 0x00000000) timer period value                                         */
    } TxPRD_b;
  } ;
  
  union {
    __IM  uint32_t TxCTR;                       /*!< (@ 0x00000008) timer counter                                              */
    
    struct {
      __IM  uint32_t CTR        : 16;           /*!< (@ 0x00000000) timer counter value                                        */
    } TxCTR_b;
  } ;
  __IM  uint32_t  RESERVED[13];
  
  union {
    __IOM uint32_t TxCC0CTL;                    /*!< (@ 0x00000040) timer capture and compare control unit 0                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC0CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC0CTR;                    /*!< (@ 0x00000044) capture and compare counter unit 0                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC0CTR_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTL;                    /*!< (@ 0x00000048) timer capture and compare control unit 1                   */
    
    struct {
      __IOM uint32_t CCEDG      : 2;            /*!< (@ 0x00000000) capture mode edge detect                                   */
      __IOM uint32_t CCINT      : 1;            /*!< (@ 0x00000002) capture and compare interrupt                              */
      __IOM uint32_t CCINTEN    : 1;            /*!< (@ 0x00000003) capture and compare interrupt enable                       */
      __IOM uint32_t CCMODE     : 1;            /*!< (@ 0x00000004) capture and compare mode                                   */
    } TxCC1CTL_b;
  } ;
  
  union {
    __IOM uint32_t TxCC1CTR;                    /*!< (@ 0x0000004C) capture and compare counter unit 1                         */
    
    struct {
      __IOM uint32_t CCCTR      : 16;           /*!< (@ 0x00000000) capture and compare counter value                          */
    } TxCC1CTR_b;
  } ;
  __IM  uint32_t  RESERVED1[20];
  
  union {
    __IOM uint32_t DTGD0CTL;                    /*!< (@ 0x000000A0) Timer A dead-time generator control unit 0                 */
    
    struct {
      __IM  uint32_t            : 4;
      __IOM uint32_t INVLS      : 1;            /*!< (@ 0x00000004) Invert low-side output signal                              */
      __IOM uint32_t INVHS      : 1;            /*!< (@ 0x00000005) Invert high-side output signal                             */
      __IOM uint32_t OTP        : 1;            /*!< (@ 0x00000006) On-time preservation                                       */
      __IOM uint32_t BYPASS     : 1;            /*!< (@ 0x00000007) bypass dead-time generation                                */
    } DTGD0CTL_b;
  } ;
  
  union {
    __IOM uint32_t DTGD0LED;                    /*!< (@ 0x000000A4) Timer A dead-time generator leading-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t LED        : 12;           /*!< (@ 0x00000000) leading-edge delay counter                                 */
    } DTGD0LED_b;
  } ;
  
  union {
    __IOM uint32_t DTGD0TED;                    /*!< (@ 0x000000A8) Timer A dead-time generator trailing-edge delay
                                                                    counter unit 0                                             */
    
    struct {
      __IOM uint32_t TED        : 12;           /*!< (@ 0x00000000) trailing-edge delay counter                                */
    } DTGD0TED_b;
  } ;
} TIMERD_Type;                                  /*!< Size = 172 (0xac)                                                         */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Analog to Digital Converter (ADC)
  */

typedef struct {                                /*!< (@ 0x40150000) ADC Structure                                              */
  
  union {
    __IOM uint32_t EMUXCTL;                     /*!< (@ 0x00000000) ADC External MUX control register                          */
    
    struct {
      __IOM uint32_t EMUXCDIV   : 3;            /*!< (@ 0x00000000) ADC External MUX clock to FCLK divider                     */
      __IOM uint32_t EMUXDONE   : 1;            /*!< (@ 0x00000003) ADC External MUX data send done                            */
      __IOM uint32_t EMUXBUSY   : 1;            /*!< (@ 0x00000004) ADC External MUX status                                    */
      __IOM uint32_t EMUXC      : 1;            /*!< (@ 0x00000005) ADC External MUX control                                   */
    } EMUXCTL_b;
  } ;
  
  union {
    __IOM uint32_t EMUXDATA;                    /*!< (@ 0x00000004) ADC External MUX data register                             */
    
    struct {
      __IOM uint32_t DATA       : 16;           /*!< (@ 0x00000000) ADC External MUX data register                             */
    } EMUXDATA_b;
  } ;
  
  union {
    __IOM uint32_t ADCCTL;                      /*!< (@ 0x00000008) ADC control register                                       */
    
    struct {
      __IOM uint32_t ADCCDIV    : 3;            /*!< (@ 0x00000000) ADC input clock FCLK divider                               */
      __IM  uint32_t            : 1;
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x00000004) ADC MUX input select                                       */
      __IM  uint32_t ADCBUSY    : 1;            /*!< (@ 0x00000007) ADC busy                                                   */
      __IM  uint32_t            : 2;
      __IOM uint32_t ADCMODE    : 3;            /*!< (@ 0x0000000A) ADC conversion mode                                        */
      __IM  uint32_t            : 1;
      __IOM uint32_t ADCSTART   : 1;            /*!< (@ 0x0000000E) Start ADC Conversion                                       */
      __IOM uint32_t ADCEN      : 1;            /*!< (@ 0x0000000F) ADC Module Enable                                          */
    } ADCCTL_b;
  } ;
  
  union {
    __IM  uint32_t ADCCR;                       /*!< (@ 0x0000000C) ADC conversion result register                             */
    
    struct {
      __IM  uint32_t ADCRESULT  : 16;           /*!< (@ 0x00000000) ADC conversion result                                      */
    } ADCCR_b;
  } ;
  
  union {
    __IOM uint32_t ADCINT;                      /*!< (@ 0x00000010) ADC interrupt register                                     */
    
    struct {
      __IOM uint32_t ADCINT     : 1;            /*!< (@ 0x00000000) ADC conversion finished interrupt                          */
      __IOM uint32_t EMUXINT    : 1;            /*!< (@ 0x00000001) EMUX data transfer finished interrupt                      */
      __IOM uint32_t AS0INT     : 1;            /*!< (@ 0x00000002) Auto sequencer 0 conversions finished interrupt            */
      __IOM uint32_t AS1INT     : 1;            /*!< (@ 0x00000003) Auto sequencer 1 conversions finished interrupt            */
      __IOM uint32_t ASCINT     : 1;            /*!< (@ 0x00000004) Auto sequencer collision interrupt                         */
      __IM  uint32_t            : 3;
      __IOM uint32_t ADCINT_EN  : 1;            /*!< (@ 0x00000008) ADC conversion finished interrupt enabled                  */
      __IOM uint32_t EMUXINT_EN : 1;            /*!< (@ 0x00000009) EMUX transfer finished interrupt enabled                   */
      __IOM uint32_t AS0INT_EN  : 1;            /*!< (@ 0x0000000A) Enable auto sequencer 0 conversions finished
                                                                    interrupt                                                  */
      __IOM uint32_t AS1INT_EN  : 1;            /*!< (@ 0x0000000B) Enable auto sequencer 1 conversions finished
                                                                    interrupt                                                  */
      __IOM uint32_t ASCINT_EN  : 1;            /*!< (@ 0x0000000C) Enable auto sequencer collision interrupt                  */
      __IM  uint32_t            : 3;
      __IOM uint32_t ASCINTSEQ  : 2;            /*!< (@ 0x00000010) Last auto sequencer to trigger ADCINT.ASCINT               */
      __IOM uint32_t ASCINTTR   : 2;            /*!< (@ 0x00000012) Last auto sequencer to run                                 */
    } ADCINT_b;
  } ;
  __IM  uint32_t  RESERVED[11];
  
  union {
    __IOM uint32_t AS0CTL;                      /*!< (@ 0x00000040) Auto sequencer 0 control register                          */
    
    struct {
      __IOM uint32_t ASAxTRPWM  : 4;            /*!< (@ 0x00000000) Auto sequencer PWM trigger source                          */
      __IOM uint32_t ASAxTRTMR  : 2;            /*!< (@ 0x00000004) Auto sequencer timer trigger source                        */
      __IOM uint32_t ASxTRE     : 1;            /*!< (@ 0x00000006) Auto sequencer trigger source ASxCTL.ASxTR edge            */
      __IOM uint32_t ASxTR      : 1;            /*!< (@ 0x00000007) Auto sequencer trigger source                              */
      __IOM uint32_t ASxD       : 3;            /*!< (@ 0x00000008) Auto sequencer sampling depth                              */
      __IOM uint32_t ASxEN      : 1;            /*!< (@ 0x0000000B) Auto sequencer enabled                                     */
      __IOM uint32_t ASxBUSY    : 1;            /*!< (@ 0x0000000C) Auto sequencer busy                                        */
    } AS0CTL_b;
  } ;
  
  union {
    __IOM uint32_t AS0S0;                       /*!< (@ 0x00000044) Auto sequencer 0 sample 0 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S0_b;
  } ;
  
  union {
    __IOM uint32_t AS0R0;                       /*!< (@ 0x00000048) Auto sequencer 0 sample 0 result register                  */
    
    struct {
      __IOM uint32_t ADCRESULT  : 10;           /*!< (@ 0x00000000) ADC conversion result                                      */
    } AS0R0_b;
  } ;
  
  union {
    __IOM uint32_t AS0S1;                       /*!< (@ 0x0000004C) Auto sequencer 0 sample 1 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S1_b;
  } ;
  __IOM uint32_t  AS0R1;                        /*!< (@ 0x00000050) Auto sequencer 0 sample 1 result register                  */
  
  union {
    __IOM uint32_t AS0S2;                       /*!< (@ 0x00000054) Auto sequencer 0 sample 2 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S2_b;
  } ;
  __IOM uint32_t  AS0R2;                        /*!< (@ 0x00000058) Auto sequencer 0 sample 2 result register                  */
  
  union {
    __IOM uint32_t AS0S3;                       /*!< (@ 0x0000005C) Auto sequencer 0 sample 3 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S3_b;
  } ;
  __IOM uint32_t  AS0R3;                        /*!< (@ 0x00000060) Auto sequencer 0 sample 3 result register                  */
  
  union {
    __IOM uint32_t AS0S4;                       /*!< (@ 0x00000064) Auto sequencer 0 sample 4 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S4_b;
  } ;
  __IOM uint32_t  AS0R4;                        /*!< (@ 0x00000068) Auto sequencer 0 sample 4 result register                  */
  
  union {
    __IOM uint32_t AS0S5;                       /*!< (@ 0x0000006C) Auto sequencer 0 sample 5 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S5_b;
  } ;
  __IOM uint32_t  AS0R5;                        /*!< (@ 0x00000070) Auto sequencer 0 sample 5 result register                  */
  
  union {
    __IOM uint32_t AS0S6;                       /*!< (@ 0x00000074) Auto sequencer 0 sample 6 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S6_b;
  } ;
  __IOM uint32_t  AS0R6;                        /*!< (@ 0x00000078) Auto sequencer 0 sample 6 result register                  */
  
  union {
    __IOM uint32_t AS0S7;                       /*!< (@ 0x0000007C) Auto sequencer 0 sample 7 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS0S7_b;
  } ;
  __IOM uint32_t  AS0R7;                        /*!< (@ 0x00000080) Auto sequencer 0 sample 7 result register                  */
  __IM  uint32_t  RESERVED1[31];
  
  union {
    __IOM uint32_t AS1CTL;                      /*!< (@ 0x00000100) Auto sequencer 1 control register                          */
    
    struct {
      __IOM uint32_t ASAxTRPWM  : 4;            /*!< (@ 0x00000000) Auto sequencer PWM trigger source                          */
      __IOM uint32_t ASAxTRTMR  : 2;            /*!< (@ 0x00000004) Auto sequencer timer trigger source                        */
      __IOM uint32_t ASxTRE     : 1;            /*!< (@ 0x00000006) Auto sequencer trigger source ASxCTL.ASxTR edge            */
      __IOM uint32_t ASxTR      : 1;            /*!< (@ 0x00000007) Auto sequencer trigger source                              */
      __IOM uint32_t ASxD       : 3;            /*!< (@ 0x00000008) Auto sequencer sampling depth                              */
      __IOM uint32_t ASxEN      : 1;            /*!< (@ 0x0000000B) Auto sequencer enabled                                     */
      __IOM uint32_t ASxBUSY    : 1;            /*!< (@ 0x0000000C) Auto sequencer busy                                        */
    } AS1CTL_b;
  } ;
  
  union {
    __IOM uint32_t AS1S0;                       /*!< (@ 0x00000104) Auto sequencer 1 sample 0 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S0_b;
  } ;
  
  union {
    __IOM uint32_t AS1R0;                       /*!< (@ 0x00000108) Auto sequencer 1 sample 0 result register                  */
    
    struct {
      __IOM uint32_t ADCRESULT  : 10;           /*!< (@ 0x00000000) ADC conversion result                                      */
    } AS1R0_b;
  } ;
  
  union {
    __IOM uint32_t AS1S1;                       /*!< (@ 0x0000010C) Auto sequencer 1 sample 1 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S1_b;
  } ;
  __IOM uint32_t  AS1R1;                        /*!< (@ 0x00000110) Auto sequencer 1 sample 1 result register                  */
  
  union {
    __IOM uint32_t AS1S2;                       /*!< (@ 0x00000114) Auto sequencer 1 sample 2 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S2_b;
  } ;
  __IOM uint32_t  AS1R2;                        /*!< (@ 0x00000118) Auto sequencer 1 sample 2 result register                  */
  
  union {
    __IOM uint32_t AS1S3;                       /*!< (@ 0x0000011C) Auto sequencer 1 sample 3 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S3_b;
  } ;
  __IOM uint32_t  AS1R3;                        /*!< (@ 0x00000120) Auto sequencer 1 sample 3 result register                  */
  
  union {
    __IOM uint32_t AS1S4;                       /*!< (@ 0x00000124) Auto sequencer 1 sample 4 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S4_b;
  } ;
  __IOM uint32_t  AS1R4;                        /*!< (@ 0x00000128) Auto sequencer 1 sample 4 result register                  */
  
  union {
    __IOM uint32_t AS1S5;                       /*!< (@ 0x0000012C) Auto sequencer 1 sample 5 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S5_b;
  } ;
  __IOM uint32_t  AS1R5;                        /*!< (@ 0x00000130) Auto sequencer 1 sample 5 result register                  */
  
  union {
    __IOM uint32_t AS1S6;                       /*!< (@ 0x00000134) Auto sequencer 1 sample 6 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S6_b;
  } ;
  __IOM uint32_t  AS1R6;                        /*!< (@ 0x00000138) Auto sequencer 1 sample 6 result register                  */
  
  union {
    __IOM uint32_t AS1S7;                       /*!< (@ 0x0000013C) Auto sequencer 1 sample 7 control register                 */
    
    struct {
      __IOM uint32_t EMUXD      : 8;            /*!< (@ 0x00000000) EMUXD                                                      */
      __IOM uint32_t EMUXS      : 2;            /*!< (@ 0x00000008) EMUX transmission start                                    */
      __IOM uint32_t DELAY      : 2;            /*!< (@ 0x0000000A) Delay between start of sample sequence and start
                                                                    of ADC conversion in input clocks                          */
      __IOM uint32_t ADCMUX     : 3;            /*!< (@ 0x0000000C) ADC MUX input select                                       */
    } AS1S7_b;
  } ;
  __IOM uint32_t  AS1R7;                        /*!< (@ 0x00000140) Auto sequencer 1 sample 7 result register                  */
} ADC_Type;                                     /*!< Size = 324 (0x144)                                                        */



/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief I2C (I2C)
  */

typedef struct {                                /*!< (@ 0x401B0000) I2C Structure                                              */
  
  union {
    __IOM uint32_t I2CCFG;                      /*!< (@ 0x00000000) I2C Configuration Register                                 */
    
    struct {
      __IOM uint32_t SLEN       : 1;            /*!< (@ 0x00000000) Slave Enable                                               */
      __IM  uint32_t            : 1;
      __IOM uint32_t MAEN       : 1;            /*!< (@ 0x00000002) Master Enable                                              */
      __IM  uint32_t            : 1;
      __IOM uint32_t ADDRMODE   : 1;            /*!< (@ 0x00000004) Address Mode                                               */
    } I2CCFG_b;
  } ;
  
  union {
    __IM  uint32_t I2CINT;                      /*!< (@ 0x00000004) I2C Interrupt                                              */
    
    struct {
      __IM  uint32_t MATXE      : 1;            /*!< (@ 0x00000000) Master transmit data register MATXDATA empty               */
      __IM  uint32_t MACTLE     : 1;            /*!< (@ 0x00000001) MACCTL access register accessed                            */
      __IM  uint32_t MARXF      : 1;            /*!< (@ 0x00000002) Master receive data register MARXDATA full                 */
      __IM  uint32_t            : 5;
      __IM  uint32_t MAXFERDONEINT : 1;         /*!< (@ 0x00000008) Master transfer complete                                   */
      __IM  uint32_t MAADDRACKINT : 1;          /*!< (@ 0x00000009) Master address acknowledged                                */
      __IM  uint32_t MAARBLINT  : 1;            /*!< (@ 0x0000000A) Master lost arbitration                                    */
      __IM  uint32_t MADACKINT  : 1;            /*!< (@ 0x0000000B) Master data acknowledge                                    */
      __IM  uint32_t            : 4;
      __IM  uint32_t SLADDRMINT : 1;            /*!< (@ 0x00000010) Slave address match                                        */
      __IM  uint32_t SLTXEINT   : 1;            /*!< (@ 0x00000011) Slave transmit data register SLTXDATA empty                */
      __IM  uint32_t SLRXFINT   : 1;            /*!< (@ 0x00000012) Slave receive data register SLRXDATA full                  */
      __IM  uint32_t            : 5;
      __IM  uint32_t SLXFERDONEINT : 1;         /*!< (@ 0x00000018) Slave transfer done interrupt                              */
    } I2CINT_b;
  } ;
  
  union {
    __IOM uint32_t I2CINTEN;                    /*!< (@ 0x00000008) I2C Interrupt Enable                                       */
    
    struct {
      __IOM uint32_t MATXE      : 1;            /*!< (@ 0x00000000) MATXE interrupt enable                                     */
      __IOM uint32_t MACTLE     : 1;            /*!< (@ 0x00000001) MACTLE interrupt enable                                    */
      __IOM uint32_t MARXF      : 1;            /*!< (@ 0x00000002) MARXF interrupt enable                                     */
      __IM  uint32_t            : 5;
      __IOM uint32_t MAXFERDONE : 1;            /*!< (@ 0x00000008) MAXFERDONE interrupt enable                                */
      __IM  uint32_t            : 7;
      __IOM uint32_t SLADDRM    : 1;            /*!< (@ 0x00000010) SLADDRM interrupt enable                                   */
      __IOM uint32_t SLTXE      : 1;            /*!< (@ 0x00000011) SLTXE interrupt enable                                     */
      __IOM uint32_t SLRXF      : 1;            /*!< (@ 0x00000012) SLRXF interrupt enable                                     */
      __IM  uint32_t            : 5;
      __IOM uint32_t SLXFERDONEINTEN : 1;       /*!< (@ 0x00000018) SLXFERDONEINTEN interrupt enable                           */
    } I2CINTEN_b;
  } ;
  __IM  uint32_t  RESERVED[9];
  
  union {
    __IOM uint32_t I2CMACTL;                    /*!< (@ 0x00000030) I2C master access control                                  */
    
    struct {
      __IOM uint32_t I2CADDRL   : 7;            /*!< (@ 0x00000000) Lower I2C address bits 6:0                                 */
      __IOM uint32_t I2CADDRU   : 3;            /*!< (@ 0x00000007) Upper I2C address bits 9:7                                 */
      __IOM uint32_t RSTART     : 1;            /*!< (@ 0x0000000A) Repeated start                                             */
      __IOM uint32_t XFERTYPE   : 1;            /*!< (@ 0x0000000B) Master transfer type                                       */
      __IM  uint32_t            : 1;
      __IOM uint32_t I2CMACTLF  : 1;            /*!< (@ 0x0000000D) I2CMACTL full                                              */
    } I2CMACTL_b;
  } ;
  
  union {
    __IOM uint32_t I2CMARXDATA;                 /*!< (@ 0x00000034) I2C master receive data                                    */
    
    struct {
      __IOM uint32_t MARXDATA   : 8;            /*!< (@ 0x00000000) Master data byte received                                  */
      __IM  uint32_t I2CMARXDATAF : 1;          /*!< (@ 0x00000008) I2CMARXDATA full                                           */
    } I2CMARXDATA_b;
  } ;
  
  union {
    __IOM uint32_t I2CMATXDATA;                 /*!< (@ 0x00000038) I2C master transmit data                                   */
    
    struct {
      __IOM uint32_t MATXDATA   : 8;            /*!< (@ 0x00000000) Master data byte to transmit                               */
      __IM  uint32_t I2CMATXDATAF : 1;          /*!< (@ 0x00000008) I2CMATXDATA full                                           */
      __IOM uint32_t LBYTE      : 1;            /*!< (@ 0x00000009) Last byte of transfer                                      */
    } I2CMATXDATA_b;
  } ;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t I2CBAUD;                     /*!< (@ 0x00000040) I2C baud rate                                              */
    
    struct {
      __IOM uint32_t SCLL       : 11;           /*!< (@ 0x00000000) Number of HCLK cycles for I2CCL low time                   */
      __IM  uint32_t            : 5;
      __IOM uint32_t SCLH       : 11;           /*!< (@ 0x00000010) Number of HCLK cycles for I2CCCL high time                 */
    } I2CBAUD_b;
  } ;
  __IM  uint32_t  RESERVED2[11];
  
  union {
    __IOM uint32_t I2CSLRXDATA;                 /*!< (@ 0x00000070) I2C slave receive data                                     */
    
    struct {
      __IOM uint32_t SLRXDATA   : 8;            /*!< (@ 0x00000000) Slave data byte received                                   */
      __IM  uint32_t I2CSLRXDATAF : 1;          /*!< (@ 0x00000008) I2CSLRXDATA full                                           */
    } I2CSLRXDATA_b;
  } ;
  
  union {
    __IOM uint32_t I2CSLTXDATA;                 /*!< (@ 0x00000074) I2C slave receive data                                     */
    
    struct {
      __IOM uint32_t SLTXDATA   : 8;            /*!< (@ 0x00000000) Slave data byte to transmit                                */
      __IOM uint32_t NACK       : 1;            /*!< (@ 0x00000008) Slave ACK or NACK                                          */
      __IM  uint32_t I2CSLTXDATAF : 1;          /*!< (@ 0x00000009) I2CSLTXDATA full                                           */
    } I2CSLTXDATA_b;
  } ;
  
  union {
    __IOM uint32_t I2CSLADDR;                   /*!< (@ 0x00000078) I2C slave address                                          */
    
    struct {
      __IOM uint32_t SLADDRL    : 7;            /*!< (@ 0x00000000) Lower slave address bits 6:0                               */
      __IOM uint32_t SLADDRH    : 3;            /*!< (@ 0x00000007) Higher slave address bits9:7                               */
    } I2CSLADDR_b;
  } ;
} I2C_Type;                                     /*!< Size = 124 (0x7c)                                                         */



/* =========================================================================================================================== */
/* ================                                           UART                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief UART (UART)
  */

typedef struct {                                /*!< (@ 0x401D0000) UART Structure                                             */
  
  union {
    __IOM uint32_t UARTRXTX;                    /*!< (@ 0x00000000) UART receive/transmit FIFO                                 */
    
    struct {
      __IOM uint32_t RXTX       : 8;            /*!< (@ 0x00000000) Receive and Transmit FIFO buffer (read: RX FIFO,
                                                                    write: TX FIFO)                                            */
    } UARTRXTX_b;
  } ;
  
  union {
    __IOM uint32_t UARTIEN;                     /*!< (@ 0x00000004) UART interrupt enable                                      */
    
    struct {
      __IOM uint32_t RXINTEN    : 1;            /*!< (@ 0x00000000) RX register data available interrupt enable                */
      __IOM uint32_t TXINTEN    : 1;            /*!< (@ 0x00000001) TX register data available interrupt enable                */
      __IOM uint32_t RSINTEN    : 1;            /*!< (@ 0x00000002) Receive interrupt enable                                   */
      __IOM uint32_t MSINTEN    : 1;            /*!< (@ 0x00000003) Model Status interrupt enable                              */
    } UARTIEN_b;
  } ;
  
  union {
    __IOM uint32_t UARTII;                      /*!< (@ 0x00000008) UART interrupt identification                              */
    
    struct {
      __IOM uint32_t UARTINT    : 1;            /*!< (@ 0x00000000) UART interrupt                                             */
      __IOM uint32_t UARTINTID  : 3;            /*!< (@ 0x00000001) UART interrupt type                                        */
    } UARTII_b;
  } ;
  
  union {
    __IOM uint32_t UARTLC;                      /*!< (@ 0x0000000C) UART Line Control                                          */
    
    struct {
      __IOM uint32_t BPC        : 2;            /*!< (@ 0x00000000) Bit per character                                          */
      __IOM uint32_t STB        : 1;            /*!< (@ 0x00000002) Stop bits                                                  */
      __IOM uint32_t PEN        : 1;            /*!< (@ 0x00000003) Parity enable                                              */
      __IOM uint32_t EPS        : 1;            /*!< (@ 0x00000004) Parity type                                                */
      __IOM uint32_t SP         : 1;            /*!< (@ 0x00000005) Stick parity                                               */
      __IOM uint32_t SB         : 1;            /*!< (@ 0x00000006) Break control                                              */
    } UARTLC_b;
  } ;
  __IM  uint32_t  RESERVED;
  
  union {
    __IOM uint32_t UARTLS;                      /*!< (@ 0x00000014) UART Line Status                                           */
    
    struct {
      __IOM uint32_t RXDR       : 1;            /*!< (@ 0x00000000) RX data ready                                              */
      __IOM uint32_t RXOE       : 1;            /*!< (@ 0x00000001) RX overrun error                                           */
      __IOM uint32_t RXPE       : 1;            /*!< (@ 0x00000002) RX parity error                                            */
      __IOM uint32_t RXFE       : 1;            /*!< (@ 0x00000003) RX framing error                                           */
      __IOM uint32_t RXBE       : 1;            /*!< (@ 0x00000004) RX break error                                             */
      __IOM uint32_t TCFE       : 1;            /*!< (@ 0x00000005) TX FIFO empty                                              */
      __IOM uint32_t TXE        : 1;            /*!< (@ 0x00000006) TX empty                                                   */
      __IOM uint32_t RXE        : 1;            /*!< (@ 0x00000007) RX FIFO error                                              */
    } UARTLS_b;
  } ;
  __IM  uint32_t  RESERVED1[2];
  
  union {
    __IOM uint32_t UARTFCTL;                    /*!< (@ 0x00000020) FIFO control                                               */
    
    struct {
      __IOM uint32_t FEN        : 1;            /*!< (@ 0x00000000) FIFO enable                                                */
      __IOM uint32_t RXFRESET   : 1;            /*!< (@ 0x00000001) RX FIFO reset                                              */
      __IOM uint32_t TXFRESET   : 1;            /*!< (@ 0x00000002) RX FIFO reset                                              */
      __IM  uint32_t            : 3;
      __IOM uint32_t RXFT       : 2;            /*!< (@ 0x00000006) RX FIFO Theshold                                           */
    } UARTFCTL_b;
  } ;
  
  union {
    __IOM uint32_t UARTIE_R;                    /*!< (@ 0x00000024) UART interrupt enable remapped                             */
    
    struct {
      __IOM uint32_t RXINTEN    : 1;            /*!< (@ 0x00000000) RX register data available interrupt enable                */
      __IOM uint32_t TXINTEN    : 1;            /*!< (@ 0x00000001) TX register data available interrupt enable                */
      __IOM uint32_t RSINTEN    : 1;            /*!< (@ 0x00000002) Receive interrupt enable                                   */
      __IOM uint32_t MSINTEN    : 1;            /*!< (@ 0x00000003) Modem status interrupt enable                              */
    } UARTIE_R_b;
  } ;
  
  union {
    __IOM uint32_t UARTDL_L;                    /*!< (@ 0x00000028) UART divisor latch low byte                                */
    
    struct {
      __IOM uint32_t DL_L       : 8;            /*!< (@ 0x00000000) RX register data available interrupt enable                */
    } UARTDL_L_b;
  } ;
  
  union {
    __IOM uint32_t UARTDL_H;                    /*!< (@ 0x0000002C) UART divisor latch high byte                               */
    
    struct {
      __IOM uint32_t DL_H       : 8;            /*!< (@ 0x00000000) Divisor value, high byte                                   */
    } UARTDL_H_b;
  } ;
  __IM  uint32_t  RESERVED2[2];
  
  union {
    __IOM uint32_t UARTFD_F;                    /*!< (@ 0x00000038) UART fractional divisor value                              */
    
    struct {
      __IOM uint32_t FRAC       : 8;            /*!< (@ 0x00000000) Fractional divisor value                                   */
    } UARTFD_F_b;
  } ;
  __IM  uint32_t  RESERVED3;
  
  union {
    __IOM uint32_t UARTFSTAT;                   /*!< (@ 0x00000040) UART FIFO status                                           */
    
    struct {
      __IOM uint32_t TXFE       : 1;            /*!< (@ 0x00000000) TX FIFO empty                                              */
      __IOM uint32_t TXFF       : 1;            /*!< (@ 0x00000001) TX FIFO full                                               */
      __IOM uint32_t RXFE       : 1;            /*!< (@ 0x00000002) RX FIFO empty                                              */
      __IOM uint32_t RXFF       : 1;            /*!< (@ 0x00000003) RX FIFO full                                               */
    } UARTFSTAT_b;
  } ;
} UART_Type;                                    /*!< Size = 68 (0x44)                                                          */



/* =========================================================================================================================== */
/* ================                                           SOCB                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief SOC Bus Bridge (SOCB)
  */

typedef struct {                                /*!< (@ 0x40200000) SOCB Structure                                             */
  
  union {
    __IOM uint32_t SOCBCTL;                     /*!< (@ 0x00000000) SOC Bus Bridge Control                                     */
    
    struct {
      __IOM uint32_t SSEN       : 1;            /*!< (@ 0x00000000) SOC bus bridge enable                                      */
      __IOM uint32_t SIE        : 1;            /*!< (@ 0x00000001) SOC bus bridge interrupt enable                            */
      __IM  uint32_t            : 3;
      __OM  uint32_t MTRARM     : 1;            /*!< (@ 0x00000005) MTRANS re-arm                                              */
    } SOCBCTL_b;
  } ;
  
  union {
    __IOM uint32_t SOCBCFG;                     /*!< (@ 0x00000004) SOC Bus Bridge Configuration                               */
    
    struct {
      __IM  uint32_t            : 2;
      __IOM uint32_t MRST       : 1;            /*!< (@ 0x00000002) Module reset                                               */
    } SOCBCFG_b;
  } ;
  __IM  uint32_t  RESERVED[3];
  
  union {
    __IOM uint32_t SOCBSTAT;                    /*!< (@ 0x00000014) SOC Bus Bridge Status                                      */
    
    struct {
      __IOM uint32_t SOCB_INT   : 1;            /*!< (@ 0x00000000) SOC bus bridge interrupt                                   */
      __IM  uint32_t            : 1;
      __IOM uint32_t RDOFL      : 1;            /*!< (@ 0x00000002) Read buffer overflow                                       */
      __IM  uint32_t            : 2;
      __IOM uint32_t CYC_DONE   : 1;            /*!< (@ 0x00000005) Cycle done (current transfer is complete)                  */
      __IM  uint32_t            : 2;
      __IOM uint32_t WRUFL      : 1;            /*!< (@ 0x00000008) Write buffer underflow                                     */
      __IOM uint32_t TXFULL     : 1;            /*!< (@ 0x00000009) Transmit holding register in use                           */
      __IOM uint32_t RXFULL     : 1;            /*!< (@ 0x0000000A) Receive holding register in use                            */
      __IM  uint32_t            : 1;
      __IOM uint32_t CURSTATE   : 3;            /*!< (@ 0x0000000C) Raw status of the SOC bus bridge master state
                                                                    machines current_state register                            */
    } SOCBSTAT_b;
  } ;
  __IM  uint32_t  RESERVED1;
  
  union {
    __IOM uint32_t SOCBD;                       /*!< (@ 0x0000001C) SOC Bus Bridge Data. On READ, retrieve received
                                                                    data word from the incoming holding buffer.
                                                                    On WRITE, write address or data word to
                                                                    the outgoing holding buffer                                */
    
    struct {
      __IOM uint32_t DATA       : 8;            /*!< (@ 0x00000000) SOC bus bridge data                                        */
    } SOCBD_b;
  } ;
  
  union {
    __IOM uint32_t SOCBINT_EN;                  /*!< (@ 0x00000020) SOC Bus Bridge Interrupt Enable                            */
    
    struct {
      __IM  uint32_t            : 2;
      __IOM uint32_t RDOFL_EN   : 1;            /*!< (@ 0x00000002) Read buffer overflow RDOFL interrupt enable                */
      __IM  uint32_t            : 5;
      __IOM uint32_t WRUFL_EN   : 1;            /*!< (@ 0x00000008) Write buffer underflow SOCBSTAT.WRUFL interrupt
                                                                    enable                                                     */
    } SOCBINT_EN_b;
  } ;
} SOCB_Type;                                    /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                            SPI                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief SPI (SPI)
  */

typedef struct {                                /*!< (@ 0x40210000) SPI Structure                                              */
  
  union {
    __IOM uint32_t SPICTL;                      /*!< (@ 0x00000000) SPI Control                                                */
    
    struct {
      __IOM uint32_t SSEN       : 1;            /*!< (@ 0x00000000) SPI enable                                                 */
      __IOM uint32_t SIE        : 1;            /*!< (@ 0x00000001) SPI interrupt enable                                       */
      __IOM uint32_t LPBK       : 1;            /*!< (@ 0x00000002) Internal loopback mode                                     */
      __IOM uint32_t SE         : 1;            /*!< (@ 0x00000003) Slave enable                                               */
      __IM  uint32_t            : 1;
      __OM  uint32_t MTRARM     : 1;            /*!< (@ 0x00000005) MTRANS re-arm                                              */
      __IOM uint32_t MTRANS     : 1;            /*!< (@ 0x00000006) Multiple transfer mode                                     */
      __IOM uint32_t MMST_N     : 1;            /*!< (@ 0x00000007) Multi-master mode                                          */
      __IOM uint32_t RTRANS     : 1;            /*!< (@ 0x00000008) Auto-retrans on clock error                                */
    } SPICTL_b;
  } ;
  
  union {
    __IOM uint32_t SPICFG;                      /*!< (@ 0x00000004) SPI Configuration                                          */
    
    struct {
      __IOM uint32_t WL         : 2;            /*!< (@ 0x00000000) Word length                                                */
      __IOM uint32_t MRST       : 1;            /*!< (@ 0x00000002) Module reset                                               */
      __IOM uint32_t LB1ST      : 1;            /*!< (@ 0x00000003) Least bit first                                            */
      __IOM uint32_t CP         : 1;            /*!< (@ 0x00000004) Master mode clock polarity                                 */
      __IOM uint32_t CPH        : 1;            /*!< (@ 0x00000005) Master mode clock phase                                    */
      __IOM uint32_t RCVCP      : 1;            /*!< (@ 0x00000006) Slave mode clock polarity                                  */
      __IOM uint32_t RCVCPH     : 1;            /*!< (@ 0x00000007) Slave mode clock phase                                     */
      __IM  uint32_t            : 1;
      __IOM uint32_t TXDATPH    : 1;            /*!< (@ 0x00000009) Early transmit data phase                                  */
      __IOM uint32_t TDBUF      : 1;            /*!< (@ 0x0000000A) Transmit double-buffer mode                                */
      __IOM uint32_t MTURBO     : 1;            /*!< (@ 0x0000000B) Master 'turbo' operation mode                              */
    } SPICFG_b;
  } ;
  
  union {
    __IOM uint32_t SPICLKDIV;                   /*!< (@ 0x00000008) SPI Clock Divider                                          */
    
    struct {
      __IOM uint32_t CLKDIV     : 16;           /*!< (@ 0x00000000) Clock divisor for SCLK (HCLK / (CLKDIV + 1)*2)             */
    } SPICLKDIV_b;
  } ;
  __IM  uint32_t  RESERVED[2];
  
  union {
    __IOM uint32_t SPISTAT;                     /*!< (@ 0x00000014) SPI Status                                                 */
    
    struct {
      __IOM uint32_t SPI_INT    : 1;            /*!< (@ 0x00000000) SPI interrupt                                              */
      __IM  uint32_t            : 1;
      __IOM uint32_t RDOFL      : 1;            /*!< (@ 0x00000002) Read buffer overflow                                       */
      __IOM uint32_t LE         : 1;            /*!< (@ 0x00000003) Chip select leading edge detect                            */
      __IOM uint32_t UCLK       : 1;            /*!< (@ 0x00000004) Underclock condition                                       */
      __IOM uint32_t CYC_DONE   : 1;            /*!< (@ 0x00000005) Cycle done (current transfer is complete)                  */
      __IOM uint32_t TE         : 1;            /*!< (@ 0x00000006) Chip select trailing edge detect                           */
      __IM  uint32_t            : 1;
      __IOM uint32_t WRUFL      : 1;            /*!< (@ 0x00000008) Write buffer underflow                                     */
      __IOM uint32_t TXFULL     : 1;            /*!< (@ 0x00000009) Transmit holding register in use                           */
      __IOM uint32_t RXFULL     : 1;            /*!< (@ 0x0000000A) Receive holding register in use                            */
      __IM  uint32_t            : 1;
      __IOM uint32_t CURSTATE   : 3;            /*!< (@ 0x0000000C) Raw status of the SOC bus bridge master state
                                                                    machines current_state register                            */
    } SPISTAT_b;
  } ;
  
  union {
    __IOM uint32_t SPICSSTR;                    /*!< (@ 0x00000018) SPI Chip Select Steering Register                          */
    
    struct {
      __IOM uint32_t CSNUM      : 2;            /*!< (@ 0x00000000) Chip select number                                         */
      __IOM uint32_t CSL        : 1;            /*!< (@ 0x00000002) Chip select active high level select                       */
      __IM  uint32_t            : 5;
      __IOM uint32_t CSSETUP    : 4;            /*!< (@ 0x00000008) Chip select setup. Minimum number of SPICLK periods
                                                                    to wait from assertion of CS<n> to the
                                                                    first SPICLK transition                                    */
      __IOM uint32_t CSHOLD     : 4;            /*!< (@ 0x0000000C) Chip select hold. Minimum number of SPICLK periods
                                                                    to wait from the last SPICLK transition
                                                                    to de-assertion of CS<n>                                   */
      __IOM uint32_t CSWAIT     : 4;            /*!< (@ 0x00000010) Chip select wait. The minimum number of SPICLK
                                                                    periods to wait between the de-assertion
                                                                    of CS<n> and the re-assertion of CS<n>                     */
      __IOM uint32_t CKWAIT     : 4;            /*!< (@ 0x00000014) SPI clock wait. Only applies if SPICTL.MTRANS=1b(multiple
                                                                    transfers with one chip select assertion).
                                                                    This value determines the minimum number
                                                                    of SPICLK periods to wait between back-to-back
                                                                    transfers. During this wait time, SPICLK
                                                                    does not toggle but CSx remains active.                    */
    } SPICSSTR_b;
  } ;
  
  union {
    __IOM uint32_t SPID;                        /*!< (@ 0x0000001C) SPI Data. On READ, retrieve received data word
                                                                    from the incoming holding buffer. On WRITE,
                                                                    write address or data word to the outgoing
                                                                    holding buffer                                             */
    
    struct {
      __IOM uint32_t DATA       : 8;            /*!< (@ 0x00000000) SOC bus bridge data                                        */
    } SPID_b;
  } ;
  
  union {
    __IOM uint32_t SPIINT_EN;                   /*!< (@ 0x00000020) SPI Interrupt Enable                                       */
    
    struct {
      __IM  uint32_t            : 2;
      __IOM uint32_t RDOFL_EN   : 1;            /*!< (@ 0x00000002) Read buffer overflow RDOFL interrupt enable                */
      __IOM uint32_t LE_EN      : 1;            /*!< (@ 0x00000003) Leading edge detect LE interrupt enable                    */
      __IOM uint32_t UCLK_EN    : 1;            /*!< (@ 0x00000004) Underclock UCLK interrupt enable                           */
      __IOM uint32_t CYC_DONE_EN : 1;           /*!< (@ 0x00000005) Cycle done CYC_DONE interrupt enable                       */
      __IOM uint32_t TE_EN      : 1;            /*!< (@ 0x00000006) Trailing edge detect TE interrupt enable                   */
      __IOM uint32_t BP_DONE    : 1;            /*!< (@ 0x00000007) Byte packing BP_DONE interrupt enable                      */
      __IOM uint32_t WRUFL_EN   : 1;            /*!< (@ 0x00000008) Write buffer underflow SOCBSTAT.WRUFL interrupt
                                                                    enable                                                     */
    } SPIINT_EN_b;
  } ;
} SPI_Type;                                     /*!< Size = 36 (0x24)                                                          */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================  End of section using anonymous unions  ========================================= */
#if defined (__CC_ARM)
  #pragma pop
#elif defined (__ICCARM__)
  /* leave anonymous unions enabled */
#elif (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic pop
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning restore
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#endif


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define SYSCLK_BASE                 0x40000000UL
#define MEMCTL_BASE                 0x40020000UL
#define WDT_BASE                    0x40030000UL
#define RTC_BASE                    0x40040000UL
#define GPIOA_BASE                  0x40070000UL
#define GPIOB_BASE                  0x40070040UL
#define GPIOC_BASE                  0x40080000UL
#define GPIOD_BASE                  0x40080040UL
#define GPIOE_BASE                  0x40090000UL
#define TIMERA_BASE                 0x400D0000UL
#define TIMERB_BASE                 0x400E0000UL
#define TIMERC_BASE                 0x400F0000UL
#define TIMERD_BASE                 0x40100000UL
#define ADC_BASE                    0x40150000UL
#define I2C_BASE                    0x401B0000UL
#define UART_BASE                   0x401D0000UL
#define SOCB_BASE                   0x40200000UL
#define SPI_BASE                    0x40210000UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define SYSCLK                      ((SYSCLK_Type*)            SYSCLK_BASE)
#define MEMCTL                      ((MEMCTL_Type*)            MEMCTL_BASE)
#define WDT                         ((WDT_Type*)               WDT_BASE)
#define RTC                         ((RTC_Type*)               RTC_BASE)
#define GPIOA                       ((GPIOA_Type*)             GPIOA_BASE)
#define GPIOB                       ((GPIOA_Type*)             GPIOB_BASE)
#define GPIOC                       ((GPIOC_Type*)             GPIOC_BASE)
#define GPIOD                       ((GPIOA_Type*)             GPIOD_BASE)
#define GPIOE                       ((GPIOA_Type*)             GPIOE_BASE)
#define TIMERA                      ((TIMERA_Type*)            TIMERA_BASE)
#define TIMERB                      ((TIMERB_Type*)            TIMERB_BASE)
#define TIMERC                      ((TIMERC_Type*)            TIMERC_BASE)
#define TIMERD                      ((TIMERD_Type*)            TIMERD_BASE)
#define ADC                         ((ADC_Type*)               ADC_BASE)
#define I2C                         ((I2C_Type*)               I2C_BASE)
#define UART                        ((UART_Type*)              UART_BASE)
#define SOCB                        ((SOCB_Type*)              SOCB_BASE)
#define SPI                         ((SPI_Type*)               SPI_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                          SYSCLK                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  SCCTL  ========================================================= */
#define SYSCLK_SCCTL_CLKIN_Pos            (0UL)                     /*!< SYSCLK SCCTL: CLKIN (Bit 0)                           */
#define SYSCLK_SCCTL_CLKIN_Msk            (0x3UL)                   /*!< SYSCLK SCCTL: CLKIN (Bitfield-Mask: 0x03)             */
#define SYSCLK_SCCTL_ACLKDIV_Pos          (2UL)                     /*!< SYSCLK SCCTL: ACLKDIV (Bit 2)                         */
#define SYSCLK_SCCTL_ACLKDIV_Msk          (0x1cUL)                  /*!< SYSCLK SCCTL: ACLKDIV (Bitfield-Mask: 0x07)           */
#define SYSCLK_SCCTL_HCLKDIV_Pos          (5UL)                     /*!< SYSCLK SCCTL: HCLKDIV (Bit 5)                         */
#define SYSCLK_SCCTL_HCLKDIV_Msk          (0x60UL)                  /*!< SYSCLK SCCTL: HCLKDIV (Bitfield-Mask: 0x03)           */
#define SYSCLK_SCCTL_FCLK_Pos             (7UL)                     /*!< SYSCLK SCCTL: FCLK (Bit 7)                            */
#define SYSCLK_SCCTL_FCLK_Msk             (0x80UL)                  /*!< SYSCLK SCCTL: FCLK (Bitfield-Mask: 0x01)              */
/* ========================================================  PLLCTL  ========================================================= */
#define SYSCLK_PLLCTL_PLLEN_Pos           (0UL)                     /*!< SYSCLK PLLCTL: PLLEN (Bit 0)                          */
#define SYSCLK_PLLCTL_PLLEN_Msk           (0x1UL)                   /*!< SYSCLK PLLCTL: PLLEN (Bitfield-Mask: 0x01)            */
#define SYSCLK_PLLCTL_PLLINDIV_Pos        (2UL)                     /*!< SYSCLK PLLCTL: PLLINDIV (Bit 2)                       */
#define SYSCLK_PLLCTL_PLLINDIV_Msk        (0x7cUL)                  /*!< SYSCLK PLLCTL: PLLINDIV (Bitfield-Mask: 0x1f)         */
#define SYSCLK_PLLCTL_PLLFBDIV_Pos        (7UL)                     /*!< SYSCLK PLLCTL: PLLFBDIV (Bit 7)                       */
#define SYSCLK_PLLCTL_PLLFBDIV_Msk        (0xff80UL)                /*!< SYSCLK PLLCTL: PLLFBDIV (Bitfield-Mask: 0x1ff)        */
#define SYSCLK_PLLCTL_PLLOUTDIV_Pos       (16UL)                    /*!< SYSCLK PLLCTL: PLLOUTDIV (Bit 16)                     */
#define SYSCLK_PLLCTL_PLLOUTDIV_Msk       (0xf0000UL)               /*!< SYSCLK PLLCTL: PLLOUTDIV (Bitfield-Mask: 0x0f)        */
/* ========================================================  ROSCCTL  ======================================================== */
#define SYSCLK_ROSCCTL_ROSCEN_Pos         (0UL)                     /*!< SYSCLK ROSCCTL: ROSCEN (Bit 0)                        */
#define SYSCLK_ROSCCTL_ROSCEN_Msk         (0x1UL)                   /*!< SYSCLK ROSCCTL: ROSCEN (Bitfield-Mask: 0x01)          */
#define SYSCLK_ROSCCTL_ROSCP_Pos          (1UL)                     /*!< SYSCLK ROSCCTL: ROSCP (Bit 1)                         */
#define SYSCLK_ROSCCTL_ROSCP_Msk          (0x6UL)                   /*!< SYSCLK ROSCCTL: ROSCP (Bitfield-Mask: 0x03)           */
/* ========================================================  XTALCTL  ======================================================== */
#define SYSCLK_XTALCTL_XTALEN_Pos         (0UL)                     /*!< SYSCLK XTALCTL: XTALEN (Bit 0)                        */
#define SYSCLK_XTALCTL_XTALEN_Msk         (0x1UL)                   /*!< SYSCLK XTALCTL: XTALEN (Bitfield-Mask: 0x01)          */


/* =========================================================================================================================== */
/* ================                                          MEMCTL                                           ================ */
/* =========================================================================================================================== */

/* =======================================================  FLASHLOCK  ======================================================= */
/* ======================================================  FLASHSTATUS  ====================================================== */
#define MEMCTL_FLASHSTATUS_WRITE_Pos      (0UL)                     /*!< MEMCTL FLASHSTATUS: WRITE (Bit 0)                     */
#define MEMCTL_FLASHSTATUS_WRITE_Msk      (0x1UL)                   /*!< MEMCTL FLASHSTATUS: WRITE (Bitfield-Mask: 0x01)       */
#define MEMCTL_FLASHSTATUS_PERASE_Pos     (1UL)                     /*!< MEMCTL FLASHSTATUS: PERASE (Bit 1)                    */
#define MEMCTL_FLASHSTATUS_PERASE_Msk     (0x2UL)                   /*!< MEMCTL FLASHSTATUS: PERASE (Bitfield-Mask: 0x01)      */
/* =======================================================  FLASHPAGE  ======================================================= */
/* ======================================================  FLASHPERASE  ====================================================== */
/* =======================================================  SWDACCESS  ======================================================= */
/* ======================================================  FLASHWSTATE  ====================================================== */
#define MEMCTL_FLASHWSTATE_WSTATE_Pos     (0UL)                     /*!< MEMCTL FLASHWSTATE: WSTATE (Bit 0)                    */
#define MEMCTL_FLASHWSTATE_WSTATE_Msk     (0x3UL)                   /*!< MEMCTL FLASHWSTATE: WSTATE (Bitfield-Mask: 0x03)      */
/* ======================================================  FLASHBWRITE  ====================================================== */


/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  WDTCTL  ========================================================= */
#define WDT_WDTCTL_WDTCTRRST_Pos          (0UL)                     /*!< WDT WDTCTL: WDTCTRRST (Bit 0)                         */
#define WDT_WDTCTL_WDTCTRRST_Msk          (0x7UL)                   /*!< WDT WDTCTL: WDTCTRRST (Bitfield-Mask: 0x07)           */
#define WDT_WDTCTL_WDTINTEN_Pos           (3UL)                     /*!< WDT WDTCTL: WDTINTEN (Bit 3)                          */
#define WDT_WDTCTL_WDTINTEN_Msk           (0x8UL)                   /*!< WDT WDTCTL: WDTINTEN (Bitfield-Mask: 0x01)            */
#define WDT_WDTCTL_WDTINT_Pos             (4UL)                     /*!< WDT WDTCTL: WDTINT (Bit 4)                            */
#define WDT_WDTCTL_WDTINT_Msk             (0x10UL)                  /*!< WDT WDTCTL: WDTINT (Bitfield-Mask: 0x01)              */
#define WDT_WDTCTL_WDTRESETEN_Pos         (5UL)                     /*!< WDT WDTCTL: WDTRESETEN (Bit 5)                        */
#define WDT_WDTCTL_WDTRESETEN_Msk         (0x20UL)                  /*!< WDT WDTCTL: WDTRESETEN (Bitfield-Mask: 0x01)          */
#define WDT_WDTCTL_WDTCLKDIV_Pos          (6UL)                     /*!< WDT WDTCTL: WDTCLKDIV (Bit 6)                         */
#define WDT_WDTCTL_WDTCLKDIV_Msk          (0x3c0UL)                 /*!< WDT WDTCTL: WDTCLKDIV (Bitfield-Mask: 0x0f)           */
#define WDT_WDTCTL_WDTCLKSEL_Pos          (10UL)                    /*!< WDT WDTCTL: WDTCLKSEL (Bit 10)                        */
#define WDT_WDTCTL_WDTCLKSEL_Msk          (0x400UL)                 /*!< WDT WDTCTL: WDTCLKSEL (Bitfield-Mask: 0x01)           */
#define WDT_WDTCTL_WRBUSY_Pos             (11UL)                    /*!< WDT WDTCTL: WRBUSY (Bit 11)                           */
#define WDT_WDTCTL_WRBUSY_Msk             (0x800UL)                 /*!< WDT WDTCTL: WRBUSY (Bitfield-Mask: 0x01)              */
#define WDT_WDTCTL_KEY_Pos                (24UL)                    /*!< WDT WDTCTL: KEY (Bit 24)                              */
#define WDT_WDTCTL_KEY_Msk                (0xff000000UL)            /*!< WDT WDTCTL: KEY (Bitfield-Mask: 0xff)                 */
/* ========================================================  WDTCDV  ========================================================= */
#define WDT_WDTCDV_RSTVALUE_Pos           (0UL)                     /*!< WDT WDTCDV: RSTVALUE (Bit 0)                          */
#define WDT_WDTCDV_RSTVALUE_Msk           (0xffffffUL)              /*!< WDT WDTCDV: RSTVALUE (Bitfield-Mask: 0xffffff)        */
#define WDT_WDTCDV_KEY_Pos                (24UL)                    /*!< WDT WDTCDV: KEY (Bit 24)                              */
#define WDT_WDTCDV_KEY_Msk                (0xff000000UL)            /*!< WDT WDTCDV: KEY (Bitfield-Mask: 0xff)                 */
/* ========================================================  WDTCTR  ========================================================= */


/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  RTCCTL  ========================================================= */
#define RTC_RTCCTL_RTCCTRRST_Pos          (0UL)                     /*!< RTC RTCCTL: RTCCTRRST (Bit 0)                         */
#define RTC_RTCCTL_RTCCTRRST_Msk          (0x7UL)                   /*!< RTC RTCCTL: RTCCTRRST (Bitfield-Mask: 0x07)           */
#define RTC_RTCCTL_RTCINTEN_Pos           (3UL)                     /*!< RTC RTCCTL: RTCINTEN (Bit 3)                          */
#define RTC_RTCCTL_RTCINTEN_Msk           (0x8UL)                   /*!< RTC RTCCTL: RTCINTEN (Bitfield-Mask: 0x01)            */
#define RTC_RTCCTL_RTCINT_Pos             (4UL)                     /*!< RTC RTCCTL: RTCINT (Bit 4)                            */
#define RTC_RTCCTL_RTCINT_Msk             (0x10UL)                  /*!< RTC RTCCTL: RTCINT (Bitfield-Mask: 0x01)              */
#define RTC_RTCCTL_RTCCLKDIV_Pos          (6UL)                     /*!< RTC RTCCTL: RTCCLKDIV (Bit 6)                         */
#define RTC_RTCCTL_RTCCLKDIV_Msk          (0x3c0UL)                 /*!< RTC RTCCTL: RTCCLKDIV (Bitfield-Mask: 0x0f)           */
#define RTC_RTCCTL_WRBUSY_Pos             (11UL)                    /*!< RTC RTCCTL: WRBUSY (Bit 11)                           */
#define RTC_RTCCTL_WRBUSY_Msk             (0x800UL)                 /*!< RTC RTCCTL: WRBUSY (Bitfield-Mask: 0x01)              */
#define RTC_RTCCTL_KEY_Pos                (24UL)                    /*!< RTC RTCCTL: KEY (Bit 24)                              */
#define RTC_RTCCTL_KEY_Msk                (0xff000000UL)            /*!< RTC RTCCTL: KEY (Bitfield-Mask: 0xff)                 */
/* ========================================================  RTCCDV  ========================================================= */
#define RTC_RTCCDV_RSTVALUE_Pos           (0UL)                     /*!< RTC RTCCDV: RSTVALUE (Bit 0)                          */
#define RTC_RTCCDV_RSTVALUE_Msk           (0xffffffUL)              /*!< RTC RTCCDV: RSTVALUE (Bitfield-Mask: 0xffffff)        */
#define RTC_RTCCDV_KEY_Pos                (24UL)                    /*!< RTC RTCCDV: KEY (Bit 24)                              */
#define RTC_RTCCDV_KEY_Msk                (0xff000000UL)            /*!< RTC RTCCDV: KEY (Bitfield-Mask: 0xff)                 */
/* ========================================================  RTCCTR  ========================================================= */


/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  OUT  ========================================================== */
#define GPIOA_OUT_P0_Pos                  (0UL)                     /*!< GPIOA OUT: P0 (Bit 0)                                 */
#define GPIOA_OUT_P0_Msk                  (0x1UL)                   /*!< GPIOA OUT: P0 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P1_Pos                  (1UL)                     /*!< GPIOA OUT: P1 (Bit 1)                                 */
#define GPIOA_OUT_P1_Msk                  (0x2UL)                   /*!< GPIOA OUT: P1 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P2_Pos                  (2UL)                     /*!< GPIOA OUT: P2 (Bit 2)                                 */
#define GPIOA_OUT_P2_Msk                  (0x4UL)                   /*!< GPIOA OUT: P2 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P3_Pos                  (3UL)                     /*!< GPIOA OUT: P3 (Bit 3)                                 */
#define GPIOA_OUT_P3_Msk                  (0x8UL)                   /*!< GPIOA OUT: P3 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P4_Pos                  (4UL)                     /*!< GPIOA OUT: P4 (Bit 4)                                 */
#define GPIOA_OUT_P4_Msk                  (0x10UL)                  /*!< GPIOA OUT: P4 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P5_Pos                  (5UL)                     /*!< GPIOA OUT: P5 (Bit 5)                                 */
#define GPIOA_OUT_P5_Msk                  (0x20UL)                  /*!< GPIOA OUT: P5 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P6_Pos                  (6UL)                     /*!< GPIOA OUT: P6 (Bit 6)                                 */
#define GPIOA_OUT_P6_Msk                  (0x40UL)                  /*!< GPIOA OUT: P6 (Bitfield-Mask: 0x01)                   */
#define GPIOA_OUT_P7_Pos                  (7UL)                     /*!< GPIOA OUT: P7 (Bit 7)                                 */
#define GPIOA_OUT_P7_Msk                  (0x80UL)                  /*!< GPIOA OUT: P7 (Bitfield-Mask: 0x01)                   */
/* =========================================================  OUTEN  ========================================================= */
#define GPIOA_OUTEN_P0_Pos                (0UL)                     /*!< GPIOA OUTEN: P0 (Bit 0)                               */
#define GPIOA_OUTEN_P0_Msk                (0x1UL)                   /*!< GPIOA OUTEN: P0 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P1_Pos                (1UL)                     /*!< GPIOA OUTEN: P1 (Bit 1)                               */
#define GPIOA_OUTEN_P1_Msk                (0x2UL)                   /*!< GPIOA OUTEN: P1 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P2_Pos                (2UL)                     /*!< GPIOA OUTEN: P2 (Bit 2)                               */
#define GPIOA_OUTEN_P2_Msk                (0x4UL)                   /*!< GPIOA OUTEN: P2 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P3_Pos                (3UL)                     /*!< GPIOA OUTEN: P3 (Bit 3)                               */
#define GPIOA_OUTEN_P3_Msk                (0x8UL)                   /*!< GPIOA OUTEN: P3 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P4_Pos                (4UL)                     /*!< GPIOA OUTEN: P4 (Bit 4)                               */
#define GPIOA_OUTEN_P4_Msk                (0x10UL)                  /*!< GPIOA OUTEN: P4 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P5_Pos                (5UL)                     /*!< GPIOA OUTEN: P5 (Bit 5)                               */
#define GPIOA_OUTEN_P5_Msk                (0x20UL)                  /*!< GPIOA OUTEN: P5 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P6_Pos                (6UL)                     /*!< GPIOA OUTEN: P6 (Bit 6)                               */
#define GPIOA_OUTEN_P6_Msk                (0x40UL)                  /*!< GPIOA OUTEN: P6 (Bitfield-Mask: 0x01)                 */
#define GPIOA_OUTEN_P7_Pos                (7UL)                     /*!< GPIOA OUTEN: P7 (Bit 7)                               */
#define GPIOA_OUTEN_P7_Msk                (0x80UL)                  /*!< GPIOA OUTEN: P7 (Bitfield-Mask: 0x01)                 */
/* ==========================================================  DS  =========================================================== */
#define GPIOA_DS_P0_Pos                   (0UL)                     /*!< GPIOA DS: P0 (Bit 0)                                  */
#define GPIOA_DS_P0_Msk                   (0x1UL)                   /*!< GPIOA DS: P0 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P1_Pos                   (1UL)                     /*!< GPIOA DS: P1 (Bit 1)                                  */
#define GPIOA_DS_P1_Msk                   (0x2UL)                   /*!< GPIOA DS: P1 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P2_Pos                   (2UL)                     /*!< GPIOA DS: P2 (Bit 2)                                  */
#define GPIOA_DS_P2_Msk                   (0x4UL)                   /*!< GPIOA DS: P2 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P3_Pos                   (3UL)                     /*!< GPIOA DS: P3 (Bit 3)                                  */
#define GPIOA_DS_P3_Msk                   (0x8UL)                   /*!< GPIOA DS: P3 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P4_Pos                   (4UL)                     /*!< GPIOA DS: P4 (Bit 4)                                  */
#define GPIOA_DS_P4_Msk                   (0x10UL)                  /*!< GPIOA DS: P4 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P5_Pos                   (5UL)                     /*!< GPIOA DS: P5 (Bit 5)                                  */
#define GPIOA_DS_P5_Msk                   (0x20UL)                  /*!< GPIOA DS: P5 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P6_Pos                   (6UL)                     /*!< GPIOA DS: P6 (Bit 6)                                  */
#define GPIOA_DS_P6_Msk                   (0x40UL)                  /*!< GPIOA DS: P6 (Bitfield-Mask: 0x01)                    */
#define GPIOA_DS_P7_Pos                   (7UL)                     /*!< GPIOA DS: P7 (Bit 7)                                  */
#define GPIOA_DS_P7_Msk                   (0x80UL)                  /*!< GPIOA DS: P7 (Bitfield-Mask: 0x01)                    */
/* ==========================================================  PU  =========================================================== */
#define GPIOA_PU_P0_Pos                   (0UL)                     /*!< GPIOA PU: P0 (Bit 0)                                  */
#define GPIOA_PU_P0_Msk                   (0x1UL)                   /*!< GPIOA PU: P0 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P1_Pos                   (1UL)                     /*!< GPIOA PU: P1 (Bit 1)                                  */
#define GPIOA_PU_P1_Msk                   (0x2UL)                   /*!< GPIOA PU: P1 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P2_Pos                   (2UL)                     /*!< GPIOA PU: P2 (Bit 2)                                  */
#define GPIOA_PU_P2_Msk                   (0x4UL)                   /*!< GPIOA PU: P2 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P3_Pos                   (3UL)                     /*!< GPIOA PU: P3 (Bit 3)                                  */
#define GPIOA_PU_P3_Msk                   (0x8UL)                   /*!< GPIOA PU: P3 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P4_Pos                   (4UL)                     /*!< GPIOA PU: P4 (Bit 4)                                  */
#define GPIOA_PU_P4_Msk                   (0x10UL)                  /*!< GPIOA PU: P4 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P5_Pos                   (5UL)                     /*!< GPIOA PU: P5 (Bit 5)                                  */
#define GPIOA_PU_P5_Msk                   (0x20UL)                  /*!< GPIOA PU: P5 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P6_Pos                   (6UL)                     /*!< GPIOA PU: P6 (Bit 6)                                  */
#define GPIOA_PU_P6_Msk                   (0x40UL)                  /*!< GPIOA PU: P6 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PU_P7_Pos                   (7UL)                     /*!< GPIOA PU: P7 (Bit 7)                                  */
#define GPIOA_PU_P7_Msk                   (0x80UL)                  /*!< GPIOA PU: P7 (Bitfield-Mask: 0x01)                    */
/* ==========================================================  PD  =========================================================== */
#define GPIOA_PD_P0_Pos                   (0UL)                     /*!< GPIOA PD: P0 (Bit 0)                                  */
#define GPIOA_PD_P0_Msk                   (0x1UL)                   /*!< GPIOA PD: P0 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P1_Pos                   (1UL)                     /*!< GPIOA PD: P1 (Bit 1)                                  */
#define GPIOA_PD_P1_Msk                   (0x2UL)                   /*!< GPIOA PD: P1 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P2_Pos                   (2UL)                     /*!< GPIOA PD: P2 (Bit 2)                                  */
#define GPIOA_PD_P2_Msk                   (0x4UL)                   /*!< GPIOA PD: P2 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P3_Pos                   (3UL)                     /*!< GPIOA PD: P3 (Bit 3)                                  */
#define GPIOA_PD_P3_Msk                   (0x8UL)                   /*!< GPIOA PD: P3 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P4_Pos                   (4UL)                     /*!< GPIOA PD: P4 (Bit 4)                                  */
#define GPIOA_PD_P4_Msk                   (0x10UL)                  /*!< GPIOA PD: P4 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P5_Pos                   (5UL)                     /*!< GPIOA PD: P5 (Bit 5)                                  */
#define GPIOA_PD_P5_Msk                   (0x20UL)                  /*!< GPIOA PD: P5 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P6_Pos                   (6UL)                     /*!< GPIOA PD: P6 (Bit 6)                                  */
#define GPIOA_PD_P6_Msk                   (0x40UL)                  /*!< GPIOA PD: P6 (Bitfield-Mask: 0x01)                    */
#define GPIOA_PD_P7_Pos                   (7UL)                     /*!< GPIOA PD: P7 (Bit 7)                                  */
#define GPIOA_PD_P7_Msk                   (0x80UL)                  /*!< GPIOA PD: P7 (Bitfield-Mask: 0x01)                    */
/* ==========================================================  IN  =========================================================== */
#define GPIOA_IN_P0_Pos                   (0UL)                     /*!< GPIOA IN: P0 (Bit 0)                                  */
#define GPIOA_IN_P0_Msk                   (0x1UL)                   /*!< GPIOA IN: P0 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P1_Pos                   (1UL)                     /*!< GPIOA IN: P1 (Bit 1)                                  */
#define GPIOA_IN_P1_Msk                   (0x2UL)                   /*!< GPIOA IN: P1 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P2_Pos                   (2UL)                     /*!< GPIOA IN: P2 (Bit 2)                                  */
#define GPIOA_IN_P2_Msk                   (0x4UL)                   /*!< GPIOA IN: P2 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P3_Pos                   (3UL)                     /*!< GPIOA IN: P3 (Bit 3)                                  */
#define GPIOA_IN_P3_Msk                   (0x8UL)                   /*!< GPIOA IN: P3 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P4_Pos                   (4UL)                     /*!< GPIOA IN: P4 (Bit 4)                                  */
#define GPIOA_IN_P4_Msk                   (0x10UL)                  /*!< GPIOA IN: P4 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P5_Pos                   (5UL)                     /*!< GPIOA IN: P5 (Bit 5)                                  */
#define GPIOA_IN_P5_Msk                   (0x20UL)                  /*!< GPIOA IN: P5 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P6_Pos                   (6UL)                     /*!< GPIOA IN: P6 (Bit 6)                                  */
#define GPIOA_IN_P6_Msk                   (0x40UL)                  /*!< GPIOA IN: P6 (Bitfield-Mask: 0x01)                    */
#define GPIOA_IN_P7_Pos                   (7UL)                     /*!< GPIOA IN: P7 (Bit 7)                                  */
#define GPIOA_IN_P7_Msk                   (0x80UL)                  /*!< GPIOA IN: P7 (Bitfield-Mask: 0x01)                    */
/* =========================================================  PSEL  ========================================================== */
#define GPIOA_PSEL_P0_Pos                 (0UL)                     /*!< GPIOA PSEL: P0 (Bit 0)                                */
#define GPIOA_PSEL_P0_Msk                 (0x3UL)                   /*!< GPIOA PSEL: P0 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P1_Pos                 (2UL)                     /*!< GPIOA PSEL: P1 (Bit 2)                                */
#define GPIOA_PSEL_P1_Msk                 (0xcUL)                   /*!< GPIOA PSEL: P1 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P2_Pos                 (4UL)                     /*!< GPIOA PSEL: P2 (Bit 4)                                */
#define GPIOA_PSEL_P2_Msk                 (0x30UL)                  /*!< GPIOA PSEL: P2 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P3_Pos                 (6UL)                     /*!< GPIOA PSEL: P3 (Bit 6)                                */
#define GPIOA_PSEL_P3_Msk                 (0xc0UL)                  /*!< GPIOA PSEL: P3 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P4_Pos                 (8UL)                     /*!< GPIOA PSEL: P4 (Bit 8)                                */
#define GPIOA_PSEL_P4_Msk                 (0x300UL)                 /*!< GPIOA PSEL: P4 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P5_Pos                 (10UL)                    /*!< GPIOA PSEL: P5 (Bit 10)                               */
#define GPIOA_PSEL_P5_Msk                 (0xc00UL)                 /*!< GPIOA PSEL: P5 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P6_Pos                 (12UL)                    /*!< GPIOA PSEL: P6 (Bit 12)                               */
#define GPIOA_PSEL_P6_Msk                 (0x3000UL)                /*!< GPIOA PSEL: P6 (Bitfield-Mask: 0x03)                  */
#define GPIOA_PSEL_P7_Pos                 (14UL)                    /*!< GPIOA PSEL: P7 (Bit 14)                               */
#define GPIOA_PSEL_P7_Msk                 (0xc000UL)                /*!< GPIOA PSEL: P7 (Bitfield-Mask: 0x03)                  */
/* =========================================================  INTP  ========================================================== */
#define GPIOA_INTP_P0_Pos                 (0UL)                     /*!< GPIOA INTP: P0 (Bit 0)                                */
#define GPIOA_INTP_P0_Msk                 (0x1UL)                   /*!< GPIOA INTP: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P1_Pos                 (1UL)                     /*!< GPIOA INTP: P1 (Bit 1)                                */
#define GPIOA_INTP_P1_Msk                 (0x2UL)                   /*!< GPIOA INTP: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P2_Pos                 (2UL)                     /*!< GPIOA INTP: P2 (Bit 2)                                */
#define GPIOA_INTP_P2_Msk                 (0x4UL)                   /*!< GPIOA INTP: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P3_Pos                 (3UL)                     /*!< GPIOA INTP: P3 (Bit 3)                                */
#define GPIOA_INTP_P3_Msk                 (0x8UL)                   /*!< GPIOA INTP: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P4_Pos                 (4UL)                     /*!< GPIOA INTP: P4 (Bit 4)                                */
#define GPIOA_INTP_P4_Msk                 (0x10UL)                  /*!< GPIOA INTP: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P5_Pos                 (5UL)                     /*!< GPIOA INTP: P5 (Bit 5)                                */
#define GPIOA_INTP_P5_Msk                 (0x20UL)                  /*!< GPIOA INTP: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P6_Pos                 (6UL)                     /*!< GPIOA INTP: P6 (Bit 6)                                */
#define GPIOA_INTP_P6_Msk                 (0x40UL)                  /*!< GPIOA INTP: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTP_P7_Pos                 (7UL)                     /*!< GPIOA INTP: P7 (Bit 7)                                */
#define GPIOA_INTP_P7_Msk                 (0x80UL)                  /*!< GPIOA INTP: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTE  ========================================================== */
#define GPIOA_INTE_P0_Pos                 (0UL)                     /*!< GPIOA INTE: P0 (Bit 0)                                */
#define GPIOA_INTE_P0_Msk                 (0x1UL)                   /*!< GPIOA INTE: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P1_Pos                 (1UL)                     /*!< GPIOA INTE: P1 (Bit 1)                                */
#define GPIOA_INTE_P1_Msk                 (0x2UL)                   /*!< GPIOA INTE: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P2_Pos                 (2UL)                     /*!< GPIOA INTE: P2 (Bit 2)                                */
#define GPIOA_INTE_P2_Msk                 (0x4UL)                   /*!< GPIOA INTE: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P3_Pos                 (3UL)                     /*!< GPIOA INTE: P3 (Bit 3)                                */
#define GPIOA_INTE_P3_Msk                 (0x8UL)                   /*!< GPIOA INTE: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P4_Pos                 (4UL)                     /*!< GPIOA INTE: P4 (Bit 4)                                */
#define GPIOA_INTE_P4_Msk                 (0x10UL)                  /*!< GPIOA INTE: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P5_Pos                 (5UL)                     /*!< GPIOA INTE: P5 (Bit 5)                                */
#define GPIOA_INTE_P5_Msk                 (0x20UL)                  /*!< GPIOA INTE: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P6_Pos                 (6UL)                     /*!< GPIOA INTE: P6 (Bit 6)                                */
#define GPIOA_INTE_P6_Msk                 (0x40UL)                  /*!< GPIOA INTE: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTE_P7_Pos                 (7UL)                     /*!< GPIOA INTE: P7 (Bit 7)                                */
#define GPIOA_INTE_P7_Msk                 (0x80UL)                  /*!< GPIOA INTE: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTF  ========================================================== */
#define GPIOA_INTF_P0_Pos                 (0UL)                     /*!< GPIOA INTF: P0 (Bit 0)                                */
#define GPIOA_INTF_P0_Msk                 (0x1UL)                   /*!< GPIOA INTF: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P1_Pos                 (1UL)                     /*!< GPIOA INTF: P1 (Bit 1)                                */
#define GPIOA_INTF_P1_Msk                 (0x2UL)                   /*!< GPIOA INTF: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P2_Pos                 (2UL)                     /*!< GPIOA INTF: P2 (Bit 2)                                */
#define GPIOA_INTF_P2_Msk                 (0x4UL)                   /*!< GPIOA INTF: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P3_Pos                 (3UL)                     /*!< GPIOA INTF: P3 (Bit 3)                                */
#define GPIOA_INTF_P3_Msk                 (0x8UL)                   /*!< GPIOA INTF: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P4_Pos                 (4UL)                     /*!< GPIOA INTF: P4 (Bit 4)                                */
#define GPIOA_INTF_P4_Msk                 (0x10UL)                  /*!< GPIOA INTF: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P5_Pos                 (5UL)                     /*!< GPIOA INTF: P5 (Bit 5)                                */
#define GPIOA_INTF_P5_Msk                 (0x20UL)                  /*!< GPIOA INTF: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P6_Pos                 (6UL)                     /*!< GPIOA INTF: P6 (Bit 6)                                */
#define GPIOA_INTF_P6_Msk                 (0x40UL)                  /*!< GPIOA INTF: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTF_P7_Pos                 (7UL)                     /*!< GPIOA INTF: P7 (Bit 7)                                */
#define GPIOA_INTF_P7_Msk                 (0x80UL)                  /*!< GPIOA INTF: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTM  ========================================================== */
#define GPIOA_INTM_P0_Pos                 (0UL)                     /*!< GPIOA INTM: P0 (Bit 0)                                */
#define GPIOA_INTM_P0_Msk                 (0x1UL)                   /*!< GPIOA INTM: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P1_Pos                 (1UL)                     /*!< GPIOA INTM: P1 (Bit 1)                                */
#define GPIOA_INTM_P1_Msk                 (0x2UL)                   /*!< GPIOA INTM: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P2_Pos                 (2UL)                     /*!< GPIOA INTM: P2 (Bit 2)                                */
#define GPIOA_INTM_P2_Msk                 (0x4UL)                   /*!< GPIOA INTM: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P3_Pos                 (3UL)                     /*!< GPIOA INTM: P3 (Bit 3)                                */
#define GPIOA_INTM_P3_Msk                 (0x8UL)                   /*!< GPIOA INTM: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P4_Pos                 (4UL)                     /*!< GPIOA INTM: P4 (Bit 4)                                */
#define GPIOA_INTM_P4_Msk                 (0x10UL)                  /*!< GPIOA INTM: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P5_Pos                 (5UL)                     /*!< GPIOA INTM: P5 (Bit 5)                                */
#define GPIOA_INTM_P5_Msk                 (0x20UL)                  /*!< GPIOA INTM: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P6_Pos                 (6UL)                     /*!< GPIOA INTM: P6 (Bit 6)                                */
#define GPIOA_INTM_P6_Msk                 (0x40UL)                  /*!< GPIOA INTM: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOA_INTM_P7_Pos                 (7UL)                     /*!< GPIOA INTM: P7 (Bit 7)                                */
#define GPIOA_INTM_P7_Msk                 (0x80UL)                  /*!< GPIOA INTM: P7 (Bitfield-Mask: 0x01)                  */


/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  OUT  ========================================================== */
#define GPIOC_OUT_P0_Pos                  (0UL)                     /*!< GPIOC OUT: P0 (Bit 0)                                 */
#define GPIOC_OUT_P0_Msk                  (0x1UL)                   /*!< GPIOC OUT: P0 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P1_Pos                  (1UL)                     /*!< GPIOC OUT: P1 (Bit 1)                                 */
#define GPIOC_OUT_P1_Msk                  (0x2UL)                   /*!< GPIOC OUT: P1 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P2_Pos                  (2UL)                     /*!< GPIOC OUT: P2 (Bit 2)                                 */
#define GPIOC_OUT_P2_Msk                  (0x4UL)                   /*!< GPIOC OUT: P2 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P3_Pos                  (3UL)                     /*!< GPIOC OUT: P3 (Bit 3)                                 */
#define GPIOC_OUT_P3_Msk                  (0x8UL)                   /*!< GPIOC OUT: P3 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P4_Pos                  (4UL)                     /*!< GPIOC OUT: P4 (Bit 4)                                 */
#define GPIOC_OUT_P4_Msk                  (0x10UL)                  /*!< GPIOC OUT: P4 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P5_Pos                  (5UL)                     /*!< GPIOC OUT: P5 (Bit 5)                                 */
#define GPIOC_OUT_P5_Msk                  (0x20UL)                  /*!< GPIOC OUT: P5 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P6_Pos                  (6UL)                     /*!< GPIOC OUT: P6 (Bit 6)                                 */
#define GPIOC_OUT_P6_Msk                  (0x40UL)                  /*!< GPIOC OUT: P6 (Bitfield-Mask: 0x01)                   */
#define GPIOC_OUT_P7_Pos                  (7UL)                     /*!< GPIOC OUT: P7 (Bit 7)                                 */
#define GPIOC_OUT_P7_Msk                  (0x80UL)                  /*!< GPIOC OUT: P7 (Bitfield-Mask: 0x01)                   */
/* =========================================================  OUTEN  ========================================================= */
#define GPIOC_OUTEN_P0_Pos                (0UL)                     /*!< GPIOC OUTEN: P0 (Bit 0)                               */
#define GPIOC_OUTEN_P0_Msk                (0x1UL)                   /*!< GPIOC OUTEN: P0 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P1_Pos                (1UL)                     /*!< GPIOC OUTEN: P1 (Bit 1)                               */
#define GPIOC_OUTEN_P1_Msk                (0x2UL)                   /*!< GPIOC OUTEN: P1 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P2_Pos                (2UL)                     /*!< GPIOC OUTEN: P2 (Bit 2)                               */
#define GPIOC_OUTEN_P2_Msk                (0x4UL)                   /*!< GPIOC OUTEN: P2 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P3_Pos                (3UL)                     /*!< GPIOC OUTEN: P3 (Bit 3)                               */
#define GPIOC_OUTEN_P3_Msk                (0x8UL)                   /*!< GPIOC OUTEN: P3 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P4_Pos                (4UL)                     /*!< GPIOC OUTEN: P4 (Bit 4)                               */
#define GPIOC_OUTEN_P4_Msk                (0x10UL)                  /*!< GPIOC OUTEN: P4 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P5_Pos                (5UL)                     /*!< GPIOC OUTEN: P5 (Bit 5)                               */
#define GPIOC_OUTEN_P5_Msk                (0x20UL)                  /*!< GPIOC OUTEN: P5 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P6_Pos                (6UL)                     /*!< GPIOC OUTEN: P6 (Bit 6)                               */
#define GPIOC_OUTEN_P6_Msk                (0x40UL)                  /*!< GPIOC OUTEN: P6 (Bitfield-Mask: 0x01)                 */
#define GPIOC_OUTEN_P7_Pos                (7UL)                     /*!< GPIOC OUTEN: P7 (Bit 7)                               */
#define GPIOC_OUTEN_P7_Msk                (0x80UL)                  /*!< GPIOC OUTEN: P7 (Bitfield-Mask: 0x01)                 */
/* ==========================================================  IN  =========================================================== */
#define GPIOC_IN_P0_Pos                   (0UL)                     /*!< GPIOC IN: P0 (Bit 0)                                  */
#define GPIOC_IN_P0_Msk                   (0x1UL)                   /*!< GPIOC IN: P0 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P1_Pos                   (1UL)                     /*!< GPIOC IN: P1 (Bit 1)                                  */
#define GPIOC_IN_P1_Msk                   (0x2UL)                   /*!< GPIOC IN: P1 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P2_Pos                   (2UL)                     /*!< GPIOC IN: P2 (Bit 2)                                  */
#define GPIOC_IN_P2_Msk                   (0x4UL)                   /*!< GPIOC IN: P2 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P3_Pos                   (3UL)                     /*!< GPIOC IN: P3 (Bit 3)                                  */
#define GPIOC_IN_P3_Msk                   (0x8UL)                   /*!< GPIOC IN: P3 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P4_Pos                   (4UL)                     /*!< GPIOC IN: P4 (Bit 4)                                  */
#define GPIOC_IN_P4_Msk                   (0x10UL)                  /*!< GPIOC IN: P4 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P5_Pos                   (5UL)                     /*!< GPIOC IN: P5 (Bit 5)                                  */
#define GPIOC_IN_P5_Msk                   (0x20UL)                  /*!< GPIOC IN: P5 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P6_Pos                   (6UL)                     /*!< GPIOC IN: P6 (Bit 6)                                  */
#define GPIOC_IN_P6_Msk                   (0x40UL)                  /*!< GPIOC IN: P6 (Bitfield-Mask: 0x01)                    */
#define GPIOC_IN_P7_Pos                   (7UL)                     /*!< GPIOC IN: P7 (Bit 7)                                  */
#define GPIOC_IN_P7_Msk                   (0x80UL)                  /*!< GPIOC IN: P7 (Bitfield-Mask: 0x01)                    */
/* ==========================================================  INE  ========================================================== */
#define GPIOC_INE_P0_Pos                  (0UL)                     /*!< GPIOC INE: P0 (Bit 0)                                 */
#define GPIOC_INE_P0_Msk                  (0x1UL)                   /*!< GPIOC INE: P0 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P1_Pos                  (1UL)                     /*!< GPIOC INE: P1 (Bit 1)                                 */
#define GPIOC_INE_P1_Msk                  (0x2UL)                   /*!< GPIOC INE: P1 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P2_Pos                  (2UL)                     /*!< GPIOC INE: P2 (Bit 2)                                 */
#define GPIOC_INE_P2_Msk                  (0x4UL)                   /*!< GPIOC INE: P2 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P3_Pos                  (3UL)                     /*!< GPIOC INE: P3 (Bit 3)                                 */
#define GPIOC_INE_P3_Msk                  (0x8UL)                   /*!< GPIOC INE: P3 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P4_Pos                  (4UL)                     /*!< GPIOC INE: P4 (Bit 4)                                 */
#define GPIOC_INE_P4_Msk                  (0x10UL)                  /*!< GPIOC INE: P4 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P5_Pos                  (5UL)                     /*!< GPIOC INE: P5 (Bit 5)                                 */
#define GPIOC_INE_P5_Msk                  (0x20UL)                  /*!< GPIOC INE: P5 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P6_Pos                  (6UL)                     /*!< GPIOC INE: P6 (Bit 6)                                 */
#define GPIOC_INE_P6_Msk                  (0x40UL)                  /*!< GPIOC INE: P6 (Bitfield-Mask: 0x01)                   */
#define GPIOC_INE_P7_Pos                  (7UL)                     /*!< GPIOC INE: P7 (Bit 7)                                 */
#define GPIOC_INE_P7_Msk                  (0x80UL)                  /*!< GPIOC INE: P7 (Bitfield-Mask: 0x01)                   */
/* =========================================================  INTP  ========================================================== */
#define GPIOC_INTP_P0_Pos                 (0UL)                     /*!< GPIOC INTP: P0 (Bit 0)                                */
#define GPIOC_INTP_P0_Msk                 (0x1UL)                   /*!< GPIOC INTP: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P1_Pos                 (1UL)                     /*!< GPIOC INTP: P1 (Bit 1)                                */
#define GPIOC_INTP_P1_Msk                 (0x2UL)                   /*!< GPIOC INTP: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P2_Pos                 (2UL)                     /*!< GPIOC INTP: P2 (Bit 2)                                */
#define GPIOC_INTP_P2_Msk                 (0x4UL)                   /*!< GPIOC INTP: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P3_Pos                 (3UL)                     /*!< GPIOC INTP: P3 (Bit 3)                                */
#define GPIOC_INTP_P3_Msk                 (0x8UL)                   /*!< GPIOC INTP: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P4_Pos                 (4UL)                     /*!< GPIOC INTP: P4 (Bit 4)                                */
#define GPIOC_INTP_P4_Msk                 (0x10UL)                  /*!< GPIOC INTP: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P5_Pos                 (5UL)                     /*!< GPIOC INTP: P5 (Bit 5)                                */
#define GPIOC_INTP_P5_Msk                 (0x20UL)                  /*!< GPIOC INTP: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P6_Pos                 (6UL)                     /*!< GPIOC INTP: P6 (Bit 6)                                */
#define GPIOC_INTP_P6_Msk                 (0x40UL)                  /*!< GPIOC INTP: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTP_P7_Pos                 (7UL)                     /*!< GPIOC INTP: P7 (Bit 7)                                */
#define GPIOC_INTP_P7_Msk                 (0x80UL)                  /*!< GPIOC INTP: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTE  ========================================================== */
#define GPIOC_INTE_P0_Pos                 (0UL)                     /*!< GPIOC INTE: P0 (Bit 0)                                */
#define GPIOC_INTE_P0_Msk                 (0x1UL)                   /*!< GPIOC INTE: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P1_Pos                 (1UL)                     /*!< GPIOC INTE: P1 (Bit 1)                                */
#define GPIOC_INTE_P1_Msk                 (0x2UL)                   /*!< GPIOC INTE: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P2_Pos                 (2UL)                     /*!< GPIOC INTE: P2 (Bit 2)                                */
#define GPIOC_INTE_P2_Msk                 (0x4UL)                   /*!< GPIOC INTE: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P3_Pos                 (3UL)                     /*!< GPIOC INTE: P3 (Bit 3)                                */
#define GPIOC_INTE_P3_Msk                 (0x8UL)                   /*!< GPIOC INTE: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P4_Pos                 (4UL)                     /*!< GPIOC INTE: P4 (Bit 4)                                */
#define GPIOC_INTE_P4_Msk                 (0x10UL)                  /*!< GPIOC INTE: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P5_Pos                 (5UL)                     /*!< GPIOC INTE: P5 (Bit 5)                                */
#define GPIOC_INTE_P5_Msk                 (0x20UL)                  /*!< GPIOC INTE: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P6_Pos                 (6UL)                     /*!< GPIOC INTE: P6 (Bit 6)                                */
#define GPIOC_INTE_P6_Msk                 (0x40UL)                  /*!< GPIOC INTE: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTE_P7_Pos                 (7UL)                     /*!< GPIOC INTE: P7 (Bit 7)                                */
#define GPIOC_INTE_P7_Msk                 (0x80UL)                  /*!< GPIOC INTE: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTF  ========================================================== */
#define GPIOC_INTF_P0_Pos                 (0UL)                     /*!< GPIOC INTF: P0 (Bit 0)                                */
#define GPIOC_INTF_P0_Msk                 (0x1UL)                   /*!< GPIOC INTF: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P1_Pos                 (1UL)                     /*!< GPIOC INTF: P1 (Bit 1)                                */
#define GPIOC_INTF_P1_Msk                 (0x2UL)                   /*!< GPIOC INTF: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P2_Pos                 (2UL)                     /*!< GPIOC INTF: P2 (Bit 2)                                */
#define GPIOC_INTF_P2_Msk                 (0x4UL)                   /*!< GPIOC INTF: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P3_Pos                 (3UL)                     /*!< GPIOC INTF: P3 (Bit 3)                                */
#define GPIOC_INTF_P3_Msk                 (0x8UL)                   /*!< GPIOC INTF: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P4_Pos                 (4UL)                     /*!< GPIOC INTF: P4 (Bit 4)                                */
#define GPIOC_INTF_P4_Msk                 (0x10UL)                  /*!< GPIOC INTF: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P5_Pos                 (5UL)                     /*!< GPIOC INTF: P5 (Bit 5)                                */
#define GPIOC_INTF_P5_Msk                 (0x20UL)                  /*!< GPIOC INTF: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P6_Pos                 (6UL)                     /*!< GPIOC INTF: P6 (Bit 6)                                */
#define GPIOC_INTF_P6_Msk                 (0x40UL)                  /*!< GPIOC INTF: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTF_P7_Pos                 (7UL)                     /*!< GPIOC INTF: P7 (Bit 7)                                */
#define GPIOC_INTF_P7_Msk                 (0x80UL)                  /*!< GPIOC INTF: P7 (Bitfield-Mask: 0x01)                  */
/* =========================================================  INTM  ========================================================== */
#define GPIOC_INTM_P0_Pos                 (0UL)                     /*!< GPIOC INTM: P0 (Bit 0)                                */
#define GPIOC_INTM_P0_Msk                 (0x1UL)                   /*!< GPIOC INTM: P0 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P1_Pos                 (1UL)                     /*!< GPIOC INTM: P1 (Bit 1)                                */
#define GPIOC_INTM_P1_Msk                 (0x2UL)                   /*!< GPIOC INTM: P1 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P2_Pos                 (2UL)                     /*!< GPIOC INTM: P2 (Bit 2)                                */
#define GPIOC_INTM_P2_Msk                 (0x4UL)                   /*!< GPIOC INTM: P2 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P3_Pos                 (3UL)                     /*!< GPIOC INTM: P3 (Bit 3)                                */
#define GPIOC_INTM_P3_Msk                 (0x8UL)                   /*!< GPIOC INTM: P3 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P4_Pos                 (4UL)                     /*!< GPIOC INTM: P4 (Bit 4)                                */
#define GPIOC_INTM_P4_Msk                 (0x10UL)                  /*!< GPIOC INTM: P4 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P5_Pos                 (5UL)                     /*!< GPIOC INTM: P5 (Bit 5)                                */
#define GPIOC_INTM_P5_Msk                 (0x20UL)                  /*!< GPIOC INTM: P5 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P6_Pos                 (6UL)                     /*!< GPIOC INTM: P6 (Bit 6)                                */
#define GPIOC_INTM_P6_Msk                 (0x40UL)                  /*!< GPIOC INTM: P6 (Bitfield-Mask: 0x01)                  */
#define GPIOC_INTM_P7_Pos                 (7UL)                     /*!< GPIOC INTM: P7 (Bit 7)                                */
#define GPIOC_INTM_P7_Msk                 (0x80UL)                  /*!< GPIOC INTM: P7 (Bitfield-Mask: 0x01)                  */


/* =========================================================================================================================== */
/* ================                                          TIMERA                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  TxCTL  ========================================================= */
#define TIMERA_TxCTL_PRDL_Pos             (0UL)                     /*!< TIMERA TxCTL: PRDL (Bit 0)                            */
#define TIMERA_TxCTL_PRDL_Msk             (0x1UL)                   /*!< TIMERA TxCTL: PRDL (Bitfield-Mask: 0x01)              */
#define TIMERA_TxCTL_CLR_Pos              (2UL)                     /*!< TIMERA TxCTL: CLR (Bit 2)                             */
#define TIMERA_TxCTL_CLR_Msk              (0x4UL)                   /*!< TIMERA TxCTL: CLR (Bitfield-Mask: 0x01)               */
#define TIMERA_TxCTL_SS_Pos               (3UL)                     /*!< TIMERA TxCTL: SS (Bit 3)                              */
#define TIMERA_TxCTL_SS_Msk               (0x8UL)                   /*!< TIMERA TxCTL: SS (Bitfield-Mask: 0x01)                */
#define TIMERA_TxCTL_INT_Pos              (4UL)                     /*!< TIMERA TxCTL: INT (Bit 4)                             */
#define TIMERA_TxCTL_INT_Msk              (0x10UL)                  /*!< TIMERA TxCTL: INT (Bitfield-Mask: 0x01)               */
#define TIMERA_TxCTL_INTEN_Pos            (5UL)                     /*!< TIMERA TxCTL: INTEN (Bit 5)                           */
#define TIMERA_TxCTL_INTEN_Msk            (0x20UL)                  /*!< TIMERA TxCTL: INTEN (Bitfield-Mask: 0x01)             */
#define TIMERA_TxCTL_CLKDIV_Pos           (6UL)                     /*!< TIMERA TxCTL: CLKDIV (Bit 6)                          */
#define TIMERA_TxCTL_CLKDIV_Msk           (0x1c0UL)                 /*!< TIMERA TxCTL: CLKDIV (Bitfield-Mask: 0x07)            */
#define TIMERA_TxCTL_CLK_Pos              (9UL)                     /*!< TIMERA TxCTL: CLK (Bit 9)                             */
#define TIMERA_TxCTL_CLK_Msk              (0x200UL)                 /*!< TIMERA TxCTL: CLK (Bitfield-Mask: 0x01)               */
#define TIMERA_TxCTL_MODE_Pos             (10UL)                    /*!< TIMERA TxCTL: MODE (Bit 10)                           */
#define TIMERA_TxCTL_MODE_Msk             (0xc00UL)                 /*!< TIMERA TxCTL: MODE (Bitfield-Mask: 0x03)              */
#define TIMERA_TxCTL_DTGCLK_Pos           (13UL)                    /*!< TIMERA TxCTL: DTGCLK (Bit 13)                         */
#define TIMERA_TxCTL_DTGCLK_Msk           (0x2000UL)                /*!< TIMERA TxCTL: DTGCLK (Bitfield-Mask: 0x01)            */
/* =========================================================  TxPRD  ========================================================= */
#define TIMERA_TxPRD_PERIOD_Pos           (0UL)                     /*!< TIMERA TxPRD: PERIOD (Bit 0)                          */
#define TIMERA_TxPRD_PERIOD_Msk           (0xffffUL)                /*!< TIMERA TxPRD: PERIOD (Bitfield-Mask: 0xffff)          */
/* =========================================================  TxCTR  ========================================================= */
#define TIMERA_TxCTR_CTR_Pos              (0UL)                     /*!< TIMERA TxCTR: CTR (Bit 0)                             */
#define TIMERA_TxCTR_CTR_Msk              (0xffffUL)                /*!< TIMERA TxCTR: CTR (Bitfield-Mask: 0xffff)             */
/* =======================================================  TxCC0CTL  ======================================================== */
#define TIMERA_TxCC0CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC0CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC0CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC0CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC0CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC0CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC0CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC0CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC0CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC0CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC0CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC0CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC0CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC0CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC0CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC0CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC0CTR  ======================================================== */
#define TIMERA_TxCC0CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC0CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC0CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC0CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC1CTL  ======================================================== */
#define TIMERA_TxCC1CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC1CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC1CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC1CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC1CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC1CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC1CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC1CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC1CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC1CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC1CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC1CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC1CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC1CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC1CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC1CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC1CTR  ======================================================== */
#define TIMERA_TxCC1CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC1CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC1CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC1CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC2CTL  ======================================================== */
#define TIMERA_TxCC2CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC2CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC2CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC2CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC2CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC2CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC2CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC2CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC2CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC2CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC2CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC2CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC2CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC2CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC2CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC2CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC2CTR  ======================================================== */
#define TIMERA_TxCC2CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC2CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC2CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC2CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC3CTL  ======================================================== */
#define TIMERA_TxCC3CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC3CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC3CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC3CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC3CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC3CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC3CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC3CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC3CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC3CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC3CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC3CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC3CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC3CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC3CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC3CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC3CTR  ======================================================== */
#define TIMERA_TxCC3CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC3CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC3CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC3CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC4CTL  ======================================================== */
#define TIMERA_TxCC4CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC4CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC4CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC4CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC4CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC4CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC4CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC4CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC4CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC4CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC4CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC4CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC4CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC4CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC4CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC4CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC4CTR  ======================================================== */
#define TIMERA_TxCC4CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC4CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC4CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC4CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC5CTL  ======================================================== */
#define TIMERA_TxCC5CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC5CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC5CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC5CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC5CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC5CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC5CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC5CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC5CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC5CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC5CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC5CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC5CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC5CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC5CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC5CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC5CTR  ======================================================== */
#define TIMERA_TxCC5CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC5CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC5CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC5CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC6CTL  ======================================================== */
#define TIMERA_TxCC6CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC6CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC6CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC6CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC6CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC6CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC6CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC6CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC6CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC6CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC6CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC6CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC6CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC6CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC6CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC6CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC6CTR  ======================================================== */
#define TIMERA_TxCC6CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC6CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC6CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC6CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC7CTL  ======================================================== */
#define TIMERA_TxCC7CTL_CCEDG_Pos         (0UL)                     /*!< TIMERA TxCC7CTL: CCEDG (Bit 0)                        */
#define TIMERA_TxCC7CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERA TxCC7CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERA_TxCC7CTL_CCINT_Pos         (2UL)                     /*!< TIMERA TxCC7CTL: CCINT (Bit 2)                        */
#define TIMERA_TxCC7CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERA TxCC7CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERA_TxCC7CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERA TxCC7CTL: CCINTEN (Bit 3)                      */
#define TIMERA_TxCC7CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERA TxCC7CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERA_TxCC7CTL_CCMODE_Pos        (4UL)                     /*!< TIMERA TxCC7CTL: CCMODE (Bit 4)                       */
#define TIMERA_TxCC7CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERA TxCC7CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC7CTR  ======================================================== */
#define TIMERA_TxCC7CTR_CCCTR_Pos         (0UL)                     /*!< TIMERA TxCC7CTR: CCCTR (Bit 0)                        */
#define TIMERA_TxCC7CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERA TxCC7CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  DTGA0CTL  ======================================================== */
#define TIMERA_DTGA0CTL_INVLS_Pos         (4UL)                     /*!< TIMERA DTGA0CTL: INVLS (Bit 4)                        */
#define TIMERA_DTGA0CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERA DTGA0CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA0CTL_INVHS_Pos         (5UL)                     /*!< TIMERA DTGA0CTL: INVHS (Bit 5)                        */
#define TIMERA_DTGA0CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERA DTGA0CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA0CTL_OTP_Pos           (6UL)                     /*!< TIMERA DTGA0CTL: OTP (Bit 6)                          */
#define TIMERA_DTGA0CTL_OTP_Msk           (0x40UL)                  /*!< TIMERA DTGA0CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERA_DTGA0CTL_BYPASS_Pos        (7UL)                     /*!< TIMERA DTGA0CTL: BYPASS (Bit 7)                       */
#define TIMERA_DTGA0CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERA DTGA0CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGA0LED  ======================================================== */
#define TIMERA_DTGA0LED_LED_Pos           (0UL)                     /*!< TIMERA DTGA0LED: LED (Bit 0)                          */
#define TIMERA_DTGA0LED_LED_Msk           (0xfffUL)                 /*!< TIMERA DTGA0LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA0TED  ======================================================== */
#define TIMERA_DTGA0TED_TED_Pos           (0UL)                     /*!< TIMERA DTGA0TED: TED (Bit 0)                          */
#define TIMERA_DTGA0TED_TED_Msk           (0xfffUL)                 /*!< TIMERA DTGA0TED: TED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA1CTL  ======================================================== */
#define TIMERA_DTGA1CTL_INVLS_Pos         (4UL)                     /*!< TIMERA DTGA1CTL: INVLS (Bit 4)                        */
#define TIMERA_DTGA1CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERA DTGA1CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA1CTL_INVHS_Pos         (5UL)                     /*!< TIMERA DTGA1CTL: INVHS (Bit 5)                        */
#define TIMERA_DTGA1CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERA DTGA1CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA1CTL_OTP_Pos           (6UL)                     /*!< TIMERA DTGA1CTL: OTP (Bit 6)                          */
#define TIMERA_DTGA1CTL_OTP_Msk           (0x40UL)                  /*!< TIMERA DTGA1CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERA_DTGA1CTL_BYPASS_Pos        (7UL)                     /*!< TIMERA DTGA1CTL: BYPASS (Bit 7)                       */
#define TIMERA_DTGA1CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERA DTGA1CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGA1LED  ======================================================== */
#define TIMERA_DTGA1LED_LED_Pos           (0UL)                     /*!< TIMERA DTGA1LED: LED (Bit 0)                          */
#define TIMERA_DTGA1LED_LED_Msk           (0xfffUL)                 /*!< TIMERA DTGA1LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA1TED  ======================================================== */
#define TIMERA_DTGA1TED_TED_Pos           (0UL)                     /*!< TIMERA DTGA1TED: TED (Bit 0)                          */
#define TIMERA_DTGA1TED_TED_Msk           (0xfffUL)                 /*!< TIMERA DTGA1TED: TED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA2CTL  ======================================================== */
#define TIMERA_DTGA2CTL_INVLS_Pos         (4UL)                     /*!< TIMERA DTGA2CTL: INVLS (Bit 4)                        */
#define TIMERA_DTGA2CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERA DTGA2CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA2CTL_INVHS_Pos         (5UL)                     /*!< TIMERA DTGA2CTL: INVHS (Bit 5)                        */
#define TIMERA_DTGA2CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERA DTGA2CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA2CTL_OTP_Pos           (6UL)                     /*!< TIMERA DTGA2CTL: OTP (Bit 6)                          */
#define TIMERA_DTGA2CTL_OTP_Msk           (0x40UL)                  /*!< TIMERA DTGA2CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERA_DTGA2CTL_BYPASS_Pos        (7UL)                     /*!< TIMERA DTGA2CTL: BYPASS (Bit 7)                       */
#define TIMERA_DTGA2CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERA DTGA2CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGA2LED  ======================================================== */
#define TIMERA_DTGA2LED_LED_Pos           (0UL)                     /*!< TIMERA DTGA2LED: LED (Bit 0)                          */
#define TIMERA_DTGA2LED_LED_Msk           (0xfffUL)                 /*!< TIMERA DTGA2LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA2TED  ======================================================== */
#define TIMERA_DTGA2TED_TED_Pos           (0UL)                     /*!< TIMERA DTGA2TED: TED (Bit 0)                          */
#define TIMERA_DTGA2TED_TED_Msk           (0xfffUL)                 /*!< TIMERA DTGA2TED: TED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA3CTL  ======================================================== */
#define TIMERA_DTGA3CTL_INVLS_Pos         (4UL)                     /*!< TIMERA DTGA3CTL: INVLS (Bit 4)                        */
#define TIMERA_DTGA3CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERA DTGA3CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA3CTL_INVHS_Pos         (5UL)                     /*!< TIMERA DTGA3CTL: INVHS (Bit 5)                        */
#define TIMERA_DTGA3CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERA DTGA3CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERA_DTGA3CTL_OTP_Pos           (6UL)                     /*!< TIMERA DTGA3CTL: OTP (Bit 6)                          */
#define TIMERA_DTGA3CTL_OTP_Msk           (0x40UL)                  /*!< TIMERA DTGA3CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERA_DTGA3CTL_BYPASS_Pos        (7UL)                     /*!< TIMERA DTGA3CTL: BYPASS (Bit 7)                       */
#define TIMERA_DTGA3CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERA DTGA3CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGA3LED  ======================================================== */
#define TIMERA_DTGA3LED_LED_Pos           (0UL)                     /*!< TIMERA DTGA3LED: LED (Bit 0)                          */
#define TIMERA_DTGA3LED_LED_Msk           (0xfffUL)                 /*!< TIMERA DTGA3LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGA3TED  ======================================================== */
#define TIMERA_DTGA3TED_TED_Pos           (0UL)                     /*!< TIMERA DTGA3TED: TED (Bit 0)                          */
#define TIMERA_DTGA3TED_TED_Msk           (0xfffUL)                 /*!< TIMERA DTGA3TED: TED (Bitfield-Mask: 0xfff)           */


/* =========================================================================================================================== */
/* ================                                          TIMERB                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  TxCTL  ========================================================= */
#define TIMERB_TxCTL_PRDL_Pos             (0UL)                     /*!< TIMERB TxCTL: PRDL (Bit 0)                            */
#define TIMERB_TxCTL_PRDL_Msk             (0x1UL)                   /*!< TIMERB TxCTL: PRDL (Bitfield-Mask: 0x01)              */
#define TIMERB_TxCTL_CLR_Pos              (2UL)                     /*!< TIMERB TxCTL: CLR (Bit 2)                             */
#define TIMERB_TxCTL_CLR_Msk              (0x4UL)                   /*!< TIMERB TxCTL: CLR (Bitfield-Mask: 0x01)               */
#define TIMERB_TxCTL_SS_Pos               (3UL)                     /*!< TIMERB TxCTL: SS (Bit 3)                              */
#define TIMERB_TxCTL_SS_Msk               (0x8UL)                   /*!< TIMERB TxCTL: SS (Bitfield-Mask: 0x01)                */
#define TIMERB_TxCTL_INT_Pos              (4UL)                     /*!< TIMERB TxCTL: INT (Bit 4)                             */
#define TIMERB_TxCTL_INT_Msk              (0x10UL)                  /*!< TIMERB TxCTL: INT (Bitfield-Mask: 0x01)               */
#define TIMERB_TxCTL_INTEN_Pos            (5UL)                     /*!< TIMERB TxCTL: INTEN (Bit 5)                           */
#define TIMERB_TxCTL_INTEN_Msk            (0x20UL)                  /*!< TIMERB TxCTL: INTEN (Bitfield-Mask: 0x01)             */
#define TIMERB_TxCTL_CLKDIV_Pos           (6UL)                     /*!< TIMERB TxCTL: CLKDIV (Bit 6)                          */
#define TIMERB_TxCTL_CLKDIV_Msk           (0x1c0UL)                 /*!< TIMERB TxCTL: CLKDIV (Bitfield-Mask: 0x07)            */
#define TIMERB_TxCTL_CLK_Pos              (9UL)                     /*!< TIMERB TxCTL: CLK (Bit 9)                             */
#define TIMERB_TxCTL_CLK_Msk              (0x200UL)                 /*!< TIMERB TxCTL: CLK (Bitfield-Mask: 0x01)               */
#define TIMERB_TxCTL_MODE_Pos             (10UL)                    /*!< TIMERB TxCTL: MODE (Bit 10)                           */
#define TIMERB_TxCTL_MODE_Msk             (0xc00UL)                 /*!< TIMERB TxCTL: MODE (Bitfield-Mask: 0x03)              */
#define TIMERB_TxCTL_DTGCLK_Pos           (13UL)                    /*!< TIMERB TxCTL: DTGCLK (Bit 13)                         */
#define TIMERB_TxCTL_DTGCLK_Msk           (0x2000UL)                /*!< TIMERB TxCTL: DTGCLK (Bitfield-Mask: 0x01)            */
/* =========================================================  TxPRD  ========================================================= */
#define TIMERB_TxPRD_PERIOD_Pos           (0UL)                     /*!< TIMERB TxPRD: PERIOD (Bit 0)                          */
#define TIMERB_TxPRD_PERIOD_Msk           (0xffffUL)                /*!< TIMERB TxPRD: PERIOD (Bitfield-Mask: 0xffff)          */
/* =========================================================  TxCTR  ========================================================= */
#define TIMERB_TxCTR_CTR_Pos              (0UL)                     /*!< TIMERB TxCTR: CTR (Bit 0)                             */
#define TIMERB_TxCTR_CTR_Msk              (0xffffUL)                /*!< TIMERB TxCTR: CTR (Bitfield-Mask: 0xffff)             */
/* =======================================================  TxCC0CTL  ======================================================== */
#define TIMERB_TxCC0CTL_CCEDG_Pos         (0UL)                     /*!< TIMERB TxCC0CTL: CCEDG (Bit 0)                        */
#define TIMERB_TxCC0CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERB TxCC0CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERB_TxCC0CTL_CCINT_Pos         (2UL)                     /*!< TIMERB TxCC0CTL: CCINT (Bit 2)                        */
#define TIMERB_TxCC0CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERB TxCC0CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERB_TxCC0CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERB TxCC0CTL: CCINTEN (Bit 3)                      */
#define TIMERB_TxCC0CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERB TxCC0CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERB_TxCC0CTL_CCMODE_Pos        (4UL)                     /*!< TIMERB TxCC0CTL: CCMODE (Bit 4)                       */
#define TIMERB_TxCC0CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERB TxCC0CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC0CTR  ======================================================== */
#define TIMERB_TxCC0CTR_CCCTR_Pos         (0UL)                     /*!< TIMERB TxCC0CTR: CCCTR (Bit 0)                        */
#define TIMERB_TxCC0CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERB TxCC0CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC1CTL  ======================================================== */
#define TIMERB_TxCC1CTL_CCEDG_Pos         (0UL)                     /*!< TIMERB TxCC1CTL: CCEDG (Bit 0)                        */
#define TIMERB_TxCC1CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERB TxCC1CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERB_TxCC1CTL_CCINT_Pos         (2UL)                     /*!< TIMERB TxCC1CTL: CCINT (Bit 2)                        */
#define TIMERB_TxCC1CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERB TxCC1CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERB_TxCC1CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERB TxCC1CTL: CCINTEN (Bit 3)                      */
#define TIMERB_TxCC1CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERB TxCC1CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERB_TxCC1CTL_CCMODE_Pos        (4UL)                     /*!< TIMERB TxCC1CTL: CCMODE (Bit 4)                       */
#define TIMERB_TxCC1CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERB TxCC1CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC1CTR  ======================================================== */
#define TIMERB_TxCC1CTR_CCCTR_Pos         (0UL)                     /*!< TIMERB TxCC1CTR: CCCTR (Bit 0)                        */
#define TIMERB_TxCC1CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERB TxCC1CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC2CTL  ======================================================== */
#define TIMERB_TxCC2CTL_CCEDG_Pos         (0UL)                     /*!< TIMERB TxCC2CTL: CCEDG (Bit 0)                        */
#define TIMERB_TxCC2CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERB TxCC2CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERB_TxCC2CTL_CCINT_Pos         (2UL)                     /*!< TIMERB TxCC2CTL: CCINT (Bit 2)                        */
#define TIMERB_TxCC2CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERB TxCC2CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERB_TxCC2CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERB TxCC2CTL: CCINTEN (Bit 3)                      */
#define TIMERB_TxCC2CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERB TxCC2CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERB_TxCC2CTL_CCMODE_Pos        (4UL)                     /*!< TIMERB TxCC2CTL: CCMODE (Bit 4)                       */
#define TIMERB_TxCC2CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERB TxCC2CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC2CTR  ======================================================== */
#define TIMERB_TxCC2CTR_CCCTR_Pos         (0UL)                     /*!< TIMERB TxCC2CTR: CCCTR (Bit 0)                        */
#define TIMERB_TxCC2CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERB TxCC2CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC3CTL  ======================================================== */
#define TIMERB_TxCC3CTL_CCEDG_Pos         (0UL)                     /*!< TIMERB TxCC3CTL: CCEDG (Bit 0)                        */
#define TIMERB_TxCC3CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERB TxCC3CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERB_TxCC3CTL_CCINT_Pos         (2UL)                     /*!< TIMERB TxCC3CTL: CCINT (Bit 2)                        */
#define TIMERB_TxCC3CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERB TxCC3CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERB_TxCC3CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERB TxCC3CTL: CCINTEN (Bit 3)                      */
#define TIMERB_TxCC3CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERB TxCC3CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERB_TxCC3CTL_CCMODE_Pos        (4UL)                     /*!< TIMERB TxCC3CTL: CCMODE (Bit 4)                       */
#define TIMERB_TxCC3CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERB TxCC3CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC3CTR  ======================================================== */
#define TIMERB_TxCC3CTR_CCCTR_Pos         (0UL)                     /*!< TIMERB TxCC3CTR: CCCTR (Bit 0)                        */
#define TIMERB_TxCC3CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERB TxCC3CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  DTGB0CTL  ======================================================== */
#define TIMERB_DTGB0CTL_INVLS_Pos         (4UL)                     /*!< TIMERB DTGB0CTL: INVLS (Bit 4)                        */
#define TIMERB_DTGB0CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERB DTGB0CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERB_DTGB0CTL_INVHS_Pos         (5UL)                     /*!< TIMERB DTGB0CTL: INVHS (Bit 5)                        */
#define TIMERB_DTGB0CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERB DTGB0CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERB_DTGB0CTL_OTP_Pos           (6UL)                     /*!< TIMERB DTGB0CTL: OTP (Bit 6)                          */
#define TIMERB_DTGB0CTL_OTP_Msk           (0x40UL)                  /*!< TIMERB DTGB0CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERB_DTGB0CTL_BYPASS_Pos        (7UL)                     /*!< TIMERB DTGB0CTL: BYPASS (Bit 7)                       */
#define TIMERB_DTGB0CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERB DTGB0CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGB0LED  ======================================================== */
#define TIMERB_DTGB0LED_LED_Pos           (0UL)                     /*!< TIMERB DTGB0LED: LED (Bit 0)                          */
#define TIMERB_DTGB0LED_LED_Msk           (0xfffUL)                 /*!< TIMERB DTGB0LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGB0TED  ======================================================== */
#define TIMERB_DTGB0TED_TED_Pos           (0UL)                     /*!< TIMERB DTGB0TED: TED (Bit 0)                          */
#define TIMERB_DTGB0TED_TED_Msk           (0xfffUL)                 /*!< TIMERB DTGB0TED: TED (Bitfield-Mask: 0xfff)           */


/* =========================================================================================================================== */
/* ================                                          TIMERC                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  TxCTL  ========================================================= */
#define TIMERC_TxCTL_PRDL_Pos             (0UL)                     /*!< TIMERC TxCTL: PRDL (Bit 0)                            */
#define TIMERC_TxCTL_PRDL_Msk             (0x1UL)                   /*!< TIMERC TxCTL: PRDL (Bitfield-Mask: 0x01)              */
#define TIMERC_TxCTL_CLR_Pos              (2UL)                     /*!< TIMERC TxCTL: CLR (Bit 2)                             */
#define TIMERC_TxCTL_CLR_Msk              (0x4UL)                   /*!< TIMERC TxCTL: CLR (Bitfield-Mask: 0x01)               */
#define TIMERC_TxCTL_SS_Pos               (3UL)                     /*!< TIMERC TxCTL: SS (Bit 3)                              */
#define TIMERC_TxCTL_SS_Msk               (0x8UL)                   /*!< TIMERC TxCTL: SS (Bitfield-Mask: 0x01)                */
#define TIMERC_TxCTL_INT_Pos              (4UL)                     /*!< TIMERC TxCTL: INT (Bit 4)                             */
#define TIMERC_TxCTL_INT_Msk              (0x10UL)                  /*!< TIMERC TxCTL: INT (Bitfield-Mask: 0x01)               */
#define TIMERC_TxCTL_INTEN_Pos            (5UL)                     /*!< TIMERC TxCTL: INTEN (Bit 5)                           */
#define TIMERC_TxCTL_INTEN_Msk            (0x20UL)                  /*!< TIMERC TxCTL: INTEN (Bitfield-Mask: 0x01)             */
#define TIMERC_TxCTL_CLKDIV_Pos           (6UL)                     /*!< TIMERC TxCTL: CLKDIV (Bit 6)                          */
#define TIMERC_TxCTL_CLKDIV_Msk           (0x1c0UL)                 /*!< TIMERC TxCTL: CLKDIV (Bitfield-Mask: 0x07)            */
#define TIMERC_TxCTL_CLK_Pos              (9UL)                     /*!< TIMERC TxCTL: CLK (Bit 9)                             */
#define TIMERC_TxCTL_CLK_Msk              (0x200UL)                 /*!< TIMERC TxCTL: CLK (Bitfield-Mask: 0x01)               */
#define TIMERC_TxCTL_MODE_Pos             (10UL)                    /*!< TIMERC TxCTL: MODE (Bit 10)                           */
#define TIMERC_TxCTL_MODE_Msk             (0xc00UL)                 /*!< TIMERC TxCTL: MODE (Bitfield-Mask: 0x03)              */
#define TIMERC_TxCTL_DTGCLK_Pos           (13UL)                    /*!< TIMERC TxCTL: DTGCLK (Bit 13)                         */
#define TIMERC_TxCTL_DTGCLK_Msk           (0x2000UL)                /*!< TIMERC TxCTL: DTGCLK (Bitfield-Mask: 0x01)            */
/* =========================================================  TxPRD  ========================================================= */
#define TIMERC_TxPRD_PERIOD_Pos           (0UL)                     /*!< TIMERC TxPRD: PERIOD (Bit 0)                          */
#define TIMERC_TxPRD_PERIOD_Msk           (0xffffUL)                /*!< TIMERC TxPRD: PERIOD (Bitfield-Mask: 0xffff)          */
/* =========================================================  TxCTR  ========================================================= */
#define TIMERC_TxCTR_CTR_Pos              (0UL)                     /*!< TIMERC TxCTR: CTR (Bit 0)                             */
#define TIMERC_TxCTR_CTR_Msk              (0xffffUL)                /*!< TIMERC TxCTR: CTR (Bitfield-Mask: 0xffff)             */
/* =======================================================  TxCC0CTL  ======================================================== */
#define TIMERC_TxCC0CTL_CCEDG_Pos         (0UL)                     /*!< TIMERC TxCC0CTL: CCEDG (Bit 0)                        */
#define TIMERC_TxCC0CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERC TxCC0CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERC_TxCC0CTL_CCINT_Pos         (2UL)                     /*!< TIMERC TxCC0CTL: CCINT (Bit 2)                        */
#define TIMERC_TxCC0CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERC TxCC0CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERC_TxCC0CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERC TxCC0CTL: CCINTEN (Bit 3)                      */
#define TIMERC_TxCC0CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERC TxCC0CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERC_TxCC0CTL_CCMODE_Pos        (4UL)                     /*!< TIMERC TxCC0CTL: CCMODE (Bit 4)                       */
#define TIMERC_TxCC0CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERC TxCC0CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC0CTR  ======================================================== */
#define TIMERC_TxCC0CTR_CCCTR_Pos         (0UL)                     /*!< TIMERC TxCC0CTR: CCCTR (Bit 0)                        */
#define TIMERC_TxCC0CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERC TxCC0CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC1CTL  ======================================================== */
#define TIMERC_TxCC1CTL_CCEDG_Pos         (0UL)                     /*!< TIMERC TxCC1CTL: CCEDG (Bit 0)                        */
#define TIMERC_TxCC1CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERC TxCC1CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERC_TxCC1CTL_CCINT_Pos         (2UL)                     /*!< TIMERC TxCC1CTL: CCINT (Bit 2)                        */
#define TIMERC_TxCC1CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERC TxCC1CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERC_TxCC1CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERC TxCC1CTL: CCINTEN (Bit 3)                      */
#define TIMERC_TxCC1CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERC TxCC1CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERC_TxCC1CTL_CCMODE_Pos        (4UL)                     /*!< TIMERC TxCC1CTL: CCMODE (Bit 4)                       */
#define TIMERC_TxCC1CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERC TxCC1CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC1CTR  ======================================================== */
#define TIMERC_TxCC1CTR_CCCTR_Pos         (0UL)                     /*!< TIMERC TxCC1CTR: CCCTR (Bit 0)                        */
#define TIMERC_TxCC1CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERC TxCC1CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  DTGC0CTL  ======================================================== */
#define TIMERC_DTGC0CTL_INVLS_Pos         (4UL)                     /*!< TIMERC DTGC0CTL: INVLS (Bit 4)                        */
#define TIMERC_DTGC0CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERC DTGC0CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERC_DTGC0CTL_INVHS_Pos         (5UL)                     /*!< TIMERC DTGC0CTL: INVHS (Bit 5)                        */
#define TIMERC_DTGC0CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERC DTGC0CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERC_DTGC0CTL_OTP_Pos           (6UL)                     /*!< TIMERC DTGC0CTL: OTP (Bit 6)                          */
#define TIMERC_DTGC0CTL_OTP_Msk           (0x40UL)                  /*!< TIMERC DTGC0CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERC_DTGC0CTL_BYPASS_Pos        (7UL)                     /*!< TIMERC DTGC0CTL: BYPASS (Bit 7)                       */
#define TIMERC_DTGC0CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERC DTGC0CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGC0LED  ======================================================== */
#define TIMERC_DTGC0LED_LED_Pos           (0UL)                     /*!< TIMERC DTGC0LED: LED (Bit 0)                          */
#define TIMERC_DTGC0LED_LED_Msk           (0xfffUL)                 /*!< TIMERC DTGC0LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGC0TED  ======================================================== */
#define TIMERC_DTGC0TED_TED_Pos           (0UL)                     /*!< TIMERC DTGC0TED: TED (Bit 0)                          */
#define TIMERC_DTGC0TED_TED_Msk           (0xfffUL)                 /*!< TIMERC DTGC0TED: TED (Bitfield-Mask: 0xfff)           */


/* =========================================================================================================================== */
/* ================                                          TIMERD                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  TxCTL  ========================================================= */
#define TIMERD_TxCTL_PRDL_Pos             (0UL)                     /*!< TIMERD TxCTL: PRDL (Bit 0)                            */
#define TIMERD_TxCTL_PRDL_Msk             (0x1UL)                   /*!< TIMERD TxCTL: PRDL (Bitfield-Mask: 0x01)              */
#define TIMERD_TxCTL_CLR_Pos              (2UL)                     /*!< TIMERD TxCTL: CLR (Bit 2)                             */
#define TIMERD_TxCTL_CLR_Msk              (0x4UL)                   /*!< TIMERD TxCTL: CLR (Bitfield-Mask: 0x01)               */
#define TIMERD_TxCTL_SS_Pos               (3UL)                     /*!< TIMERD TxCTL: SS (Bit 3)                              */
#define TIMERD_TxCTL_SS_Msk               (0x8UL)                   /*!< TIMERD TxCTL: SS (Bitfield-Mask: 0x01)                */
#define TIMERD_TxCTL_INT_Pos              (4UL)                     /*!< TIMERD TxCTL: INT (Bit 4)                             */
#define TIMERD_TxCTL_INT_Msk              (0x10UL)                  /*!< TIMERD TxCTL: INT (Bitfield-Mask: 0x01)               */
#define TIMERD_TxCTL_INTEN_Pos            (5UL)                     /*!< TIMERD TxCTL: INTEN (Bit 5)                           */
#define TIMERD_TxCTL_INTEN_Msk            (0x20UL)                  /*!< TIMERD TxCTL: INTEN (Bitfield-Mask: 0x01)             */
#define TIMERD_TxCTL_CLKDIV_Pos           (6UL)                     /*!< TIMERD TxCTL: CLKDIV (Bit 6)                          */
#define TIMERD_TxCTL_CLKDIV_Msk           (0x1c0UL)                 /*!< TIMERD TxCTL: CLKDIV (Bitfield-Mask: 0x07)            */
#define TIMERD_TxCTL_CLK_Pos              (9UL)                     /*!< TIMERD TxCTL: CLK (Bit 9)                             */
#define TIMERD_TxCTL_CLK_Msk              (0x200UL)                 /*!< TIMERD TxCTL: CLK (Bitfield-Mask: 0x01)               */
#define TIMERD_TxCTL_MODE_Pos             (10UL)                    /*!< TIMERD TxCTL: MODE (Bit 10)                           */
#define TIMERD_TxCTL_MODE_Msk             (0xc00UL)                 /*!< TIMERD TxCTL: MODE (Bitfield-Mask: 0x03)              */
#define TIMERD_TxCTL_DTGCLK_Pos           (13UL)                    /*!< TIMERD TxCTL: DTGCLK (Bit 13)                         */
#define TIMERD_TxCTL_DTGCLK_Msk           (0x2000UL)                /*!< TIMERD TxCTL: DTGCLK (Bitfield-Mask: 0x01)            */
/* =========================================================  TxPRD  ========================================================= */
#define TIMERD_TxPRD_PERIOD_Pos           (0UL)                     /*!< TIMERD TxPRD: PERIOD (Bit 0)                          */
#define TIMERD_TxPRD_PERIOD_Msk           (0xffffUL)                /*!< TIMERD TxPRD: PERIOD (Bitfield-Mask: 0xffff)          */
/* =========================================================  TxCTR  ========================================================= */
#define TIMERD_TxCTR_CTR_Pos              (0UL)                     /*!< TIMERD TxCTR: CTR (Bit 0)                             */
#define TIMERD_TxCTR_CTR_Msk              (0xffffUL)                /*!< TIMERD TxCTR: CTR (Bitfield-Mask: 0xffff)             */
/* =======================================================  TxCC0CTL  ======================================================== */
#define TIMERD_TxCC0CTL_CCEDG_Pos         (0UL)                     /*!< TIMERD TxCC0CTL: CCEDG (Bit 0)                        */
#define TIMERD_TxCC0CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERD TxCC0CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERD_TxCC0CTL_CCINT_Pos         (2UL)                     /*!< TIMERD TxCC0CTL: CCINT (Bit 2)                        */
#define TIMERD_TxCC0CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERD TxCC0CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERD_TxCC0CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERD TxCC0CTL: CCINTEN (Bit 3)                      */
#define TIMERD_TxCC0CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERD TxCC0CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERD_TxCC0CTL_CCMODE_Pos        (4UL)                     /*!< TIMERD TxCC0CTL: CCMODE (Bit 4)                       */
#define TIMERD_TxCC0CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERD TxCC0CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC0CTR  ======================================================== */
#define TIMERD_TxCC0CTR_CCCTR_Pos         (0UL)                     /*!< TIMERD TxCC0CTR: CCCTR (Bit 0)                        */
#define TIMERD_TxCC0CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERD TxCC0CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  TxCC1CTL  ======================================================== */
#define TIMERD_TxCC1CTL_CCEDG_Pos         (0UL)                     /*!< TIMERD TxCC1CTL: CCEDG (Bit 0)                        */
#define TIMERD_TxCC1CTL_CCEDG_Msk         (0x3UL)                   /*!< TIMERD TxCC1CTL: CCEDG (Bitfield-Mask: 0x03)          */
#define TIMERD_TxCC1CTL_CCINT_Pos         (2UL)                     /*!< TIMERD TxCC1CTL: CCINT (Bit 2)                        */
#define TIMERD_TxCC1CTL_CCINT_Msk         (0x4UL)                   /*!< TIMERD TxCC1CTL: CCINT (Bitfield-Mask: 0x01)          */
#define TIMERD_TxCC1CTL_CCINTEN_Pos       (3UL)                     /*!< TIMERD TxCC1CTL: CCINTEN (Bit 3)                      */
#define TIMERD_TxCC1CTL_CCINTEN_Msk       (0x8UL)                   /*!< TIMERD TxCC1CTL: CCINTEN (Bitfield-Mask: 0x01)        */
#define TIMERD_TxCC1CTL_CCMODE_Pos        (4UL)                     /*!< TIMERD TxCC1CTL: CCMODE (Bit 4)                       */
#define TIMERD_TxCC1CTL_CCMODE_Msk        (0x10UL)                  /*!< TIMERD TxCC1CTL: CCMODE (Bitfield-Mask: 0x01)         */
/* =======================================================  TxCC1CTR  ======================================================== */
#define TIMERD_TxCC1CTR_CCCTR_Pos         (0UL)                     /*!< TIMERD TxCC1CTR: CCCTR (Bit 0)                        */
#define TIMERD_TxCC1CTR_CCCTR_Msk         (0xffffUL)                /*!< TIMERD TxCC1CTR: CCCTR (Bitfield-Mask: 0xffff)        */
/* =======================================================  DTGD0CTL  ======================================================== */
#define TIMERD_DTGD0CTL_INVLS_Pos         (4UL)                     /*!< TIMERD DTGD0CTL: INVLS (Bit 4)                        */
#define TIMERD_DTGD0CTL_INVLS_Msk         (0x10UL)                  /*!< TIMERD DTGD0CTL: INVLS (Bitfield-Mask: 0x01)          */
#define TIMERD_DTGD0CTL_INVHS_Pos         (5UL)                     /*!< TIMERD DTGD0CTL: INVHS (Bit 5)                        */
#define TIMERD_DTGD0CTL_INVHS_Msk         (0x20UL)                  /*!< TIMERD DTGD0CTL: INVHS (Bitfield-Mask: 0x01)          */
#define TIMERD_DTGD0CTL_OTP_Pos           (6UL)                     /*!< TIMERD DTGD0CTL: OTP (Bit 6)                          */
#define TIMERD_DTGD0CTL_OTP_Msk           (0x40UL)                  /*!< TIMERD DTGD0CTL: OTP (Bitfield-Mask: 0x01)            */
#define TIMERD_DTGD0CTL_BYPASS_Pos        (7UL)                     /*!< TIMERD DTGD0CTL: BYPASS (Bit 7)                       */
#define TIMERD_DTGD0CTL_BYPASS_Msk        (0x80UL)                  /*!< TIMERD DTGD0CTL: BYPASS (Bitfield-Mask: 0x01)         */
/* =======================================================  DTGD0LED  ======================================================== */
#define TIMERD_DTGD0LED_LED_Pos           (0UL)                     /*!< TIMERD DTGD0LED: LED (Bit 0)                          */
#define TIMERD_DTGD0LED_LED_Msk           (0xfffUL)                 /*!< TIMERD DTGD0LED: LED (Bitfield-Mask: 0xfff)           */
/* =======================================================  DTGD0TED  ======================================================== */
#define TIMERD_DTGD0TED_TED_Pos           (0UL)                     /*!< TIMERD DTGD0TED: TED (Bit 0)                          */
#define TIMERD_DTGD0TED_TED_Msk           (0xfffUL)                 /*!< TIMERD DTGD0TED: TED (Bitfield-Mask: 0xfff)           */


/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  EMUXCTL  ======================================================== */
#define ADC_EMUXCTL_EMUXCDIV_Pos          (0UL)                     /*!< ADC EMUXCTL: EMUXCDIV (Bit 0)                         */
#define ADC_EMUXCTL_EMUXCDIV_Msk          (0x7UL)                   /*!< ADC EMUXCTL: EMUXCDIV (Bitfield-Mask: 0x07)           */
#define ADC_EMUXCTL_EMUXDONE_Pos          (3UL)                     /*!< ADC EMUXCTL: EMUXDONE (Bit 3)                         */
#define ADC_EMUXCTL_EMUXDONE_Msk          (0x8UL)                   /*!< ADC EMUXCTL: EMUXDONE (Bitfield-Mask: 0x01)           */
#define ADC_EMUXCTL_EMUXBUSY_Pos          (4UL)                     /*!< ADC EMUXCTL: EMUXBUSY (Bit 4)                         */
#define ADC_EMUXCTL_EMUXBUSY_Msk          (0x10UL)                  /*!< ADC EMUXCTL: EMUXBUSY (Bitfield-Mask: 0x01)           */
#define ADC_EMUXCTL_EMUXC_Pos             (5UL)                     /*!< ADC EMUXCTL: EMUXC (Bit 5)                            */
#define ADC_EMUXCTL_EMUXC_Msk             (0x20UL)                  /*!< ADC EMUXCTL: EMUXC (Bitfield-Mask: 0x01)              */
/* =======================================================  EMUXDATA  ======================================================== */
#define ADC_EMUXDATA_DATA_Pos             (0UL)                     /*!< ADC EMUXDATA: DATA (Bit 0)                            */
#define ADC_EMUXDATA_DATA_Msk             (0xffffUL)                /*!< ADC EMUXDATA: DATA (Bitfield-Mask: 0xffff)            */
/* ========================================================  ADCCTL  ========================================================= */
#define ADC_ADCCTL_ADCCDIV_Pos            (0UL)                     /*!< ADC ADCCTL: ADCCDIV (Bit 0)                           */
#define ADC_ADCCTL_ADCCDIV_Msk            (0x7UL)                   /*!< ADC ADCCTL: ADCCDIV (Bitfield-Mask: 0x07)             */
#define ADC_ADCCTL_ADCMUX_Pos             (4UL)                     /*!< ADC ADCCTL: ADCMUX (Bit 4)                            */
#define ADC_ADCCTL_ADCMUX_Msk             (0x70UL)                  /*!< ADC ADCCTL: ADCMUX (Bitfield-Mask: 0x07)              */
#define ADC_ADCCTL_ADCBUSY_Pos            (7UL)                     /*!< ADC ADCCTL: ADCBUSY (Bit 7)                           */
#define ADC_ADCCTL_ADCBUSY_Msk            (0x80UL)                  /*!< ADC ADCCTL: ADCBUSY (Bitfield-Mask: 0x01)             */
#define ADC_ADCCTL_ADCMODE_Pos            (10UL)                    /*!< ADC ADCCTL: ADCMODE (Bit 10)                          */
#define ADC_ADCCTL_ADCMODE_Msk            (0x1c00UL)                /*!< ADC ADCCTL: ADCMODE (Bitfield-Mask: 0x07)             */
#define ADC_ADCCTL_ADCSTART_Pos           (14UL)                    /*!< ADC ADCCTL: ADCSTART (Bit 14)                         */
#define ADC_ADCCTL_ADCSTART_Msk           (0x4000UL)                /*!< ADC ADCCTL: ADCSTART (Bitfield-Mask: 0x01)            */
#define ADC_ADCCTL_ADCEN_Pos              (15UL)                    /*!< ADC ADCCTL: ADCEN (Bit 15)                            */
#define ADC_ADCCTL_ADCEN_Msk              (0x8000UL)                /*!< ADC ADCCTL: ADCEN (Bitfield-Mask: 0x01)               */
/* =========================================================  ADCCR  ========================================================= */
#define ADC_ADCCR_ADCRESULT_Pos           (0UL)                     /*!< ADC ADCCR: ADCRESULT (Bit 0)                          */
#define ADC_ADCCR_ADCRESULT_Msk           (0xffffUL)                /*!< ADC ADCCR: ADCRESULT (Bitfield-Mask: 0xffff)          */
/* ========================================================  ADCINT  ========================================================= */
#define ADC_ADCINT_ADCINT_Pos             (0UL)                     /*!< ADC ADCINT: ADCINT (Bit 0)                            */
#define ADC_ADCINT_ADCINT_Msk             (0x1UL)                   /*!< ADC ADCINT: ADCINT (Bitfield-Mask: 0x01)              */
#define ADC_ADCINT_EMUXINT_Pos            (1UL)                     /*!< ADC ADCINT: EMUXINT (Bit 1)                           */
#define ADC_ADCINT_EMUXINT_Msk            (0x2UL)                   /*!< ADC ADCINT: EMUXINT (Bitfield-Mask: 0x01)             */
#define ADC_ADCINT_AS0INT_Pos             (2UL)                     /*!< ADC ADCINT: AS0INT (Bit 2)                            */
#define ADC_ADCINT_AS0INT_Msk             (0x4UL)                   /*!< ADC ADCINT: AS0INT (Bitfield-Mask: 0x01)              */
#define ADC_ADCINT_AS1INT_Pos             (3UL)                     /*!< ADC ADCINT: AS1INT (Bit 3)                            */
#define ADC_ADCINT_AS1INT_Msk             (0x8UL)                   /*!< ADC ADCINT: AS1INT (Bitfield-Mask: 0x01)              */
#define ADC_ADCINT_ASCINT_Pos             (4UL)                     /*!< ADC ADCINT: ASCINT (Bit 4)                            */
#define ADC_ADCINT_ASCINT_Msk             (0x10UL)                  /*!< ADC ADCINT: ASCINT (Bitfield-Mask: 0x01)              */
#define ADC_ADCINT_ADCINT_EN_Pos          (8UL)                     /*!< ADC ADCINT: ADCINT_EN (Bit 8)                         */
#define ADC_ADCINT_ADCINT_EN_Msk          (0x100UL)                 /*!< ADC ADCINT: ADCINT_EN (Bitfield-Mask: 0x01)           */
#define ADC_ADCINT_EMUXINT_EN_Pos         (9UL)                     /*!< ADC ADCINT: EMUXINT_EN (Bit 9)                        */
#define ADC_ADCINT_EMUXINT_EN_Msk         (0x200UL)                 /*!< ADC ADCINT: EMUXINT_EN (Bitfield-Mask: 0x01)          */
#define ADC_ADCINT_AS0INT_EN_Pos          (10UL)                    /*!< ADC ADCINT: AS0INT_EN (Bit 10)                        */
#define ADC_ADCINT_AS0INT_EN_Msk          (0x400UL)                 /*!< ADC ADCINT: AS0INT_EN (Bitfield-Mask: 0x01)           */
#define ADC_ADCINT_AS1INT_EN_Pos          (11UL)                    /*!< ADC ADCINT: AS1INT_EN (Bit 11)                        */
#define ADC_ADCINT_AS1INT_EN_Msk          (0x800UL)                 /*!< ADC ADCINT: AS1INT_EN (Bitfield-Mask: 0x01)           */
#define ADC_ADCINT_ASCINT_EN_Pos          (12UL)                    /*!< ADC ADCINT: ASCINT_EN (Bit 12)                        */
#define ADC_ADCINT_ASCINT_EN_Msk          (0x1000UL)                /*!< ADC ADCINT: ASCINT_EN (Bitfield-Mask: 0x01)           */
#define ADC_ADCINT_ASCINTSEQ_Pos          (16UL)                    /*!< ADC ADCINT: ASCINTSEQ (Bit 16)                        */
#define ADC_ADCINT_ASCINTSEQ_Msk          (0x30000UL)               /*!< ADC ADCINT: ASCINTSEQ (Bitfield-Mask: 0x03)           */
#define ADC_ADCINT_ASCINTTR_Pos           (18UL)                    /*!< ADC ADCINT: ASCINTTR (Bit 18)                         */
#define ADC_ADCINT_ASCINTTR_Msk           (0xc0000UL)               /*!< ADC ADCINT: ASCINTTR (Bitfield-Mask: 0x03)            */
/* ========================================================  AS0CTL  ========================================================= */
#define ADC_AS0CTL_ASAxTRPWM_Pos          (0UL)                     /*!< ADC AS0CTL: ASAxTRPWM (Bit 0)                         */
#define ADC_AS0CTL_ASAxTRPWM_Msk          (0xfUL)                   /*!< ADC AS0CTL: ASAxTRPWM (Bitfield-Mask: 0x0f)           */
#define ADC_AS0CTL_ASAxTRTMR_Pos          (4UL)                     /*!< ADC AS0CTL: ASAxTRTMR (Bit 4)                         */
#define ADC_AS0CTL_ASAxTRTMR_Msk          (0x30UL)                  /*!< ADC AS0CTL: ASAxTRTMR (Bitfield-Mask: 0x03)           */
#define ADC_AS0CTL_ASxTRE_Pos             (6UL)                     /*!< ADC AS0CTL: ASxTRE (Bit 6)                            */
#define ADC_AS0CTL_ASxTRE_Msk             (0x40UL)                  /*!< ADC AS0CTL: ASxTRE (Bitfield-Mask: 0x01)              */
#define ADC_AS0CTL_ASxTR_Pos              (7UL)                     /*!< ADC AS0CTL: ASxTR (Bit 7)                             */
#define ADC_AS0CTL_ASxTR_Msk              (0x80UL)                  /*!< ADC AS0CTL: ASxTR (Bitfield-Mask: 0x01)               */
#define ADC_AS0CTL_ASxD_Pos               (8UL)                     /*!< ADC AS0CTL: ASxD (Bit 8)                              */
#define ADC_AS0CTL_ASxD_Msk               (0x700UL)                 /*!< ADC AS0CTL: ASxD (Bitfield-Mask: 0x07)                */
#define ADC_AS0CTL_ASxEN_Pos              (11UL)                    /*!< ADC AS0CTL: ASxEN (Bit 11)                            */
#define ADC_AS0CTL_ASxEN_Msk              (0x800UL)                 /*!< ADC AS0CTL: ASxEN (Bitfield-Mask: 0x01)               */
#define ADC_AS0CTL_ASxBUSY_Pos            (12UL)                    /*!< ADC AS0CTL: ASxBUSY (Bit 12)                          */
#define ADC_AS0CTL_ASxBUSY_Msk            (0x1000UL)                /*!< ADC AS0CTL: ASxBUSY (Bitfield-Mask: 0x01)             */
/* =========================================================  AS0S0  ========================================================= */
#define ADC_AS0S0_EMUXD_Pos               (0UL)                     /*!< ADC AS0S0: EMUXD (Bit 0)                              */
#define ADC_AS0S0_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S0: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S0_EMUXS_Pos               (8UL)                     /*!< ADC AS0S0: EMUXS (Bit 8)                              */
#define ADC_AS0S0_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S0: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S0_DELAY_Pos               (10UL)                    /*!< ADC AS0S0: DELAY (Bit 10)                             */
#define ADC_AS0S0_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S0: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S0_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S0: ADCMUX (Bit 12)                            */
#define ADC_AS0S0_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S0: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R0  ========================================================= */
#define ADC_AS0R0_ADCRESULT_Pos           (0UL)                     /*!< ADC AS0R0: ADCRESULT (Bit 0)                          */
#define ADC_AS0R0_ADCRESULT_Msk           (0x3ffUL)                 /*!< ADC AS0R0: ADCRESULT (Bitfield-Mask: 0x3ff)           */
/* =========================================================  AS0S1  ========================================================= */
#define ADC_AS0S1_EMUXD_Pos               (0UL)                     /*!< ADC AS0S1: EMUXD (Bit 0)                              */
#define ADC_AS0S1_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S1: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S1_EMUXS_Pos               (8UL)                     /*!< ADC AS0S1: EMUXS (Bit 8)                              */
#define ADC_AS0S1_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S1: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S1_DELAY_Pos               (10UL)                    /*!< ADC AS0S1: DELAY (Bit 10)                             */
#define ADC_AS0S1_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S1: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S1_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S1: ADCMUX (Bit 12)                            */
#define ADC_AS0S1_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S1: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R1  ========================================================= */
/* =========================================================  AS0S2  ========================================================= */
#define ADC_AS0S2_EMUXD_Pos               (0UL)                     /*!< ADC AS0S2: EMUXD (Bit 0)                              */
#define ADC_AS0S2_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S2: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S2_EMUXS_Pos               (8UL)                     /*!< ADC AS0S2: EMUXS (Bit 8)                              */
#define ADC_AS0S2_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S2: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S2_DELAY_Pos               (10UL)                    /*!< ADC AS0S2: DELAY (Bit 10)                             */
#define ADC_AS0S2_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S2: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S2_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S2: ADCMUX (Bit 12)                            */
#define ADC_AS0S2_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S2: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R2  ========================================================= */
/* =========================================================  AS0S3  ========================================================= */
#define ADC_AS0S3_EMUXD_Pos               (0UL)                     /*!< ADC AS0S3: EMUXD (Bit 0)                              */
#define ADC_AS0S3_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S3: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S3_EMUXS_Pos               (8UL)                     /*!< ADC AS0S3: EMUXS (Bit 8)                              */
#define ADC_AS0S3_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S3: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S3_DELAY_Pos               (10UL)                    /*!< ADC AS0S3: DELAY (Bit 10)                             */
#define ADC_AS0S3_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S3: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S3_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S3: ADCMUX (Bit 12)                            */
#define ADC_AS0S3_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S3: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R3  ========================================================= */
/* =========================================================  AS0S4  ========================================================= */
#define ADC_AS0S4_EMUXD_Pos               (0UL)                     /*!< ADC AS0S4: EMUXD (Bit 0)                              */
#define ADC_AS0S4_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S4: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S4_EMUXS_Pos               (8UL)                     /*!< ADC AS0S4: EMUXS (Bit 8)                              */
#define ADC_AS0S4_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S4: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S4_DELAY_Pos               (10UL)                    /*!< ADC AS0S4: DELAY (Bit 10)                             */
#define ADC_AS0S4_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S4: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S4_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S4: ADCMUX (Bit 12)                            */
#define ADC_AS0S4_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S4: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R4  ========================================================= */
/* =========================================================  AS0S5  ========================================================= */
#define ADC_AS0S5_EMUXD_Pos               (0UL)                     /*!< ADC AS0S5: EMUXD (Bit 0)                              */
#define ADC_AS0S5_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S5: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S5_EMUXS_Pos               (8UL)                     /*!< ADC AS0S5: EMUXS (Bit 8)                              */
#define ADC_AS0S5_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S5: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S5_DELAY_Pos               (10UL)                    /*!< ADC AS0S5: DELAY (Bit 10)                             */
#define ADC_AS0S5_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S5: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S5_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S5: ADCMUX (Bit 12)                            */
#define ADC_AS0S5_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S5: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R5  ========================================================= */
/* =========================================================  AS0S6  ========================================================= */
#define ADC_AS0S6_EMUXD_Pos               (0UL)                     /*!< ADC AS0S6: EMUXD (Bit 0)                              */
#define ADC_AS0S6_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S6: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S6_EMUXS_Pos               (8UL)                     /*!< ADC AS0S6: EMUXS (Bit 8)                              */
#define ADC_AS0S6_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S6: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S6_DELAY_Pos               (10UL)                    /*!< ADC AS0S6: DELAY (Bit 10)                             */
#define ADC_AS0S6_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S6: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S6_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S6: ADCMUX (Bit 12)                            */
#define ADC_AS0S6_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S6: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R6  ========================================================= */
/* =========================================================  AS0S7  ========================================================= */
#define ADC_AS0S7_EMUXD_Pos               (0UL)                     /*!< ADC AS0S7: EMUXD (Bit 0)                              */
#define ADC_AS0S7_EMUXD_Msk               (0xffUL)                  /*!< ADC AS0S7: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS0S7_EMUXS_Pos               (8UL)                     /*!< ADC AS0S7: EMUXS (Bit 8)                              */
#define ADC_AS0S7_EMUXS_Msk               (0x300UL)                 /*!< ADC AS0S7: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS0S7_DELAY_Pos               (10UL)                    /*!< ADC AS0S7: DELAY (Bit 10)                             */
#define ADC_AS0S7_DELAY_Msk               (0xc00UL)                 /*!< ADC AS0S7: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS0S7_ADCMUX_Pos              (12UL)                    /*!< ADC AS0S7: ADCMUX (Bit 12)                            */
#define ADC_AS0S7_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS0S7: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS0R7  ========================================================= */
/* ========================================================  AS1CTL  ========================================================= */
#define ADC_AS1CTL_ASAxTRPWM_Pos          (0UL)                     /*!< ADC AS1CTL: ASAxTRPWM (Bit 0)                         */
#define ADC_AS1CTL_ASAxTRPWM_Msk          (0xfUL)                   /*!< ADC AS1CTL: ASAxTRPWM (Bitfield-Mask: 0x0f)           */
#define ADC_AS1CTL_ASAxTRTMR_Pos          (4UL)                     /*!< ADC AS1CTL: ASAxTRTMR (Bit 4)                         */
#define ADC_AS1CTL_ASAxTRTMR_Msk          (0x30UL)                  /*!< ADC AS1CTL: ASAxTRTMR (Bitfield-Mask: 0x03)           */
#define ADC_AS1CTL_ASxTRE_Pos             (6UL)                     /*!< ADC AS1CTL: ASxTRE (Bit 6)                            */
#define ADC_AS1CTL_ASxTRE_Msk             (0x40UL)                  /*!< ADC AS1CTL: ASxTRE (Bitfield-Mask: 0x01)              */
#define ADC_AS1CTL_ASxTR_Pos              (7UL)                     /*!< ADC AS1CTL: ASxTR (Bit 7)                             */
#define ADC_AS1CTL_ASxTR_Msk              (0x80UL)                  /*!< ADC AS1CTL: ASxTR (Bitfield-Mask: 0x01)               */
#define ADC_AS1CTL_ASxD_Pos               (8UL)                     /*!< ADC AS1CTL: ASxD (Bit 8)                              */
#define ADC_AS1CTL_ASxD_Msk               (0x700UL)                 /*!< ADC AS1CTL: ASxD (Bitfield-Mask: 0x07)                */
#define ADC_AS1CTL_ASxEN_Pos              (11UL)                    /*!< ADC AS1CTL: ASxEN (Bit 11)                            */
#define ADC_AS1CTL_ASxEN_Msk              (0x800UL)                 /*!< ADC AS1CTL: ASxEN (Bitfield-Mask: 0x01)               */
#define ADC_AS1CTL_ASxBUSY_Pos            (12UL)                    /*!< ADC AS1CTL: ASxBUSY (Bit 12)                          */
#define ADC_AS1CTL_ASxBUSY_Msk            (0x1000UL)                /*!< ADC AS1CTL: ASxBUSY (Bitfield-Mask: 0x01)             */
/* =========================================================  AS1S0  ========================================================= */
#define ADC_AS1S0_EMUXD_Pos               (0UL)                     /*!< ADC AS1S0: EMUXD (Bit 0)                              */
#define ADC_AS1S0_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S0: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S0_EMUXS_Pos               (8UL)                     /*!< ADC AS1S0: EMUXS (Bit 8)                              */
#define ADC_AS1S0_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S0: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S0_DELAY_Pos               (10UL)                    /*!< ADC AS1S0: DELAY (Bit 10)                             */
#define ADC_AS1S0_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S0: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S0_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S0: ADCMUX (Bit 12)                            */
#define ADC_AS1S0_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S0: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R0  ========================================================= */
#define ADC_AS1R0_ADCRESULT_Pos           (0UL)                     /*!< ADC AS1R0: ADCRESULT (Bit 0)                          */
#define ADC_AS1R0_ADCRESULT_Msk           (0x3ffUL)                 /*!< ADC AS1R0: ADCRESULT (Bitfield-Mask: 0x3ff)           */
/* =========================================================  AS1S1  ========================================================= */
#define ADC_AS1S1_EMUXD_Pos               (0UL)                     /*!< ADC AS1S1: EMUXD (Bit 0)                              */
#define ADC_AS1S1_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S1: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S1_EMUXS_Pos               (8UL)                     /*!< ADC AS1S1: EMUXS (Bit 8)                              */
#define ADC_AS1S1_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S1: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S1_DELAY_Pos               (10UL)                    /*!< ADC AS1S1: DELAY (Bit 10)                             */
#define ADC_AS1S1_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S1: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S1_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S1: ADCMUX (Bit 12)                            */
#define ADC_AS1S1_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S1: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R1  ========================================================= */
/* =========================================================  AS1S2  ========================================================= */
#define ADC_AS1S2_EMUXD_Pos               (0UL)                     /*!< ADC AS1S2: EMUXD (Bit 0)                              */
#define ADC_AS1S2_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S2: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S2_EMUXS_Pos               (8UL)                     /*!< ADC AS1S2: EMUXS (Bit 8)                              */
#define ADC_AS1S2_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S2: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S2_DELAY_Pos               (10UL)                    /*!< ADC AS1S2: DELAY (Bit 10)                             */
#define ADC_AS1S2_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S2: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S2_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S2: ADCMUX (Bit 12)                            */
#define ADC_AS1S2_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S2: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R2  ========================================================= */
/* =========================================================  AS1S3  ========================================================= */
#define ADC_AS1S3_EMUXD_Pos               (0UL)                     /*!< ADC AS1S3: EMUXD (Bit 0)                              */
#define ADC_AS1S3_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S3: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S3_EMUXS_Pos               (8UL)                     /*!< ADC AS1S3: EMUXS (Bit 8)                              */
#define ADC_AS1S3_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S3: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S3_DELAY_Pos               (10UL)                    /*!< ADC AS1S3: DELAY (Bit 10)                             */
#define ADC_AS1S3_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S3: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S3_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S3: ADCMUX (Bit 12)                            */
#define ADC_AS1S3_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S3: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R3  ========================================================= */
/* =========================================================  AS1S4  ========================================================= */
#define ADC_AS1S4_EMUXD_Pos               (0UL)                     /*!< ADC AS1S4: EMUXD (Bit 0)                              */
#define ADC_AS1S4_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S4: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S4_EMUXS_Pos               (8UL)                     /*!< ADC AS1S4: EMUXS (Bit 8)                              */
#define ADC_AS1S4_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S4: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S4_DELAY_Pos               (10UL)                    /*!< ADC AS1S4: DELAY (Bit 10)                             */
#define ADC_AS1S4_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S4: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S4_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S4: ADCMUX (Bit 12)                            */
#define ADC_AS1S4_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S4: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R4  ========================================================= */
/* =========================================================  AS1S5  ========================================================= */
#define ADC_AS1S5_EMUXD_Pos               (0UL)                     /*!< ADC AS1S5: EMUXD (Bit 0)                              */
#define ADC_AS1S5_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S5: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S5_EMUXS_Pos               (8UL)                     /*!< ADC AS1S5: EMUXS (Bit 8)                              */
#define ADC_AS1S5_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S5: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S5_DELAY_Pos               (10UL)                    /*!< ADC AS1S5: DELAY (Bit 10)                             */
#define ADC_AS1S5_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S5: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S5_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S5: ADCMUX (Bit 12)                            */
#define ADC_AS1S5_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S5: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R5  ========================================================= */
/* =========================================================  AS1S6  ========================================================= */
#define ADC_AS1S6_EMUXD_Pos               (0UL)                     /*!< ADC AS1S6: EMUXD (Bit 0)                              */
#define ADC_AS1S6_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S6: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S6_EMUXS_Pos               (8UL)                     /*!< ADC AS1S6: EMUXS (Bit 8)                              */
#define ADC_AS1S6_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S6: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S6_DELAY_Pos               (10UL)                    /*!< ADC AS1S6: DELAY (Bit 10)                             */
#define ADC_AS1S6_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S6: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S6_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S6: ADCMUX (Bit 12)                            */
#define ADC_AS1S6_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S6: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R6  ========================================================= */
/* =========================================================  AS1S7  ========================================================= */
#define ADC_AS1S7_EMUXD_Pos               (0UL)                     /*!< ADC AS1S7: EMUXD (Bit 0)                              */
#define ADC_AS1S7_EMUXD_Msk               (0xffUL)                  /*!< ADC AS1S7: EMUXD (Bitfield-Mask: 0xff)                */
#define ADC_AS1S7_EMUXS_Pos               (8UL)                     /*!< ADC AS1S7: EMUXS (Bit 8)                              */
#define ADC_AS1S7_EMUXS_Msk               (0x300UL)                 /*!< ADC AS1S7: EMUXS (Bitfield-Mask: 0x03)                */
#define ADC_AS1S7_DELAY_Pos               (10UL)                    /*!< ADC AS1S7: DELAY (Bit 10)                             */
#define ADC_AS1S7_DELAY_Msk               (0xc00UL)                 /*!< ADC AS1S7: DELAY (Bitfield-Mask: 0x03)                */
#define ADC_AS1S7_ADCMUX_Pos              (12UL)                    /*!< ADC AS1S7: ADCMUX (Bit 12)                            */
#define ADC_AS1S7_ADCMUX_Msk              (0x7000UL)                /*!< ADC AS1S7: ADCMUX (Bitfield-Mask: 0x07)               */
/* =========================================================  AS1R7  ========================================================= */


/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  I2CCFG  ========================================================= */
#define I2C_I2CCFG_SLEN_Pos               (0UL)                     /*!< I2C I2CCFG: SLEN (Bit 0)                              */
#define I2C_I2CCFG_SLEN_Msk               (0x1UL)                   /*!< I2C I2CCFG: SLEN (Bitfield-Mask: 0x01)                */
#define I2C_I2CCFG_MAEN_Pos               (2UL)                     /*!< I2C I2CCFG: MAEN (Bit 2)                              */
#define I2C_I2CCFG_MAEN_Msk               (0x4UL)                   /*!< I2C I2CCFG: MAEN (Bitfield-Mask: 0x01)                */
#define I2C_I2CCFG_ADDRMODE_Pos           (4UL)                     /*!< I2C I2CCFG: ADDRMODE (Bit 4)                          */
#define I2C_I2CCFG_ADDRMODE_Msk           (0x10UL)                  /*!< I2C I2CCFG: ADDRMODE (Bitfield-Mask: 0x01)            */
/* ========================================================  I2CINT  ========================================================= */
#define I2C_I2CINT_MATXE_Pos              (0UL)                     /*!< I2C I2CINT: MATXE (Bit 0)                             */
#define I2C_I2CINT_MATXE_Msk              (0x1UL)                   /*!< I2C I2CINT: MATXE (Bitfield-Mask: 0x01)               */
#define I2C_I2CINT_MACTLE_Pos             (1UL)                     /*!< I2C I2CINT: MACTLE (Bit 1)                            */
#define I2C_I2CINT_MACTLE_Msk             (0x2UL)                   /*!< I2C I2CINT: MACTLE (Bitfield-Mask: 0x01)              */
#define I2C_I2CINT_MARXF_Pos              (2UL)                     /*!< I2C I2CINT: MARXF (Bit 2)                             */
#define I2C_I2CINT_MARXF_Msk              (0x4UL)                   /*!< I2C I2CINT: MARXF (Bitfield-Mask: 0x01)               */
#define I2C_I2CINT_MAXFERDONEINT_Pos      (8UL)                     /*!< I2C I2CINT: MAXFERDONEINT (Bit 8)                     */
#define I2C_I2CINT_MAXFERDONEINT_Msk      (0x100UL)                 /*!< I2C I2CINT: MAXFERDONEINT (Bitfield-Mask: 0x01)       */
#define I2C_I2CINT_MAADDRACKINT_Pos       (9UL)                     /*!< I2C I2CINT: MAADDRACKINT (Bit 9)                      */
#define I2C_I2CINT_MAADDRACKINT_Msk       (0x200UL)                 /*!< I2C I2CINT: MAADDRACKINT (Bitfield-Mask: 0x01)        */
#define I2C_I2CINT_MAARBLINT_Pos          (10UL)                    /*!< I2C I2CINT: MAARBLINT (Bit 10)                        */
#define I2C_I2CINT_MAARBLINT_Msk          (0x400UL)                 /*!< I2C I2CINT: MAARBLINT (Bitfield-Mask: 0x01)           */
#define I2C_I2CINT_MADACKINT_Pos          (11UL)                    /*!< I2C I2CINT: MADACKINT (Bit 11)                        */
#define I2C_I2CINT_MADACKINT_Msk          (0x800UL)                 /*!< I2C I2CINT: MADACKINT (Bitfield-Mask: 0x01)           */
#define I2C_I2CINT_SLADDRMINT_Pos         (16UL)                    /*!< I2C I2CINT: SLADDRMINT (Bit 16)                       */
#define I2C_I2CINT_SLADDRMINT_Msk         (0x10000UL)               /*!< I2C I2CINT: SLADDRMINT (Bitfield-Mask: 0x01)          */
#define I2C_I2CINT_SLTXEINT_Pos           (17UL)                    /*!< I2C I2CINT: SLTXEINT (Bit 17)                         */
#define I2C_I2CINT_SLTXEINT_Msk           (0x20000UL)               /*!< I2C I2CINT: SLTXEINT (Bitfield-Mask: 0x01)            */
#define I2C_I2CINT_SLRXFINT_Pos           (18UL)                    /*!< I2C I2CINT: SLRXFINT (Bit 18)                         */
#define I2C_I2CINT_SLRXFINT_Msk           (0x40000UL)               /*!< I2C I2CINT: SLRXFINT (Bitfield-Mask: 0x01)            */
#define I2C_I2CINT_SLXFERDONEINT_Pos      (24UL)                    /*!< I2C I2CINT: SLXFERDONEINT (Bit 24)                    */
#define I2C_I2CINT_SLXFERDONEINT_Msk      (0x1000000UL)             /*!< I2C I2CINT: SLXFERDONEINT (Bitfield-Mask: 0x01)       */
/* =======================================================  I2CINTEN  ======================================================== */
#define I2C_I2CINTEN_MATXE_Pos            (0UL)                     /*!< I2C I2CINTEN: MATXE (Bit 0)                           */
#define I2C_I2CINTEN_MATXE_Msk            (0x1UL)                   /*!< I2C I2CINTEN: MATXE (Bitfield-Mask: 0x01)             */
#define I2C_I2CINTEN_MACTLE_Pos           (1UL)                     /*!< I2C I2CINTEN: MACTLE (Bit 1)                          */
#define I2C_I2CINTEN_MACTLE_Msk           (0x2UL)                   /*!< I2C I2CINTEN: MACTLE (Bitfield-Mask: 0x01)            */
#define I2C_I2CINTEN_MARXF_Pos            (2UL)                     /*!< I2C I2CINTEN: MARXF (Bit 2)                           */
#define I2C_I2CINTEN_MARXF_Msk            (0x4UL)                   /*!< I2C I2CINTEN: MARXF (Bitfield-Mask: 0x01)             */
#define I2C_I2CINTEN_MAXFERDONE_Pos       (8UL)                     /*!< I2C I2CINTEN: MAXFERDONE (Bit 8)                      */
#define I2C_I2CINTEN_MAXFERDONE_Msk       (0x100UL)                 /*!< I2C I2CINTEN: MAXFERDONE (Bitfield-Mask: 0x01)        */
#define I2C_I2CINTEN_SLADDRM_Pos          (16UL)                    /*!< I2C I2CINTEN: SLADDRM (Bit 16)                        */
#define I2C_I2CINTEN_SLADDRM_Msk          (0x10000UL)               /*!< I2C I2CINTEN: SLADDRM (Bitfield-Mask: 0x01)           */
#define I2C_I2CINTEN_SLTXE_Pos            (17UL)                    /*!< I2C I2CINTEN: SLTXE (Bit 17)                          */
#define I2C_I2CINTEN_SLTXE_Msk            (0x20000UL)               /*!< I2C I2CINTEN: SLTXE (Bitfield-Mask: 0x01)             */
#define I2C_I2CINTEN_SLRXF_Pos            (18UL)                    /*!< I2C I2CINTEN: SLRXF (Bit 18)                          */
#define I2C_I2CINTEN_SLRXF_Msk            (0x40000UL)               /*!< I2C I2CINTEN: SLRXF (Bitfield-Mask: 0x01)             */
#define I2C_I2CINTEN_SLXFERDONEINTEN_Pos  (24UL)                    /*!< I2C I2CINTEN: SLXFERDONEINTEN (Bit 24)                */
#define I2C_I2CINTEN_SLXFERDONEINTEN_Msk  (0x1000000UL)             /*!< I2C I2CINTEN: SLXFERDONEINTEN (Bitfield-Mask: 0x01)   */
/* =======================================================  I2CMACTL  ======================================================== */
#define I2C_I2CMACTL_I2CADDRL_Pos         (0UL)                     /*!< I2C I2CMACTL: I2CADDRL (Bit 0)                        */
#define I2C_I2CMACTL_I2CADDRL_Msk         (0x7fUL)                  /*!< I2C I2CMACTL: I2CADDRL (Bitfield-Mask: 0x7f)          */
#define I2C_I2CMACTL_I2CADDRU_Pos         (7UL)                     /*!< I2C I2CMACTL: I2CADDRU (Bit 7)                        */
#define I2C_I2CMACTL_I2CADDRU_Msk         (0x380UL)                 /*!< I2C I2CMACTL: I2CADDRU (Bitfield-Mask: 0x07)          */
#define I2C_I2CMACTL_RSTART_Pos           (10UL)                    /*!< I2C I2CMACTL: RSTART (Bit 10)                         */
#define I2C_I2CMACTL_RSTART_Msk           (0x400UL)                 /*!< I2C I2CMACTL: RSTART (Bitfield-Mask: 0x01)            */
#define I2C_I2CMACTL_XFERTYPE_Pos         (11UL)                    /*!< I2C I2CMACTL: XFERTYPE (Bit 11)                       */
#define I2C_I2CMACTL_XFERTYPE_Msk         (0x800UL)                 /*!< I2C I2CMACTL: XFERTYPE (Bitfield-Mask: 0x01)          */
#define I2C_I2CMACTL_I2CMACTLF_Pos        (13UL)                    /*!< I2C I2CMACTL: I2CMACTLF (Bit 13)                      */
#define I2C_I2CMACTL_I2CMACTLF_Msk        (0x2000UL)                /*!< I2C I2CMACTL: I2CMACTLF (Bitfield-Mask: 0x01)         */
/* ======================================================  I2CMARXDATA  ====================================================== */
#define I2C_I2CMARXDATA_MARXDATA_Pos      (0UL)                     /*!< I2C I2CMARXDATA: MARXDATA (Bit 0)                     */
#define I2C_I2CMARXDATA_MARXDATA_Msk      (0xffUL)                  /*!< I2C I2CMARXDATA: MARXDATA (Bitfield-Mask: 0xff)       */
#define I2C_I2CMARXDATA_I2CMARXDATAF_Pos  (8UL)                     /*!< I2C I2CMARXDATA: I2CMARXDATAF (Bit 8)                 */
#define I2C_I2CMARXDATA_I2CMARXDATAF_Msk  (0x100UL)                 /*!< I2C I2CMARXDATA: I2CMARXDATAF (Bitfield-Mask: 0x01)   */
/* ======================================================  I2CMATXDATA  ====================================================== */
#define I2C_I2CMATXDATA_MATXDATA_Pos      (0UL)                     /*!< I2C I2CMATXDATA: MATXDATA (Bit 0)                     */
#define I2C_I2CMATXDATA_MATXDATA_Msk      (0xffUL)                  /*!< I2C I2CMATXDATA: MATXDATA (Bitfield-Mask: 0xff)       */
#define I2C_I2CMATXDATA_I2CMATXDATAF_Pos  (8UL)                     /*!< I2C I2CMATXDATA: I2CMATXDATAF (Bit 8)                 */
#define I2C_I2CMATXDATA_I2CMATXDATAF_Msk  (0x100UL)                 /*!< I2C I2CMATXDATA: I2CMATXDATAF (Bitfield-Mask: 0x01)   */
#define I2C_I2CMATXDATA_LBYTE_Pos         (9UL)                     /*!< I2C I2CMATXDATA: LBYTE (Bit 9)                        */
#define I2C_I2CMATXDATA_LBYTE_Msk         (0x200UL)                 /*!< I2C I2CMATXDATA: LBYTE (Bitfield-Mask: 0x01)          */
/* ========================================================  I2CBAUD  ======================================================== */
#define I2C_I2CBAUD_SCLL_Pos              (0UL)                     /*!< I2C I2CBAUD: SCLL (Bit 0)                             */
#define I2C_I2CBAUD_SCLL_Msk              (0x7ffUL)                 /*!< I2C I2CBAUD: SCLL (Bitfield-Mask: 0x7ff)              */
#define I2C_I2CBAUD_SCLH_Pos              (16UL)                    /*!< I2C I2CBAUD: SCLH (Bit 16)                            */
#define I2C_I2CBAUD_SCLH_Msk              (0x7ff0000UL)             /*!< I2C I2CBAUD: SCLH (Bitfield-Mask: 0x7ff)              */
/* ======================================================  I2CSLRXDATA  ====================================================== */
#define I2C_I2CSLRXDATA_SLRXDATA_Pos      (0UL)                     /*!< I2C I2CSLRXDATA: SLRXDATA (Bit 0)                     */
#define I2C_I2CSLRXDATA_SLRXDATA_Msk      (0xffUL)                  /*!< I2C I2CSLRXDATA: SLRXDATA (Bitfield-Mask: 0xff)       */
#define I2C_I2CSLRXDATA_I2CSLRXDATAF_Pos  (8UL)                     /*!< I2C I2CSLRXDATA: I2CSLRXDATAF (Bit 8)                 */
#define I2C_I2CSLRXDATA_I2CSLRXDATAF_Msk  (0x100UL)                 /*!< I2C I2CSLRXDATA: I2CSLRXDATAF (Bitfield-Mask: 0x01)   */
/* ======================================================  I2CSLTXDATA  ====================================================== */
#define I2C_I2CSLTXDATA_SLTXDATA_Pos      (0UL)                     /*!< I2C I2CSLTXDATA: SLTXDATA (Bit 0)                     */
#define I2C_I2CSLTXDATA_SLTXDATA_Msk      (0xffUL)                  /*!< I2C I2CSLTXDATA: SLTXDATA (Bitfield-Mask: 0xff)       */
#define I2C_I2CSLTXDATA_NACK_Pos          (8UL)                     /*!< I2C I2CSLTXDATA: NACK (Bit 8)                         */
#define I2C_I2CSLTXDATA_NACK_Msk          (0x100UL)                 /*!< I2C I2CSLTXDATA: NACK (Bitfield-Mask: 0x01)           */
#define I2C_I2CSLTXDATA_I2CSLTXDATAF_Pos  (9UL)                     /*!< I2C I2CSLTXDATA: I2CSLTXDATAF (Bit 9)                 */
#define I2C_I2CSLTXDATA_I2CSLTXDATAF_Msk  (0x200UL)                 /*!< I2C I2CSLTXDATA: I2CSLTXDATAF (Bitfield-Mask: 0x01)   */
/* =======================================================  I2CSLADDR  ======================================================= */
#define I2C_I2CSLADDR_SLADDRL_Pos         (0UL)                     /*!< I2C I2CSLADDR: SLADDRL (Bit 0)                        */
#define I2C_I2CSLADDR_SLADDRL_Msk         (0x7fUL)                  /*!< I2C I2CSLADDR: SLADDRL (Bitfield-Mask: 0x7f)          */
#define I2C_I2CSLADDR_SLADDRH_Pos         (7UL)                     /*!< I2C I2CSLADDR: SLADDRH (Bit 7)                        */
#define I2C_I2CSLADDR_SLADDRH_Msk         (0x380UL)                 /*!< I2C I2CSLADDR: SLADDRH (Bitfield-Mask: 0x07)          */


/* =========================================================================================================================== */
/* ================                                           UART                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  UARTRXTX  ======================================================== */
#define UART_UARTRXTX_RXTX_Pos            (0UL)                     /*!< UART UARTRXTX: RXTX (Bit 0)                           */
#define UART_UARTRXTX_RXTX_Msk            (0xffUL)                  /*!< UART UARTRXTX: RXTX (Bitfield-Mask: 0xff)             */
/* ========================================================  UARTIEN  ======================================================== */
#define UART_UARTIEN_RXINTEN_Pos          (0UL)                     /*!< UART UARTIEN: RXINTEN (Bit 0)                         */
#define UART_UARTIEN_RXINTEN_Msk          (0x1UL)                   /*!< UART UARTIEN: RXINTEN (Bitfield-Mask: 0x01)           */
#define UART_UARTIEN_TXINTEN_Pos          (1UL)                     /*!< UART UARTIEN: TXINTEN (Bit 1)                         */
#define UART_UARTIEN_TXINTEN_Msk          (0x2UL)                   /*!< UART UARTIEN: TXINTEN (Bitfield-Mask: 0x01)           */
#define UART_UARTIEN_RSINTEN_Pos          (2UL)                     /*!< UART UARTIEN: RSINTEN (Bit 2)                         */
#define UART_UARTIEN_RSINTEN_Msk          (0x4UL)                   /*!< UART UARTIEN: RSINTEN (Bitfield-Mask: 0x01)           */
#define UART_UARTIEN_MSINTEN_Pos          (3UL)                     /*!< UART UARTIEN: MSINTEN (Bit 3)                         */
#define UART_UARTIEN_MSINTEN_Msk          (0x8UL)                   /*!< UART UARTIEN: MSINTEN (Bitfield-Mask: 0x01)           */
/* ========================================================  UARTII  ========================================================= */
#define UART_UARTII_UARTINT_Pos           (0UL)                     /*!< UART UARTII: UARTINT (Bit 0)                          */
#define UART_UARTII_UARTINT_Msk           (0x1UL)                   /*!< UART UARTII: UARTINT (Bitfield-Mask: 0x01)            */
#define UART_UARTII_UARTINTID_Pos         (1UL)                     /*!< UART UARTII: UARTINTID (Bit 1)                        */
#define UART_UARTII_UARTINTID_Msk         (0xeUL)                   /*!< UART UARTII: UARTINTID (Bitfield-Mask: 0x07)          */
/* ========================================================  UARTLC  ========================================================= */
#define UART_UARTLC_BPC_Pos               (0UL)                     /*!< UART UARTLC: BPC (Bit 0)                              */
#define UART_UARTLC_BPC_Msk               (0x3UL)                   /*!< UART UARTLC: BPC (Bitfield-Mask: 0x03)                */
#define UART_UARTLC_STB_Pos               (2UL)                     /*!< UART UARTLC: STB (Bit 2)                              */
#define UART_UARTLC_STB_Msk               (0x4UL)                   /*!< UART UARTLC: STB (Bitfield-Mask: 0x01)                */
#define UART_UARTLC_PEN_Pos               (3UL)                     /*!< UART UARTLC: PEN (Bit 3)                              */
#define UART_UARTLC_PEN_Msk               (0x8UL)                   /*!< UART UARTLC: PEN (Bitfield-Mask: 0x01)                */
#define UART_UARTLC_EPS_Pos               (4UL)                     /*!< UART UARTLC: EPS (Bit 4)                              */
#define UART_UARTLC_EPS_Msk               (0x10UL)                  /*!< UART UARTLC: EPS (Bitfield-Mask: 0x01)                */
#define UART_UARTLC_SP_Pos                (5UL)                     /*!< UART UARTLC: SP (Bit 5)                               */
#define UART_UARTLC_SP_Msk                (0x20UL)                  /*!< UART UARTLC: SP (Bitfield-Mask: 0x01)                 */
#define UART_UARTLC_SB_Pos                (6UL)                     /*!< UART UARTLC: SB (Bit 6)                               */
#define UART_UARTLC_SB_Msk                (0x40UL)                  /*!< UART UARTLC: SB (Bitfield-Mask: 0x01)                 */
/* ========================================================  UARTLS  ========================================================= */
#define UART_UARTLS_RXDR_Pos              (0UL)                     /*!< UART UARTLS: RXDR (Bit 0)                             */
#define UART_UARTLS_RXDR_Msk              (0x1UL)                   /*!< UART UARTLS: RXDR (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_RXOE_Pos              (1UL)                     /*!< UART UARTLS: RXOE (Bit 1)                             */
#define UART_UARTLS_RXOE_Msk              (0x2UL)                   /*!< UART UARTLS: RXOE (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_RXPE_Pos              (2UL)                     /*!< UART UARTLS: RXPE (Bit 2)                             */
#define UART_UARTLS_RXPE_Msk              (0x4UL)                   /*!< UART UARTLS: RXPE (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_RXFE_Pos              (3UL)                     /*!< UART UARTLS: RXFE (Bit 3)                             */
#define UART_UARTLS_RXFE_Msk              (0x8UL)                   /*!< UART UARTLS: RXFE (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_RXBE_Pos              (4UL)                     /*!< UART UARTLS: RXBE (Bit 4)                             */
#define UART_UARTLS_RXBE_Msk              (0x10UL)                  /*!< UART UARTLS: RXBE (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_TCFE_Pos              (5UL)                     /*!< UART UARTLS: TCFE (Bit 5)                             */
#define UART_UARTLS_TCFE_Msk              (0x20UL)                  /*!< UART UARTLS: TCFE (Bitfield-Mask: 0x01)               */
#define UART_UARTLS_TXE_Pos               (6UL)                     /*!< UART UARTLS: TXE (Bit 6)                              */
#define UART_UARTLS_TXE_Msk               (0x40UL)                  /*!< UART UARTLS: TXE (Bitfield-Mask: 0x01)                */
#define UART_UARTLS_RXE_Pos               (7UL)                     /*!< UART UARTLS: RXE (Bit 7)                              */
#define UART_UARTLS_RXE_Msk               (0x80UL)                  /*!< UART UARTLS: RXE (Bitfield-Mask: 0x01)                */
/* =======================================================  UARTFCTL  ======================================================== */
#define UART_UARTFCTL_FEN_Pos             (0UL)                     /*!< UART UARTFCTL: FEN (Bit 0)                            */
#define UART_UARTFCTL_FEN_Msk             (0x1UL)                   /*!< UART UARTFCTL: FEN (Bitfield-Mask: 0x01)              */
#define UART_UARTFCTL_RXFRESET_Pos        (1UL)                     /*!< UART UARTFCTL: RXFRESET (Bit 1)                       */
#define UART_UARTFCTL_RXFRESET_Msk        (0x2UL)                   /*!< UART UARTFCTL: RXFRESET (Bitfield-Mask: 0x01)         */
#define UART_UARTFCTL_TXFRESET_Pos        (2UL)                     /*!< UART UARTFCTL: TXFRESET (Bit 2)                       */
#define UART_UARTFCTL_TXFRESET_Msk        (0x4UL)                   /*!< UART UARTFCTL: TXFRESET (Bitfield-Mask: 0x01)         */
#define UART_UARTFCTL_RXFT_Pos            (6UL)                     /*!< UART UARTFCTL: RXFT (Bit 6)                           */
#define UART_UARTFCTL_RXFT_Msk            (0xc0UL)                  /*!< UART UARTFCTL: RXFT (Bitfield-Mask: 0x03)             */
/* =======================================================  UARTIE_R  ======================================================== */
#define UART_UARTIE_R_RXINTEN_Pos         (0UL)                     /*!< UART UARTIE_R: RXINTEN (Bit 0)                        */
#define UART_UARTIE_R_RXINTEN_Msk         (0x1UL)                   /*!< UART UARTIE_R: RXINTEN (Bitfield-Mask: 0x01)          */
#define UART_UARTIE_R_TXINTEN_Pos         (1UL)                     /*!< UART UARTIE_R: TXINTEN (Bit 1)                        */
#define UART_UARTIE_R_TXINTEN_Msk         (0x2UL)                   /*!< UART UARTIE_R: TXINTEN (Bitfield-Mask: 0x01)          */
#define UART_UARTIE_R_RSINTEN_Pos         (2UL)                     /*!< UART UARTIE_R: RSINTEN (Bit 2)                        */
#define UART_UARTIE_R_RSINTEN_Msk         (0x4UL)                   /*!< UART UARTIE_R: RSINTEN (Bitfield-Mask: 0x01)          */
#define UART_UARTIE_R_MSINTEN_Pos         (3UL)                     /*!< UART UARTIE_R: MSINTEN (Bit 3)                        */
#define UART_UARTIE_R_MSINTEN_Msk         (0x8UL)                   /*!< UART UARTIE_R: MSINTEN (Bitfield-Mask: 0x01)          */
/* =======================================================  UARTDL_L  ======================================================== */
#define UART_UARTDL_L_DL_L_Pos            (0UL)                     /*!< UART UARTDL_L: DL_L (Bit 0)                           */
#define UART_UARTDL_L_DL_L_Msk            (0xffUL)                  /*!< UART UARTDL_L: DL_L (Bitfield-Mask: 0xff)             */
/* =======================================================  UARTDL_H  ======================================================== */
#define UART_UARTDL_H_DL_H_Pos            (0UL)                     /*!< UART UARTDL_H: DL_H (Bit 0)                           */
#define UART_UARTDL_H_DL_H_Msk            (0xffUL)                  /*!< UART UARTDL_H: DL_H (Bitfield-Mask: 0xff)             */
/* =======================================================  UARTFD_F  ======================================================== */
#define UART_UARTFD_F_FRAC_Pos            (0UL)                     /*!< UART UARTFD_F: FRAC (Bit 0)                           */
#define UART_UARTFD_F_FRAC_Msk            (0xffUL)                  /*!< UART UARTFD_F: FRAC (Bitfield-Mask: 0xff)             */
/* =======================================================  UARTFSTAT  ======================================================= */
#define UART_UARTFSTAT_TXFE_Pos           (0UL)                     /*!< UART UARTFSTAT: TXFE (Bit 0)                          */
#define UART_UARTFSTAT_TXFE_Msk           (0x1UL)                   /*!< UART UARTFSTAT: TXFE (Bitfield-Mask: 0x01)            */
#define UART_UARTFSTAT_TXFF_Pos           (1UL)                     /*!< UART UARTFSTAT: TXFF (Bit 1)                          */
#define UART_UARTFSTAT_TXFF_Msk           (0x2UL)                   /*!< UART UARTFSTAT: TXFF (Bitfield-Mask: 0x01)            */
#define UART_UARTFSTAT_RXFE_Pos           (2UL)                     /*!< UART UARTFSTAT: RXFE (Bit 2)                          */
#define UART_UARTFSTAT_RXFE_Msk           (0x4UL)                   /*!< UART UARTFSTAT: RXFE (Bitfield-Mask: 0x01)            */
#define UART_UARTFSTAT_RXFF_Pos           (3UL)                     /*!< UART UARTFSTAT: RXFF (Bit 3)                          */
#define UART_UARTFSTAT_RXFF_Msk           (0x8UL)                   /*!< UART UARTFSTAT: RXFF (Bitfield-Mask: 0x01)            */


/* =========================================================================================================================== */
/* ================                                           SOCB                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  SOCBCTL  ======================================================== */
#define SOCB_SOCBCTL_SSEN_Pos             (0UL)                     /*!< SOCB SOCBCTL: SSEN (Bit 0)                            */
#define SOCB_SOCBCTL_SSEN_Msk             (0x1UL)                   /*!< SOCB SOCBCTL: SSEN (Bitfield-Mask: 0x01)              */
#define SOCB_SOCBCTL_SIE_Pos              (1UL)                     /*!< SOCB SOCBCTL: SIE (Bit 1)                             */
#define SOCB_SOCBCTL_SIE_Msk              (0x2UL)                   /*!< SOCB SOCBCTL: SIE (Bitfield-Mask: 0x01)               */
#define SOCB_SOCBCTL_MTRARM_Pos           (5UL)                     /*!< SOCB SOCBCTL: MTRARM (Bit 5)                          */
#define SOCB_SOCBCTL_MTRARM_Msk           (0x20UL)                  /*!< SOCB SOCBCTL: MTRARM (Bitfield-Mask: 0x01)            */
/* ========================================================  SOCBCFG  ======================================================== */
#define SOCB_SOCBCFG_MRST_Pos             (2UL)                     /*!< SOCB SOCBCFG: MRST (Bit 2)                            */
#define SOCB_SOCBCFG_MRST_Msk             (0x4UL)                   /*!< SOCB SOCBCFG: MRST (Bitfield-Mask: 0x01)              */
/* =======================================================  SOCBSTAT  ======================================================== */
#define SOCB_SOCBSTAT_SOCB_INT_Pos        (0UL)                     /*!< SOCB SOCBSTAT: SOCB_INT (Bit 0)                       */
#define SOCB_SOCBSTAT_SOCB_INT_Msk        (0x1UL)                   /*!< SOCB SOCBSTAT: SOCB_INT (Bitfield-Mask: 0x01)         */
#define SOCB_SOCBSTAT_RDOFL_Pos           (2UL)                     /*!< SOCB SOCBSTAT: RDOFL (Bit 2)                          */
#define SOCB_SOCBSTAT_RDOFL_Msk           (0x4UL)                   /*!< SOCB SOCBSTAT: RDOFL (Bitfield-Mask: 0x01)            */
#define SOCB_SOCBSTAT_CYC_DONE_Pos        (5UL)                     /*!< SOCB SOCBSTAT: CYC_DONE (Bit 5)                       */
#define SOCB_SOCBSTAT_CYC_DONE_Msk        (0x20UL)                  /*!< SOCB SOCBSTAT: CYC_DONE (Bitfield-Mask: 0x01)         */
#define SOCB_SOCBSTAT_WRUFL_Pos           (8UL)                     /*!< SOCB SOCBSTAT: WRUFL (Bit 8)                          */
#define SOCB_SOCBSTAT_WRUFL_Msk           (0x100UL)                 /*!< SOCB SOCBSTAT: WRUFL (Bitfield-Mask: 0x01)            */
#define SOCB_SOCBSTAT_TXFULL_Pos          (9UL)                     /*!< SOCB SOCBSTAT: TXFULL (Bit 9)                         */
#define SOCB_SOCBSTAT_TXFULL_Msk          (0x200UL)                 /*!< SOCB SOCBSTAT: TXFULL (Bitfield-Mask: 0x01)           */
#define SOCB_SOCBSTAT_RXFULL_Pos          (10UL)                    /*!< SOCB SOCBSTAT: RXFULL (Bit 10)                        */
#define SOCB_SOCBSTAT_RXFULL_Msk          (0x400UL)                 /*!< SOCB SOCBSTAT: RXFULL (Bitfield-Mask: 0x01)           */
#define SOCB_SOCBSTAT_CURSTATE_Pos        (12UL)                    /*!< SOCB SOCBSTAT: CURSTATE (Bit 12)                      */
#define SOCB_SOCBSTAT_CURSTATE_Msk        (0x7000UL)                /*!< SOCB SOCBSTAT: CURSTATE (Bitfield-Mask: 0x07)         */
/* =========================================================  SOCBD  ========================================================= */
#define SOCB_SOCBD_DATA_Pos               (0UL)                     /*!< SOCB SOCBD: DATA (Bit 0)                              */
#define SOCB_SOCBD_DATA_Msk               (0xffUL)                  /*!< SOCB SOCBD: DATA (Bitfield-Mask: 0xff)                */
/* ======================================================  SOCBINT_EN  ======================================================= */
#define SOCB_SOCBINT_EN_RDOFL_EN_Pos      (2UL)                     /*!< SOCB SOCBINT_EN: RDOFL_EN (Bit 2)                     */
#define SOCB_SOCBINT_EN_RDOFL_EN_Msk      (0x4UL)                   /*!< SOCB SOCBINT_EN: RDOFL_EN (Bitfield-Mask: 0x01)       */
#define SOCB_SOCBINT_EN_WRUFL_EN_Pos      (8UL)                     /*!< SOCB SOCBINT_EN: WRUFL_EN (Bit 8)                     */
#define SOCB_SOCBINT_EN_WRUFL_EN_Msk      (0x100UL)                 /*!< SOCB SOCBINT_EN: WRUFL_EN (Bitfield-Mask: 0x01)       */


/* =========================================================================================================================== */
/* ================                                            SPI                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  SPICTL  ========================================================= */
#define SPI_SPICTL_SSEN_Pos               (0UL)                     /*!< SPI SPICTL: SSEN (Bit 0)                              */
#define SPI_SPICTL_SSEN_Msk               (0x1UL)                   /*!< SPI SPICTL: SSEN (Bitfield-Mask: 0x01)                */
#define SPI_SPICTL_SIE_Pos                (1UL)                     /*!< SPI SPICTL: SIE (Bit 1)                               */
#define SPI_SPICTL_SIE_Msk                (0x2UL)                   /*!< SPI SPICTL: SIE (Bitfield-Mask: 0x01)                 */
#define SPI_SPICTL_LPBK_Pos               (2UL)                     /*!< SPI SPICTL: LPBK (Bit 2)                              */
#define SPI_SPICTL_LPBK_Msk               (0x4UL)                   /*!< SPI SPICTL: LPBK (Bitfield-Mask: 0x01)                */
#define SPI_SPICTL_SE_Pos                 (3UL)                     /*!< SPI SPICTL: SE (Bit 3)                                */
#define SPI_SPICTL_SE_Msk                 (0x8UL)                   /*!< SPI SPICTL: SE (Bitfield-Mask: 0x01)                  */
#define SPI_SPICTL_MTRARM_Pos             (5UL)                     /*!< SPI SPICTL: MTRARM (Bit 5)                            */
#define SPI_SPICTL_MTRARM_Msk             (0x20UL)                  /*!< SPI SPICTL: MTRARM (Bitfield-Mask: 0x01)              */
#define SPI_SPICTL_MTRANS_Pos             (6UL)                     /*!< SPI SPICTL: MTRANS (Bit 6)                            */
#define SPI_SPICTL_MTRANS_Msk             (0x40UL)                  /*!< SPI SPICTL: MTRANS (Bitfield-Mask: 0x01)              */
#define SPI_SPICTL_MMST_N_Pos             (7UL)                     /*!< SPI SPICTL: MMST_N (Bit 7)                            */
#define SPI_SPICTL_MMST_N_Msk             (0x80UL)                  /*!< SPI SPICTL: MMST_N (Bitfield-Mask: 0x01)              */
#define SPI_SPICTL_RTRANS_Pos             (8UL)                     /*!< SPI SPICTL: RTRANS (Bit 8)                            */
#define SPI_SPICTL_RTRANS_Msk             (0x100UL)                 /*!< SPI SPICTL: RTRANS (Bitfield-Mask: 0x01)              */
/* ========================================================  SPICFG  ========================================================= */
#define SPI_SPICFG_WL_Pos                 (0UL)                     /*!< SPI SPICFG: WL (Bit 0)                                */
#define SPI_SPICFG_WL_Msk                 (0x3UL)                   /*!< SPI SPICFG: WL (Bitfield-Mask: 0x03)                  */
#define SPI_SPICFG_MRST_Pos               (2UL)                     /*!< SPI SPICFG: MRST (Bit 2)                              */
#define SPI_SPICFG_MRST_Msk               (0x4UL)                   /*!< SPI SPICFG: MRST (Bitfield-Mask: 0x01)                */
#define SPI_SPICFG_LB1ST_Pos              (3UL)                     /*!< SPI SPICFG: LB1ST (Bit 3)                             */
#define SPI_SPICFG_LB1ST_Msk              (0x8UL)                   /*!< SPI SPICFG: LB1ST (Bitfield-Mask: 0x01)               */
#define SPI_SPICFG_CP_Pos                 (4UL)                     /*!< SPI SPICFG: CP (Bit 4)                                */
#define SPI_SPICFG_CP_Msk                 (0x10UL)                  /*!< SPI SPICFG: CP (Bitfield-Mask: 0x01)                  */
#define SPI_SPICFG_CPH_Pos                (5UL)                     /*!< SPI SPICFG: CPH (Bit 5)                               */
#define SPI_SPICFG_CPH_Msk                (0x20UL)                  /*!< SPI SPICFG: CPH (Bitfield-Mask: 0x01)                 */
#define SPI_SPICFG_RCVCP_Pos              (6UL)                     /*!< SPI SPICFG: RCVCP (Bit 6)                             */
#define SPI_SPICFG_RCVCP_Msk              (0x40UL)                  /*!< SPI SPICFG: RCVCP (Bitfield-Mask: 0x01)               */
#define SPI_SPICFG_RCVCPH_Pos             (7UL)                     /*!< SPI SPICFG: RCVCPH (Bit 7)                            */
#define SPI_SPICFG_RCVCPH_Msk             (0x80UL)                  /*!< SPI SPICFG: RCVCPH (Bitfield-Mask: 0x01)              */
#define SPI_SPICFG_TXDATPH_Pos            (9UL)                     /*!< SPI SPICFG: TXDATPH (Bit 9)                           */
#define SPI_SPICFG_TXDATPH_Msk            (0x200UL)                 /*!< SPI SPICFG: TXDATPH (Bitfield-Mask: 0x01)             */
#define SPI_SPICFG_TDBUF_Pos              (10UL)                    /*!< SPI SPICFG: TDBUF (Bit 10)                            */
#define SPI_SPICFG_TDBUF_Msk              (0x400UL)                 /*!< SPI SPICFG: TDBUF (Bitfield-Mask: 0x01)               */
#define SPI_SPICFG_MTURBO_Pos             (11UL)                    /*!< SPI SPICFG: MTURBO (Bit 11)                           */
#define SPI_SPICFG_MTURBO_Msk             (0x800UL)                 /*!< SPI SPICFG: MTURBO (Bitfield-Mask: 0x01)              */
/* =======================================================  SPICLKDIV  ======================================================= */
#define SPI_SPICLKDIV_CLKDIV_Pos          (0UL)                     /*!< SPI SPICLKDIV: CLKDIV (Bit 0)                         */
#define SPI_SPICLKDIV_CLKDIV_Msk          (0xffffUL)                /*!< SPI SPICLKDIV: CLKDIV (Bitfield-Mask: 0xffff)         */
/* ========================================================  SPISTAT  ======================================================== */
#define SPI_SPISTAT_SPI_INT_Pos           (0UL)                     /*!< SPI SPISTAT: SPI_INT (Bit 0)                          */
#define SPI_SPISTAT_SPI_INT_Msk           (0x1UL)                   /*!< SPI SPISTAT: SPI_INT (Bitfield-Mask: 0x01)            */
#define SPI_SPISTAT_RDOFL_Pos             (2UL)                     /*!< SPI SPISTAT: RDOFL (Bit 2)                            */
#define SPI_SPISTAT_RDOFL_Msk             (0x4UL)                   /*!< SPI SPISTAT: RDOFL (Bitfield-Mask: 0x01)              */
#define SPI_SPISTAT_LE_Pos                (3UL)                     /*!< SPI SPISTAT: LE (Bit 3)                               */
#define SPI_SPISTAT_LE_Msk                (0x8UL)                   /*!< SPI SPISTAT: LE (Bitfield-Mask: 0x01)                 */
#define SPI_SPISTAT_UCLK_Pos              (4UL)                     /*!< SPI SPISTAT: UCLK (Bit 4)                             */
#define SPI_SPISTAT_UCLK_Msk              (0x10UL)                  /*!< SPI SPISTAT: UCLK (Bitfield-Mask: 0x01)               */
#define SPI_SPISTAT_CYC_DONE_Pos          (5UL)                     /*!< SPI SPISTAT: CYC_DONE (Bit 5)                         */
#define SPI_SPISTAT_CYC_DONE_Msk          (0x20UL)                  /*!< SPI SPISTAT: CYC_DONE (Bitfield-Mask: 0x01)           */
#define SPI_SPISTAT_TE_Pos                (6UL)                     /*!< SPI SPISTAT: TE (Bit 6)                               */
#define SPI_SPISTAT_TE_Msk                (0x40UL)                  /*!< SPI SPISTAT: TE (Bitfield-Mask: 0x01)                 */
#define SPI_SPISTAT_WRUFL_Pos             (8UL)                     /*!< SPI SPISTAT: WRUFL (Bit 8)                            */
#define SPI_SPISTAT_WRUFL_Msk             (0x100UL)                 /*!< SPI SPISTAT: WRUFL (Bitfield-Mask: 0x01)              */
#define SPI_SPISTAT_TXFULL_Pos            (9UL)                     /*!< SPI SPISTAT: TXFULL (Bit 9)                           */
#define SPI_SPISTAT_TXFULL_Msk            (0x200UL)                 /*!< SPI SPISTAT: TXFULL (Bitfield-Mask: 0x01)             */
#define SPI_SPISTAT_RXFULL_Pos            (10UL)                    /*!< SPI SPISTAT: RXFULL (Bit 10)                          */
#define SPI_SPISTAT_RXFULL_Msk            (0x400UL)                 /*!< SPI SPISTAT: RXFULL (Bitfield-Mask: 0x01)             */
#define SPI_SPISTAT_CURSTATE_Pos          (12UL)                    /*!< SPI SPISTAT: CURSTATE (Bit 12)                        */
#define SPI_SPISTAT_CURSTATE_Msk          (0x7000UL)                /*!< SPI SPISTAT: CURSTATE (Bitfield-Mask: 0x07)           */
/* =======================================================  SPICSSTR  ======================================================== */
#define SPI_SPICSSTR_CSNUM_Pos            (0UL)                     /*!< SPI SPICSSTR: CSNUM (Bit 0)                           */
#define SPI_SPICSSTR_CSNUM_Msk            (0x3UL)                   /*!< SPI SPICSSTR: CSNUM (Bitfield-Mask: 0x03)             */
#define SPI_SPICSSTR_CSL_Pos              (2UL)                     /*!< SPI SPICSSTR: CSL (Bit 2)                             */
#define SPI_SPICSSTR_CSL_Msk              (0x4UL)                   /*!< SPI SPICSSTR: CSL (Bitfield-Mask: 0x01)               */
#define SPI_SPICSSTR_CSSETUP_Pos          (8UL)                     /*!< SPI SPICSSTR: CSSETUP (Bit 8)                         */
#define SPI_SPICSSTR_CSSETUP_Msk          (0xf00UL)                 /*!< SPI SPICSSTR: CSSETUP (Bitfield-Mask: 0x0f)           */
#define SPI_SPICSSTR_CSHOLD_Pos           (12UL)                    /*!< SPI SPICSSTR: CSHOLD (Bit 12)                         */
#define SPI_SPICSSTR_CSHOLD_Msk           (0xf000UL)                /*!< SPI SPICSSTR: CSHOLD (Bitfield-Mask: 0x0f)            */
#define SPI_SPICSSTR_CSWAIT_Pos           (16UL)                    /*!< SPI SPICSSTR: CSWAIT (Bit 16)                         */
#define SPI_SPICSSTR_CSWAIT_Msk           (0xf0000UL)               /*!< SPI SPICSSTR: CSWAIT (Bitfield-Mask: 0x0f)            */
#define SPI_SPICSSTR_CKWAIT_Pos           (20UL)                    /*!< SPI SPICSSTR: CKWAIT (Bit 20)                         */
#define SPI_SPICSSTR_CKWAIT_Msk           (0xf00000UL)              /*!< SPI SPICSSTR: CKWAIT (Bitfield-Mask: 0x0f)            */
/* =========================================================  SPID  ========================================================== */
#define SPI_SPID_DATA_Pos                 (0UL)                     /*!< SPI SPID: DATA (Bit 0)                                */
#define SPI_SPID_DATA_Msk                 (0xffUL)                  /*!< SPI SPID: DATA (Bitfield-Mask: 0xff)                  */
/* =======================================================  SPIINT_EN  ======================================================= */
#define SPI_SPIINT_EN_RDOFL_EN_Pos        (2UL)                     /*!< SPI SPIINT_EN: RDOFL_EN (Bit 2)                       */
#define SPI_SPIINT_EN_RDOFL_EN_Msk        (0x4UL)                   /*!< SPI SPIINT_EN: RDOFL_EN (Bitfield-Mask: 0x01)         */
#define SPI_SPIINT_EN_LE_EN_Pos           (3UL)                     /*!< SPI SPIINT_EN: LE_EN (Bit 3)                          */
#define SPI_SPIINT_EN_LE_EN_Msk           (0x8UL)                   /*!< SPI SPIINT_EN: LE_EN (Bitfield-Mask: 0x01)            */
#define SPI_SPIINT_EN_UCLK_EN_Pos         (4UL)                     /*!< SPI SPIINT_EN: UCLK_EN (Bit 4)                        */
#define SPI_SPIINT_EN_UCLK_EN_Msk         (0x10UL)                  /*!< SPI SPIINT_EN: UCLK_EN (Bitfield-Mask: 0x01)          */
#define SPI_SPIINT_EN_CYC_DONE_EN_Pos     (5UL)                     /*!< SPI SPIINT_EN: CYC_DONE_EN (Bit 5)                    */
#define SPI_SPIINT_EN_CYC_DONE_EN_Msk     (0x20UL)                  /*!< SPI SPIINT_EN: CYC_DONE_EN (Bitfield-Mask: 0x01)      */
#define SPI_SPIINT_EN_TE_EN_Pos           (6UL)                     /*!< SPI SPIINT_EN: TE_EN (Bit 6)                          */
#define SPI_SPIINT_EN_TE_EN_Msk           (0x40UL)                  /*!< SPI SPIINT_EN: TE_EN (Bitfield-Mask: 0x01)            */
#define SPI_SPIINT_EN_BP_DONE_Pos         (7UL)                     /*!< SPI SPIINT_EN: BP_DONE (Bit 7)                        */
#define SPI_SPIINT_EN_BP_DONE_Msk         (0x80UL)                  /*!< SPI SPIINT_EN: BP_DONE (Bitfield-Mask: 0x01)          */
#define SPI_SPIINT_EN_WRUFL_EN_Pos        (8UL)                     /*!< SPI SPIINT_EN: WRUFL_EN (Bit 8)                       */
#define SPI_SPIINT_EN_WRUFL_EN_Msk        (0x100UL)                 /*!< SPI SPIINT_EN: WRUFL_EN (Bitfield-Mask: 0x01)         */

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* PAC52XX_DEVICE_H */


/** @} */ /* End of group PAC52XX */

/** @} */ /* End of group Active-Semi */
